2011-03-07  Chong Yidong  <cyd@stupidchicken.com>

	* Version 23.3 released.

2011-03-07  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/cc-cmds.el (c-beginning-of-statement): Fix 2011-01-31
	change; patch supplied by Alan Mackenzie was applied incorrectly.

2011-02-26  Eli Zaretskii  <eliz@gnu.org>

	* international/mule-cmds.el (set-default-coding-systems): Use the
	-unix variant of encoding in default-keyboard-coding-system.
	(Bug#8122)

2011-02-23  Kenichi Handa  <handa@m17n.org>

	* mail/rmailmm.el (rmail-mime-process-multipart): Do not signal an
	error when a multipart boundary in the nested multipart is found.

2011-02-22  Kenichi Handa  <handa@m17n.org>

	* mail/rmail.el (rmail-start-mail): Decode "encoded-words" of
	header components.

2011-02-19  Kenichi Handa  <handa@m17n.org>

	* mail/rmailmm.el (rmail-mime-find-header-encoding): Be sure to
	get the header copy into the temporary buffer.
	(rmail-mime-insert-decoded-text): Ignore us-ascii.
	(rmail-show-mime): When rmail-mime-coding-system is nil, set
	buffer-file-coding-system to undecided.

2011-02-18  Eli Zaretskii  <eliz@gnu.org>

	* image-mode.el (image-toggle-display-image): Disable
	require-final-newline in buffers visiting binary image files.
	(Bug#8047)

	* international/mule-cmds.el (read-char-by-name, ucs-insert):
	Document completion with asterisk and a substring.

2011-02-18  Glenn Morris  <rgm@gnu.org>

	* files.el (find-file-literally): Doc fix.

2011-02-17  Glenn Morris  <rgm@gnu.org>

	* simple.el (rfc822-goto-eoh): Give it a doc-string.

	* log-edit.el (log-edit-insert-changelog):
	Fix `log-edit-strip-single-file-name' functionality.  (Bug#8057)

2011-02-14  Chong Yidong  <cyd@stupidchicken.com>

	* pgg-gpg.el (pgg-gpg-process-region): Bind
	delete-by-moving-to-trash to nil.

	* pgg-pgp.el (pgg-pgp-process-region, pgg-pgp-verify-region)
	(pgg-pgp-snarf-keys-region):
	* pgg-pgp5.el (pgg-pgp5-process-region, pgg-pgp5-verify-region)
	(pgg-pgp5-snarf-keys-region): Likewise.

2011-02-12  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (copy-directory): Revert to pre-2011-01-29 version.

2011-02-12  Chong Yidong  <cyd@stupidchicken.com>

	* epg.el (epg-delete-output-file, epg-decrypt-string)
	(epg-verify-string, epg-sign-string, epg-encrypt-string): Bind
	delete-by-moving-to-trash to nil.

	* epa-file.el (epa-file-insert-file-contents): Likewise.

2011-02-10  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/cl-seq.el (union, nunion, intersection)
	(nintersection, set-difference, nset-difference)
	(set-exclusive-or, nset-exclusive-or): Doc fix.

	* ediff-ptch.el (ediff-fixup-patch-map): Doc fix.

2011-02-08  Glenn Morris  <rgm@gnu.org>

	* faces.el (face-attr-match-p): Handle the obsolete :bold and
	:italic props, so that frame-set-background-mode works.  (Bug#7966)

2011-02-07  Glenn Morris  <rgm@gnu.org>

	* simple.el (next-error): Doc fix.

2011-02-06  Chong Yidong  <cyd@stupidchicken.com>
            Thierry Volpiatto <thierry.volpiatto@gmail.com>

	* files.el (copy-directory): New arg COPY-AS-SUBDIR.  If nil,
	don't copy as a subdirectory.

2011-02-05  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/cl-macs.el (return-from): Fix doc typo.

2011-02-04  Glenn Morris  <rgm@gnu.org>

	* calendar/diary-lib.el (diary-font-lock-keywords):
	Tweak diary-time-regexp match.  (Bug#7891)

	* progmodes/f90.el (f90-find-tag-default): New function.  (Bug#7919)
	(f90-mode): Use it for mode's `find-tag-default-function' property.

2011-02-03  Glenn Morris  <rgm@gnu.org>

	* ibuf-ext.el (ibuffer-filter-disable): Make it work.  (Bug#7969)

	* faces.el (set-face-attribute): Doc fix.  (Bug#2659)

2011-02-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcomplete.el (pcomplete-here*): Backport fix for mistaken change
	(bug#7959) and (bug#5935).

2011-01-31  Deniz Dogan  <deniz.a.m.dogan@gmail.com>

	* net/rcirc.el: Clean log filenames (Bug#7933).
	(rcirc-log-write): Use convert-standard-filename.
	(rcirc-log-filename-function): Documentation updates.

2011-01-31  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-forward-over-illiterals):
	Continue parsing if we encounter a naked # (Bug#7595).
	(c-beginning-of-statement): Avoid loop in locating the beginning
	of a macro.

2011-01-31  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (copy-directory): Fix arguments to recursive call.

2011-01-29  Daiki Ueno  <ueno@unixuser.org>

	* epg.el (epg--status-KEYEXPIRED, epg--status-KEYREVOKED):
	Don't presume KEYEXPIRED and KEYREVOKED to be a fatal error status
	(Bug#7931).

2011-01-29  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (copy-directory): If destination is an existing
	directory, copy into a subdirectory there.

2011-01-29  Andreas Schwab  <schwab@linux-m68k.org>

	* emacs-lisp/shadow.el (load-path-shadows-find): Ignore leim-list
	files.

2011-01-28  Chong Yidong  <cyd@stupidchicken.com>

	* image-dired.el (image-dired-mouse-display-image): No-op if no
	file is found (Bug#7817).

	* mouse.el (mouse-menu-non-singleton): Doc fix (Bug#7801).

2011-01-28  Kenichi Handa  <handa@m17n.org>

	* international/quail.el (quail-keyboard-layout-alist):
	Remove superfluous SPC for "pc105-uk" (bug#7927).

2011-01-27  Glenn Morris  <rgm@gnu.org>

	* msb.el (msb-menu-bar-update-buffers): Update for changed
	argument handling of menu-bar-select-frame.  (Bug#7902)

2011-01-27  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/cc-engine.el (c-forward-<>-arglist-recur): Set a limit
	to the recursion depth (Bug#7722).

2011-01-26  Roy Liu  <carsomyr@gmail.com>  (tiny change)

	* term/ns-win.el (ns-find-file): Expand ns-input-file with
	command-line-default-directory (Bug#7872).

2011-01-25  Glenn Morris  <rgm@gnu.org>

	* comint.el (comint-mode): Doc fix.  (Bug#7897)

2011-01-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (file-name-non-special): Only change buffer-file-name after
	insert-file-contents if it's `visit'ing the file (bug#7854).

2011-01-23  Chong Yidong  <cyd@stupidchicken.com>

	* dired.el (dired-revert): Doc fix (Bug#7758).

2011-01-23  Nobuyoshi Nakada  <nobu@ruby-lang.org>

	* progmodes/ruby-mode.el (ruby-here-doc-beg-match): Fix for
	here-doc which ends with an underscore.
	(ruby-mode-set-encoding): Skip shebang line always.
	(ruby-mode-map): Bind C-c C-c to comment-region.
	(ruby-font-lock-keywords): Highlight literal hash key labels as symbols.
	(ruby-forward-sexp): Stop after literal hash key labels.
	(ruby-font-lock-syntactic-keywords): Highlight regexp after open
	bracket.

2011-01-22  Keitaro Miyazaki  <keitaro.miyazaki@gmail.com>  (tiny change)

	* emacs-lisp/re-builder.el (reb-mode-map): Set case-fold-search in
	the correct buffer (Bug#7650).

2011-01-22  Glenn Morris  <rgm@gnu.org>

	* simple.el (do-auto-fill): Give it a doc string.

	* button.el (make-text-button): Doc fix.  (See bug#7881)

2011-01-22  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (line-move-visual): Doc fix (Bug#7594).

	* emacs-lisp/re-builder.el (reb-mode-map): Fix logic error in
	"Case sensitive" menu item.

2011-01-21  Roland McGrath  <roland@frob.com>

	* comint.el (comint-replace-by-expanded-history-before-point): Fix
	expansion of !$ and !!:N syntax to pick the indicated word (bug#7883).

2011-01-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/js.el (js--regexp-literal): Count backslashes (bug#7882).

2011-01-21  Jari Aalto  <jari.aalto@cante.net>

	* emacs-lisp/checkdoc.el (checkdoc-this-string-valid-engine):
	Assume foo(bar) is a manpage reference rather than some unquoted
	symbol (bug#7705).

2011-01-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (shell-quote-argument): Properly quote \n (bug#7687).
	Suggested by Flo <sensorflo@gmail.com>.

2011-01-21  Glenn Morris  <rgm@gnu.org>

	* progmodes/compile.el (compilation-error-regexp-alist):
	Fix custom type.  (Bug#7812)

2011-01-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/easy-mmode.el (define-minor-mode): Don't re-evaluate the
	keymap expression.  Improve docstring.

2011-01-15  Mark Diekhans  <markd@soe.ucsc.edu>

	* files.el (backup-buffer): Make last-resort backup file in
	.emacs.d (Bug#6953).

	* subr.el (locate-user-emacs-file): If .emacs.d does not exist,
	make it with permission 700.

2011-01-14  Kenichi Handa  <handa@m17n.org>

	* mail/rmailmm.el (rmail-mime-insert-header):
	Set rmail-mime-coding-system to a cons whose car is the last coding
	system used to decode the header.
	(rmail-mime-find-header-encoding): New function.
	(rmail-mime-insert-decoded-text):
	Override rmail-mime-coding-system if it is a cons.
	(rmail-show-mime): If only a header part was decoded, find the
	coding system while ignoring mm-charset-override-alist.

2011-01-13  Chong Yidong  <cyd@stupidchicken.com>

	* subr.el (event-start, event-end): Doc fix (Bug#7826).

2011-01-12  Kenichi Handa  <handa@m17n.org>

	* mail/rmailmm.el (rmail-mime-next-item)
	(rmail-mime-previous-item): Delete them.
	(rmail-mime-shown-mode): Recursively call for children.
	(rmail-mime-hidden-mode): Delete the 2nd arg TOP.
	Callers changed.
	(rmail-mime-raw-mode): Recursively call for children.
	(rmail-mode-map): Change mapping of tab and backtab to
	forward-button and backward-button respectively.
	(rmail-mime-insert-tagline): Always insert "Hide" or "Show"
	button.
	(rmail-mime-update-tagline): New function.
	(rmail-mime-insert-text): Call rmail-mime-update-tagline if the
	body display is changed.
	(rmail-mime-toggle-button): Rename from rmail-mime-image.
	(rmail-mime-image): Delete this button type.
	(rmail-mime-toggle): New button type.
	(rmail-mime-insert-bulk): Call rmail-mime-update-tagline if the
	body display is changed.  Change the save button label to "Save".
	Don't process show/hide button here.
	(rmail-mime-insert-multipart): Call rmail-mime-update-tagline if
	the body display is changed.  Unconditionally call
	rmail-mime-insert for children.
	(rmail-mime-handle): Update `display' vector of the just inserted
	entity.
	(rmail-mime-process): If mail-header-parse-content-type returns
	nil, use "text/plain" as the fallback type.
	(rmail-mime-insert): For raw-mode, recursively call
	rmail-mim-insert for children.
	(rmail-mime): Handle the case that the current buffer is not rmail
	buffer (e.g. in summary buffer).

2011-01-05  Kenichi Handa  <handa@m17n.org>

	* mail/rmailmm.el (rmail-mime-next-item)
	(rmail-mime-previous-item): Skip the body of a non-multipart
	entity if a tagline is shown.

2011-01-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tmm.el (tmm-get-keymap): Skip bindings without labels (bug#7721).
	(tmm-prompt): Simplify.
	(tmm-add-prompt): Remove unused var `win'.

	* whitespace.el (global-whitespace-newline-mode): Fix call (bug#7810)
	to minor mode which used nil accidentally to mean "turn off".

2011-01-10  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-find-inline-compress)
	(tramp-get-inline-coding): Quote command after pipe symbol for
	local calls under W32.  (Bug#6784)

2011-01-10  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-default-method): Initialize with pscp/plink
	only when running under W32.

2011-01-09  Eli Zaretskii  <eliz@gnu.org>

	* progmodes/grep.el (grep-compute-defaults): Quote the program
	file name after the pipe symbol in Grep templates.  (Bug#6784)
	* jka-compr.el (jka-compr-partial-uncompress): Likewise.

2011-01-08  Lennart Borgman  <lennart.borgman@gmail.com>

	* buff-menu.el (Buffer-menu-buffer-list): New var.
	(Buffer-menu-revert-function, list-buffers-noselect): Use it, so a
	restricted buffer list is not lost on revert (Bug#7749).

2011-01-08  Eric Hanchrow  <eric.hanchrow@gmail.com>

	* net/ldap.el (ldap-search-internal): Discard stderr output.

2011-01-07  Eli Zaretskii  <eliz@gnu.org>

	* files.el (directory-abbrev-alist): Doc fix.  (Bug#7777)

2011-01-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-bzr.el (vc-bzr-annotate-command, vc-bzr-annotate-time):
	Author names can have spaces (bug#7792).

2011-01-04  Kenichi Handa  <handa@m17n.org>

	* mail/rmailmm.el (rmail-mime-insert-bulk): Display an unknown
	part as a plain text.
	(rmail-mime-process-multipart): Set the default content-type to
	nil for unknown multipart subtypes (bug#7651).

2011-01-03  Brent Goodrick  <bgoodr@gmail.com>  (tiny change)

	* abbrev.el (prepare-abbrev-list-buffer): If listing local abbrev
	table, get the value before switching to the output buffer.  (Bug#7733)

2011-01-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el (python-mode): Don't impose font-lock (bug#3628).

2011-01-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (file-local-variables-alist):
	Make permanent-local (bug#7767).

2011-01-02  Glenn Morris  <rgm@gnu.org>

	* version.el (emacs-copyright): Set short copyright year to 2011.

2011-01-02  Mark Lillibridge  <mark.lillibridge@hp.com>  (tiny change)

	* mail/mail-utils.el (mail-strip-quoted-names): Avoid clobbering
	an existing temp buffer.  (Bug#7746)

2011-01-02  Glenn Morris  <rgm@gnu.org>

	* mail/mail-utils.el (mail-mbox-from): Handle From: headers with
	multiple addresses.  (Bug#7760)

2010-12-31  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-methods): Add recursive options to "scpc",
	"scpx", "pscp" and "psftp".

2010-12-31  Eli Zaretskii  <eliz@gnu.org>

	* term/w32-win.el (image-library-alist): Set up correctly for
	libpng versions both before and after 1.4.0.  (Bug#7716)

2010-12-25  Eli Zaretskii  <eliz@gnu.org>

	* time.el (display-time-mode): Mention display-time-interval in
	the doc string.  (Bug#7713)

	* simple.el (select-active-regions): Doc fix.  (Bug#7702)

2010-12-24  Kenichi Handa  <handa@m17n.org>

	* mail/rmailmm.el (rmail-mime-parse): Perform parsing in
	condition-case and return an error message string if something
	goes wrong.
	(rmail-show-mime): Adjust for the above change.  Insert the
	header by rmail-mime-insert-header.

2010-12-24  Kenichi Handa  <handa@m17n.org>

	* mail/rmailmm.el: New key bindings for rmail-mime-next-item,
	rmail-mime-previous-item, and rmail-mime-toggle-hidden.
	(rmail-mime-mbox-buffer)
	(rmail-mime-view-buffer, rmail-mime-coding-system): New variables.
	(rmail-mime-entity): Argument changed.  All codes handling an
	entity object are changed.
	(rmail-mime-entity-header, rmail-mime-entity-body): Adjust for
	the above change.
	(rmail-mime-entity-children, rmail-mime-entity-handler)
	(rmail-mime-entity-tagline): New functions.
	(rmail-mime-message-p): New function.
	(rmail-mime-save): Bind rmail-mime-mbox-buffer.
	(rmail-mime-entity-segment, rmail-mime-next-item)
	(rmail-mime-previous-item, rmail-mime-shown-mode)
	(rmail-mime-hidden-mode, rmail-mime-raw-mode)
	(rmail-mime-toggle-raw, rmail-mime-toggle-hidden)
	(rmail-mime-insert-tagline, rmail-mime-insert-header):
	New functions.
	(rmail-mime-text-handler): Call rmail-mime-insert-text.
	(rmail-mime-insert-decoded-text): New function.
	(rmail-mime-insert-text): Call rmail-mime-insert-decoded-text.
	(rmail-mime-insert-image): Argument changed.  Caller changed.
	(rmail-mime-image): Call rmail-mime-toggle-hidden.
	(rmail-mime-set-bulk-data): New function.
	(rmail-mime-insert-bulk): Argument changed.
	(rmail-mime-multipart-handler): Return t.
	(rmail-mime-process-multipart): Argument changed.
	Handle "multipart/alternative" here.
	(rmail-mime-process): Argument changed.
	(rmail-mime-parse): Bind rmail-mime-mbox-buffer.
	(rmail-mime-insert): Argument changed.  Handle raw display mode.
	(rmail-mime): Argument changed.  Handle toggling of raw display
	mode.
	(rmail-show-mime): Bind rmail-mime-mbox-buffer and
	rmail-mime-view-buffer.
	(rmail-insert-mime-forwarded-message): Likewise.
	(rmail-search-mime-message): Likewise.  Don't bind rmail-buffer.

	* mail/rmail.el (rmail-show-message-1): If rmail-enable-mime is
	non-nil, handle the header in rmail-show-mime-function.

2010-12-20  Leo  <sdl.web@gmail.com>

	* help-fns.el (describe-variable): Fix 2010-12-17 change.

2010-12-20  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-lazy-highlight-error): New variable.
	(isearch-lazy-highlight-new-loop): Compare `isearch-error' and
	`isearch-lazy-highlight-error'.  Set `isearch-lazy-highlight-error'
	to the current value of `isearch-error' (Bug#7468).

2010-12-17  Chong Yidong  <cyd@stupidchicken.com>

	* help-fns.el (describe-variable): Don't emit trailing whitespace
	(Bug#7511).

2010-12-17  Leo  <sdl.web@gmail.com>

	* eshell/em-hist.el (eshell-previous-matching-input): Signal error
	if point is not behind eshell-last-output-end (Bug#7585).

2010-12-16  Chong Yidong  <cyd@stupidchicken.com>

	* textmodes/rst.el (rst-compile-pdf-preview)
	(rst-compile-slides-preview): Use make-temp-file (Bug#7646).

2010-12-15  Kevin Gallagher  <Kevin.Gallagher@boeing.com>

	* emulation/edt-mapper.el: Override mapping of function keys so
	that the later call to read-key-sequence works.

2010-12-13  Eli Zaretskii  <eliz@gnu.org>

	* mail/smtpmail.el (smtpmail-send-it): Write queued mail body with
	Unix EOLs.  (Bug#7589)

2010-12-12  Eli Zaretskii  <eliz@gnu.org>

	* subr.el (posn-col-row): Evaluate header-line-format in the
	context of the POSITION window's buffer.

2010-12-11  Glenn Morris  <rgm@gnu.org>

	* subr.el (member-ignore-case, run-mode-hooks, insert-for-yank-1)
	(with-silent-modifications): Doc fixes.

2010-12-10  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-action-password, tramp-process-actions):
	Revert patch from 2010-12-08.  Use `save-restriction'.

2010-12-09  Eli Zaretskii  <eliz@gnu.org>

	* menu-bar.el (menu-bar-frame-for-menubar, menu-bar-positive-p):
	New functions.
	(menu-bar-showhide-menu) <menu-bar-mode, showhide-tool-bar>: Use
	them instead of `nil' and `>', respectively.  (Bug#1077)

2010-12-09  Stephen Berman  <stephen.berman@gmx.net>

	* calendar/diary-lib.el (diary-list-sexp-entries):
	Handle case of no newline at end of file.  (Bug#7536)

2010-12-09  Glenn Morris  <rgm@gnu.org>

	* mail/smtpmail.el (smtpmail-send-it): Revert previous change.

2010-12-08  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-start-file-process):
	Protect buffer-modified value.  (Bug#7557)
	(tramp-action-password): Delete region, do not narrow.
	(tramp-process-actions): Do not widen.

2010-12-08   Jan Moringen  <jmoringe@techfak.uni-bielefeld.de>

	* log-edit.el (log-edit-changelog-entries):
	Regexp quote filename.  (Bug#7505)

2010-12-08  Tom Breton  <tehom@panix.com>

	* cus-edit.el (custom-save-all):
	Bind print-length and print-level to nil.  (Bug#7581)

2010-12-08  Glenn Morris  <rgm@gnu.org>

	* mouse.el (mouse-menu-major-mode-map, mouse-menu-bar-map):
	Run hooks to update menu contents.  (Bug#7586)

	* mail/smtpmail.el (smtpmail-send-it): Avoid colons in the queued
	file names, for the sake of MS Windows.  (Bug#7588)

2010-12-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-refine-hunk): Make it work when the hunk contains
	empty lines without a leading space.

2010-12-06  Leo  <sdl.web@gmail.com>

	* dired-aux.el (dired-do-redisplay): Postpone dired-after-readin-hook
	while mapping over marks (Bug#6810).

2010-12-06  Chong Yidong  <cyd@stupidchicken.com>

	* image-dired.el (image-dired-db-file)
	(image-dired-temp-image-file, image-dired-gallery-dir)
	(image-dired-temp-rotate-image-file): Set default values relative
	to image-dired-dir (Bug#7518).

2010-12-06  Lawrence Mitchell  <wence@gmx.li>

	* format.el (format-decode-run-method): Pass args FROM and TO, not
	point-min and point-max, to shell-command-on-region (Bug#7488).

2010-12-06  Jan Djärv  <jan.h.d@swipnet.se>

	* frame.el (blink-cursor-mode): Make default t for ns.

2010-12-05  Bob Rogers  <rogers-emacs@rgrjr.dyndns.org>

	* vc-dir.el (vc-dir-query-replace-regexp): Doc fix (Bug#7501).

2010-12-05  Chong Yidong  <cyd@stupidchicken.com>

	* comint.el (comint-dynamic-list-input-ring)
	(comint-dynamic-complete-filename)
	(comint-replace-by-expanded-filename)
	(comint-dynamic-simple-complete)
	(comint-dynamic-list-filename-completions)
	(comint-dynamic-list-completions): Doc fix (Bug#7499).

	* subr.el (posn-x-y, posn-object-x-y, posn-object-width-height):
	Doc fix (Bug#7471).

2010-12-04  Martin Rudalics  <rudalics@gmx.at>

	* dired.el (dired-pop-to-buffer): Bind pop-up-frames to nil
	(Bug#7533).

2010-12-04  W. Martin Borgert <debacle@debian.org>  (tiny change)

	* files.el (auto-mode-alist): Handle .dbk (DocBook) with xml-mode.
	(Bug#7491).

2010-12-04  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (transient-mark-mode): Doc fix (Bug#7465).

2010-12-04  Eli Zaretskii  <eliz@gnu.org>

	* files.el (file-relative-name): Handle UNC file names on
	DOS/Windows.  (Bug#4674)

2010-12-03  Daiki Ueno  <ueno@unixuser.org>

	* epg.el (epg-digest-algorithm-alist): Replace "RMD160" with
	"RIPEMD160" (Bug#7490).  Reported by Daniel Kahn Gillmor.
	(epg-context-set-passphrase-callback): Mention that the callback
	is not called when used with GnuPG 2.x.

2010-12-02  Glenn Morris  <rgm@gnu.org>

	* ps-print.el (ps-line-lengths-internal, ps-nb-pages):
	Ensure ps-footer-font-size-internal is initialized.
	Call ps-get-page-dimensions before trying to use ps-font-for-text.

2010-12-01  Kenichi Handa  <handa@m17n.org>

	* mail/rmailmm.el (rmail-mime-parse): Call rmail-mime-process
	within condition-case.
	(rmail-show-mime): Don't use condition-case.
	(rmail-search-mime-message): New function.
	(rmail-search-mime-message-function): Set to
	rmail-search-mime-message.

2010-12-01  Leo  <sdl.web@gmail.com>

	* ido.el (ido-common-initialization): New function.  (bug#3274)
	(ido-mode): Use it.
	(ido-completing-read): Call it.

2010-11-27  Chong Yidong  <cyd@stupidchicken.com>

	* log-edit.el (log-edit-font-lock-keywords): Don't try matching
	stand-alone lines, since that is handled by log-edit-match-to-eoh
	(Bug#6465).

2010-11-27  Eduard Wiebe  <usenet@pusto.de>

	* dired.el (dired-get-filename): Replace backslashes with slashes
	in file names on MS-Windows, needed by `locate'.  (Bug#7308)
	* locate.el (locate-default-make-command-line): Don't consider
	drive letter and root directory part of
	`directory-listing-before-filename-regexp'.  (Bug#7308)
	(locate-post-command-hook, locate-post-command-hook): New defcustoms.

2010-11-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/smie.el (smie-prec2->grammar): Simplify handling
	of :smie-open/close-alist.
	(smie-next-sexp): Make it accept a "start token" as argument.
	(smie-indent-keyword): Be careful not to misidentify tokens that span
	more than one line, as empty lines.  Add argument `token'.

2010-11-26  Kenichi Handa  <handa@m17n.org>

	* mail/rmailmm.el (rmail-mime-insert-multipart): For unsupported
	multipart subtypes, insert all as usual.

	* mail/rmail.el: Require rfc2047.

2010-11-26  Kenichi Handa  <handa@m17n.org>

	* mail/rmailmm.el (rmail-mime-entity, rmail-mime-entity-type)
	(rmail-mime-entity-disposition)
	(rmail-mime-entity-transfer-encoding, rmail-mime-entity-header)
	(rmail-mime-entity-body, rmail-mime-entity-children): New functions.
	(rmail-mime-save): Handle the case that the button's `data' is a
	MIME entity.
	(rmail-mime-insert-text): New function.
	(rmail-mime-insert-image): Handle the case that DATA is a MIME entity.
	(rmail-mime-bulk-handler): Just call rmail-mime-insert-bulk.
	(rmail-mime-insert-bulk): New function mostly copied from the old
	rmail-mime-bulk-handler.
	(rmail-mime-multipart-handler): Just call rmail-mime-process-multipart.
	(rmail-mime-process-multipart): New function mostly copied from
	the old rmail-mime-multipart-handler.
	(rmail-mime-show): Just call rmail-mime-process.
	(rmail-mime-process): New function mostly copied from the old
	rmail-mime-show.
	(rmail-mime-insert-multipart, rmail-mime-parse)
	(rmail-mime-insert, rmail-show-mime)
	(rmail-insert-mime-forwarded-message)
	(rmail-insert-mime-resent-message): New functions.
	(rmail-insert-mime-forwarded-message-function): Set to
	rmail-insert-mime-forwarded-message.
	(rmail-insert-mime-resent-message-function): Set to
	rmail-insert-mime-resent-message.

	* mail/rmailsum.el: Require rfc2047.
	(rmail-header-summary): Handle multiline Subject: field.
	(rmail-summary-line-decoder): Change the default to
	rfc2047-decode-string.

	* mail/rmail.el (rmail-enable-mime): Change the default to t.
	(rmail-mime-feature): Change the default to `rmailmm'.
	(rmail-quit): Delete the specifal code for rmail-enable-mime.
	(rmail-display-labels): Likewise.
	(rmail-show-message-1): Check rmail-enable-mime, and use
	rmail-show-mime-function for a MIME message.  Decode the headers
	according to RFC2047.

2010-11-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/which-func.el (which-func-imenu-joiner-function):
	Return a string, as expected.
	(which-function-mode): Make sure we stop any previous timer before
	starting a new one.

2010-11-23  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-default-method-alist)
	(tramp-default-user-alist, tramp-default-proxies-alist):
	Adapt custom options type.  (Bug#7445)

2010-11-21  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/python.el: Add Ipython support (Bug#5390).
	(python-shell-prompt-alist)
	(python-shell-continuation-prompt-alist): New options.
	(python--set-prompt-regexp): New function.
	(inferior-python-mode, run-python, python-shell):
	Require ansi-color.  Use python--set-prompt-regexp to set the comint
	prompt based on the Python interpreter.
	(python--prompt-regexp): New var.
	(python-check-comint-prompt)
	(python-comint-output-filter-function): Use it.
	(run-python): Use a pipe (Bug#5694).

2010-11-21  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/python.el (run-python): Doc fix.
	(python-keep-current-directory-in-path): New var (Bug#7454).

2010-11-20  Chong Yidong  <cyd@stupidchicken.com>

	* lpr.el (lpr-buffer, print-buffer, lpr-region, print-region):
	Prompt user before actually printing.

2010-11-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (kill-new, kill-append, kill-region):
	* comint.el (comint-kill-region): Make the yank-handler argument
	obsolete.

2010-11-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/smie.el (smie-bnf-classify): Signal errors for tokens
	that are both openers (resp. closers) and something else.
	(smie-grammar): Loosen definition of valid values.
	(smie-next-sexp, smie-down-list, smie-blink-matching-open)
	(smie-indent--parent, smie-rule-parent, smie-indent-keyword)
	(smie-indent-after-keyword): Adjust users.
	(smie-indent-keyword): Don't indent empty lines.

	* vc-hg.el (vc-hg-program): New var.
	Suggested by Norman Gray <norman@astro.gla.ac.uk>.
	(vc-hg-state, vc-hg-working-revision, vc-hg-command): Use it.

2010-11-17  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/autoload.el (autoload-find-destination): The function
	coding-system-eol-type may return non-numeric values.  (Bug#7414)

2010-11-16  Ulrich Mueller  <ulm@gentoo.org>

	* server.el (server-force-stop): Ensure the server is stopped (Bug#7409).

2010-11-13  Eli Zaretskii  <eliz@gnu.org>

	* subr.el (posn-col-row): Pay attention to header line.  (Bug#7390)

2010-11-13  Chong Yidong  <cyd@stupidchicken.com>

	* textmodes/picture.el (picture-mouse-set-point): Don't use
	posn-col-row; explicitly compute the motion based on the posn at
	the window-start (Bug#7390).

2010-11-13  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-remote-coding-commands): Add an alternative
	using "base64 -d -i".  This is needed for older base64 versions
	from GNU coreutils.  Reported by Klaus Reichl
	<Klaus.Reichl@thalesgroup.com>.

2010-11-13  Glenn Morris  <rgm@gnu.org>

	* novice.el (disabled-command-function):
	Fix 2009-11-15 change.  (Bug#7384)

2010-11-12  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (diary-iso-date-forms): Make elements
	mutually exclusive.  (Bug#7377)

2010-11-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/smie.el (smie-prec2->grammar): Obey equality constraints
	when filling the remaining "unconstrained" values.

2010-11-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/bytecomp.el (byte-compile-warnings): Simplify the
	safety predicate.

	* files.el (safe-local-variable-p): Gracefully handle errors.

	* emacs-lisp/smie.el (smie-rule-parent, smie-indent--rule):
	Use smie-indent-virtual when indenting relative to an opener.
	(smie-rule-separator): Use smie-rule-parent.
	(smie-indent-keyword): Consult rules, even for openers at bol.
	(smie-indent-comment-close): Try to align closer's content.

2010-11-11  Glenn Morris  <rgm@gnu.org>

	* ls-lisp.el (ls-lisp-dired-ignore-case): Make it an obsolete alias.

2010-11-10  Glenn Morris  <rgm@gnu.org>

	* printing.el (pr-menu-bind): Doc fix.

	* speedbar.el (speedbar-toggle-images): Doc fix.

	* progmodes/python.el (python-shell): Doc fix.

	* wid-edit.el (widget-field-use-before-change)
	(widget-use-overlay-change): Doc fixes.

2010-11-09  Glenn Morris  <rgm@gnu.org>

	* progmodes/tcl.el (tcl-hairy-scan-for-comment): Doc fix.

2010-11-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (minibuffer-completion-help): Specify the end of the
	completion field (bug#7211).

	* progmodes/python.el (python-font-lock-syntactic-keywords): (bug#7322)
	Fix handling of backslash escapes.
	(python-quote-syntax): Adjust accordingly.

2010-11-08  Richard Levitte  <richard@levitte.org>  (tiny change)

	* vc-mtn.el (vc-mtn-working-revision, vc-mtn-after-dir-status)
	(vc-mtn-workfile-branch): Adjust to new output format.

2010-11-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* international/mule-cmds.el (princ-list): Mark as obsolete.

2010-11-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/smie.el: New package.

2010-11-06  Michael Albinus  <michael.albinus@gmx.de>

	* files.el (backup-by-copying-when-mismatch):
	Set `permanent-local' property.

	* net/tramp.el (tramp-handle-insert-file-contents): Do not set
	`permanent-local' property for `backup-by-copying-when-mismatch'.

2010-11-06  Eli Zaretskii  <eliz@gnu.org>

	* ls-lisp.el (insert-directory): Doc fix.  (bug#7285)
	(ls-lisp-classify-file): New function.
	(ls-lisp-insert-directory): Call it if switches include -F (bug#6294).
	(ls-lisp-classify): Call ls-lisp-classify-file.
	(insert-directory): Remove blanks from switches.

2010-11-07  Wilson Snyder  <wsnyder@wsnyder.org>

	* progmodes/verilog-mode.el (verilog-insert-one-definition)
	(verilog-read-decls, verilog-read-sub-decls-sig): Fix AUTOWIRE and
	AUTOINOUT for SV style multidimensional arrays, bug294.
	Reported by Eric Mastromarchi.
	(verilog-preprocess): Use with-current-buffer and
	font-lock-fontify-buffer to cleanup style issues.

2010-11-05  Michael Albinus  <michael.albinus@gmx.de>

	* net/trampver.el: Update release number.

2010-08-01  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* mouse.el (mouse-fixup-help-message): Match "mouse-2" only at the
	beginning of the string.  Use `string-match-p'.  (Bug#6765)

2010-11-01  Glenn Morris  <rgm@gnu.org>

	* locate.el (locate, locate-mode): Doc fixes.

2010-11-01  Chong Yidong  <cyd@stupidchicken.com>

	* server.el (server-start): New arg INHIBIT-PROMPT prevents asking
	user for confirmation.
	(server-force-stop): Use it.
	(server-start): Use server-force-stop for kill-emacs-hook, to
	avoid user interaction while killing Emacs.

2010-10-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc/log-edit.el (log-edit-rewrite-fixes): New var.
	(log-edit-author): New dynamic var.
	(log-edit-changelog-ours-p, log-edit-insert-changelog-entries):
	Use it to return the author if different from committer.
	(log-edit-insert-changelog): Use them to add Author: and Fixes headers.

2010-10-31  Eli Zaretskii  <eliz@gnu.org>

	* vc/vc-hooks.el (vc-default-mode-line-string): Doc fix.

2010-10-31  Chong Yidong  <cyd@stupidchicken.com>

	* vc/vc.el (vc-deduce-backend): New fun.  Handle diff buffers.
	(vc-root-diff, vc-print-root-log, vc-log-incoming)
	(vc-log-outgoing): Use it.
	(vc-diff-internal): Set diff-vc-backend.

	* vc/diff-mode.el (diff-vc-backend): New var.

2010-10-31  Juri Linkov  <juri@jurta.org>

	* vc/vc.el (vc-diff-internal): Set `revert-buffer-function'
	buffer-locally to lambda that re-runs the vc diff command.
	(Bug#6447)

2010-10-31  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc/log-view.el (log-view-mode-map): Bind revert-buffer.

	Make 'g' (AKA revert-buffer) rerun VC log, log-incoming and
	log-outgoing commands.
	* vc/vc.el (vc-log-internal-common): Add a new argument and use it
	to create a buffer local revert-buffer-function variable.
	(vc-print-log-internal, vc-log-incoming, vc-log-outgoing): Pass a
	revert-buffer-function lambda.

	Improve VC create/retrieve tag/branch.
	* vc.el (vc-create-tag): Do not read the directory name for VCs
	with repository revision granularity.  Adjust the tag/branch
	prompt.  Reset VC properties.
	(vc-retrieve-tag): Do not read the directory name for VCs
	with repository revision granularity.  Reset VC properties.

	Add optional support for resetting VC properties.
	* vc-dispatcher.el (vc-resynch-window): Add new optional argument,
	call vc-file-clearprops when true.
	(vc-resynch-buffer): Add new optional argument, pass it down.
	(vc-resynch-buffers-in-directory): Likewise.

	Improve support for special markup in the VC commit message.
	* vc-mtn.el (vc-mtn-checkin): Support Author: and Date: markup.
	* vc-hg.el (vc-hg-checkin): Add support for Date:.
	* vc-git.el (vc-git-checkin):
	* vc-bzr.el (vc-bzr-checkin): Likewise.

	Add support for vc-log-incoming, improve vc-log-outgoing for Git.
	* vc-git.el (vc-git-log-view-mode): Fix font lock for
	incoming/outgoing logs.
	(vc-git-log-outgoing, vc-git-log-incoming): New functions.

	* vc-git.el (vc-git-log-outgoing): Use the same format as the
	short log.
	(vc-git-log-incoming): Likewise.  Run "git fetch" before the log
	command

	Add bindings for vc-log-incoming and vc-log-outgoing.
	* vc-hooks.el (vc-prefix-map): Add bindings for vc-log-incoming
	and vc-log-outgoing.
	* vc-dir.el (vc-dir-menu-map): Add menu bindings for vc-log-incoming
	and vc-log-outgoing.

	Improve state updating for VC tag commands.
	* vc.el (vc-create-tag, vc-retrieve-tag): Call vc-resynch-buffer
	to update the state of all buffers in the directory.

2010-05-19  Glenn Morris  <rgm@gnu.org>

	* vc-dir.el (vc-dir): Don't pop-up-windows.  (Bug#6204)

2010-10-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el (vc-checkin, vc-modify-change-comment):
	Adjust to new vc-start/finish-logentry.
	(vc-find-conflicted-file): New command.
	(vc-transfer-file): Adjust to new vc-checkin.
	(vc-next-action): Improve scoping.

	* vc-git.el (vc-git-checkin): Use log-edit-extract-headers.
	(vc-git-commits-coding-system): Rename from git-commits-coding-system.

	* vc-dispatcher.el (vc-log-edit): Shorten names for
	log-edit-show-files.

	* vc-bzr.el (vc-bzr-checkin): Use log-edit-extract-headers.
	(vc-bzr-conflicted-files): New function.

	* log-edit.el (log-edit-summary, log-edit-header)
	(log-edit-unknown-header): New faces.
	(log-edit-headers-alist): New var.
	(log-edit-header-contents-regexp): New const.
	(log-edit-match-to-eoh): New function.
	(log-edit-font-lock-keywords): Use them.
	(log-edit): Insert a "Summary:" header as default.
	(log-edit-mode): Mark font-lock rules as case-insensitive.
	(log-edit-done): Cleanup headers.
	(log-edit-extract-headers): New function to replace it.

	* vc-dispatcher.el (vc-finish-logentry): Don't mess so badly with
	the windows/frames.

	* vc-bzr.el (vc-bzr-shelve-apply): Don't use *vc-bzr-shelve*.

	* vc-dir.el (vc-dir-kill-line): New command.
	(vc-dir-mode-map): Bind it to C-k.
	(vc-dir-headers): Abbreviate the working dir.

	* vc-git.el (vc-git-revision-table): Include remote branches.

2010-10-31  Dan Nicolaescu  <dann@ics.uci.edu>

	New VC methods: vc-log-incoming and vc-log-outgoing.
	* vc.el (vc-print-log-setup-buttons, vc-log-internal-common)
	(vc-incoming-outgoing-internal, vc-log-incoming, vc-log-outgoing):
	New functions.
	(vc-print-log-internal): Just call vc-log-internal-common.
	(vc-log-view-type): New permanent local variable.

	* vc-hooks.el (vc-menu-map): Bind vc-log-incoming and vc-log-outgoing.

	* vc-bzr.el (vc-bzr-log-view-mode): Use vc-log-view-type instead
	of the dynamic bound vc-short-log.
	(vc-bzr-log-incoming, vc-bzr-log-outgoing): New functions.

	* vc-git.el (vc-git-log-outgoing): New function.
	(vc-git-log-view-mode): Use vc-log-view-type instead
	of the dynamic bound vc-short-log.

	* vc-hg.el (vc-hg-log-view-mode): Use vc-log-view-type instead of
	the dynamic bound vc-short-log.  Highlight the tag.
	(vc-hg-log-incoming, vc-hg-log-outgoing): New functions.
	(vc-hg-outgoing, vc-hg-incoming, vc-hg-outgoing-mode):
	(vc-hg-incoming-mode): Remove.
	(vc-hg-extra-menu-map): Do not bind vc-hg-incoming and vc-hg-outgoing.

	Fix default-directory for vc-root-diff.
	* vc.el (vc-root-diff): Bind default-directory to the root
	directory for the diff command.

2010-10-31  Sam Steingold  <sds@gnu.org>

	* vc-hg.el (vc-hg-push, vc-hg-pull): Use `apply' when calling
	`vc-hg-command' with a list of flags.

2010-10-31  Glenn Morris  <rgm@gnu.org>

	* vc-bzr.el (vc-bzr-log-edit-mode): Add --fixes support to
	log-edit-before-checkin-process.

	* vc.el (vc-modify-change-comment): Pass MODE to vc-start-logentry.

	* vc-bzr.el, vc-hg.el (log-edit-mode): Declare.

	* vc-dispatcher.el (vc-start-logentry): Doc fix.
	(log-view-process-buffer, log-edit-extra-flags): Declare.

2010-10-31  Dan Nicolaescu  <dann@ics.uci.edu>

	Add special markup processing for commit logs.
	* log-edit.el (log-edit): Add new argument MODE.  Use that mode
	when non-nil instead of the log-view-mode.

	* vc.el (vc-default-log-edit-mode): New function.

	* vc-dispatcher.el (vc-log-edit): Add a mode argument, pass it to
	log-edit.

	Support for shelving snapshots and for showing shelves.
	* vc-bzr.el (vc-bzr-shelve-show, vc-bzr-shelve-show-at-point)
	(vc-bzr-shelve-apply-and-keep-at-point, vc-bzr-shelve-snapshot):
	New functions.
	(vc-bzr-shelve-map, vc-bzr-shelve-menu-map)
	(vc-bzr-extra-menu-map): Map them.

2010-10-30  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-insert-file-contents): For root,
	preserve owner and group when editing files.  (Bug#7289)

2010-10-29  Glenn Morris  <rgm@gnu.org>

	* speedbar.el (speedbar-mode):
	* play/fortune.el (fortune-in-buffer, fortune):
	* play/gomoku.el (gomoku-mode):
	* play/landmark.el (lm-mode):
	* textmodes/bibtex.el (bibtex-validate, bibtex-validate-globally):
	Replace inappropriate uses of toggle-read-only.  (Bug#7292)

2010-10-28  Glenn Morris  <rgm@gnu.org>

	* select.el (x-selection): Mark it as an obsolete alias.

2010-10-27  Aaron S. Hawley  <aaron.s.hawley@gmail.com>

	* add-log.el (find-change-log): Use derived-mode-p rather than
	major-mode (bug#7284).

2010-10-27  Glenn Morris  <rgm@gnu.org>

	* menu-bar.el (menu-bar-files-menu): Make it into an actual alias,
	rather than just an unused variable that inherits from the real one.

2010-10-23  Michael McNamara  <mac@mail.brushroad.com>

	* progmodes/verilog-mode.el (verilog-directive-re): Make this variable
	auto-built for efficiency of execution and updating.
	(verilog-extended-complete-re): Support 'pure' fucntion & task
	declarations (these have no bodies).
	(verilog-beg-of-statement): General cleanup to enable support of
	'pure' fucntion & task declarations (these have no bodies).
	These efforts together fix Verilog bug210 from veripool; which was also
	noticed by Steve Pearlmutter.
	(verilog-directive-re, verilog-directive-begin, verilog-indent-re)
	(verilog-directive-nest-re, verilog-set-auto-endcomments):
	Support `elsif.  Reported by Shankar Giri.
	(verilog-forward-ws&directives, verilog-in-attribute-p): Fixes for
	attribute handling for lining up declarations and assignments.
	(verilog-beg-of-statement-1): Fix issue where continued declaration
	is indented differently if it is after a begin..end clock.
	(verilog-in-attribute-p, verilog-skip-backward-comments)
	(verilog-skip-forward-comment-p): Support proper treatment of
	attributes by indent code.  Reported by Jeff Steele.
	(verilog-in-directive-p): Fix comment to correctly describe function.
	(verilog-backward-up-list, verilog-in-struct-region-p)
	(verilog-backward-token, verilog-in-struct-p)
	(verilog-in-coverage-p, verilog-do-indent)
	(verilog-pretty-declarations): Use verilog-backward-up-list as
	wrapper around backward-up-list inorder to properly skip comments.
	Reported by David Rogoff.
	(verilog-property-re, verilog-endcomment-reason-re)
	(verilog-beg-of-statement, verilog-set-auto-endcomments)
	(verilog-calc-1 ): Fix for assert a; else b; indentation (new form
	of if).  Reported by Max Bjurling and
	(verilog-calc-1): Fix for clocking block in modport
	declaration.  Reported by Brian Hunter.

2010-10-23  Wilson Snyder  <wsnyder@wsnyder.org>

	* progmodes/verilog-mode.el (verilog-auto-inst, verilog-gate-ios)
	(verilog-gate-keywords, verilog-read-sub-decls)
	(verilog-read-sub-decls-gate, verilog-read-sub-decls-gate-ios)
	(verilog-read-sub-decls-line, verilog-read-sub-decls-sig): Support
	AUTOINST for gate primitives, bug284.  Reported by Mark Johnson.
	(verilog-read-decls): Fix spaces in V2K module parameters causing
	mis-identification as interfaces, bug287.
	(verilog-read-decls): Fix not treating "parameter string" as a
	parameter in AUTOINSTPARAM.
	(verilog-read-always-signals-recurse, verilog-read-decls): Fix not
	treating `elsif similar to `endif inside AUTOSENSE.
	(verilog-do-indent): Implement correct automatic or static task or
	function end comment highlight.  Reported by Steve Pearlmutter.
	(verilog-font-lock-keywords-2): Fix highlighting of single
	character pins, bug264.  Reported by Michael Laajanen.
	(verilog-auto-inst, verilog-read-decls, verilog-read-sub-decls)
	(verilog-read-sub-decls-in-interfaced, verilog-read-sub-decls-sig)
	(verilog-subdecls-get-interfaced, verilog-subdecls-new):
	Support interfaces with AUTOINST, bug270.  Reported by Luis Gutierrez.
	(verilog-pretty-expr): Fix interactive arguments, bug272.
	Reported by Mark Johnson.
	(verilog-auto-tieoff, verilog-auto-tieoff-ignore-regexp):
	Add 'verilog-auto-tieoff-ignore-regexp' for AUTOTIEOFF,
	bug269.  Suggested by Gary Delp.
	(verilog-mode-map, verilog-preprocess, verilog-preprocess-history)
	(verilog-preprocessor, verilog-set-compile-command):
	Create verilog-preprocess and verilog-preprocessor to show
	preprocessed output.
	(verilog-get-beg-of-line, verilog-get-end-of-line)
	(verilog-modi-file-or-buffer, verilog-modi-name)
	(verilog-modi-point, verilog-within-string): Move defmacro's
	before first use to avoid warning.  Reported by Steve Pearlmutter.
	(verilog-colorize-buffer, verilog-colorize-include-files-buffer)
	(verilog-colorize-region, verilog-highlight-buffer)
	(verilog-highlight-includes, verilog-highlight-modules)
	(verilog-highlight-region, verilog-mode): Rename colorize to
	highlight to match other packages.  Disable module highlighting,
	as received speed complaints, reenable for experimentation only
	using new verilog-highlight-modules.
	(verilog-read-decls): Fix regexp stack overflow in very large
	AUTO_TEMPLATEs, bug250.
	(verilog-auto, verilog-delete-auto, verilog-save-buffer-state)
	(verilog-scan): Create verilog-save-buffer-state to standardize
	making insignificant changes that shouldn't call hooks.
	(verilog-save-no-change-functions, verilog-save-scan-cache)
	(verilog-scan, verilog-scan-cache-ok-p, verilog-scan-region):
	Create verilog-save-no-change-functions to wrap verilog-scan
	preservation, and fix to work with nested preserved calls.
	(verilog-auto-inst, verilog-auto-inst-dot-name): Support .name
	port syntax for AUTOWIRE, and with new verilog-auto-inst-dot-name
	generate .name with AUTOINST, bug245.  Suggested by David Rogoff.
	(verilog-submit-bug-report): Update variable list to be complete.
	(verilog-auto, verilog-colorize-region): Fix AUTO expansion
	breaking on-the-fly font-locking.
	(verilog-colorize-buffer, verilog-colorize-include-files)
	(verilog-colorize-include-files-buffer, verilog-colorize-region)
	(verilog-load-file-at-mouse, verilog-load-file-at-point)
	(verilog-mode, verilog-read-inst-module-matcher): With point on a
	AUTOINST cell instance name, middle mouse button now finds-file on
	it.  Suggested by Brad Dobbie.
	(verilog-alw-get-temps, verilog-auto-reset)
	(verilog-auto-sense-sigs, verilog-read-always-signals)
	(verilog-read-always-signals-recurse): Fix loop indexes being
	AUTORESET.  AUTORESET now assumes any variables in the
	initialization section of a for() should be ignored.
	Reported by Dan Dever.
	(verilog-error-font-lock-keywords)
	(verilog-error-regexp-emacs-alist)
	(verilog-error-regexp-xemacs-alist): Fix error detection of
	Cadence HAL, reported by David Asher.  Repair drift between the
	three similar error variables.
	(verilog-modi-lookup, verilog-modi-lookup-cache)
	(verilog-modi-lookup-last-current, verilog-modi-lookup-last-mod)
	(verilog-modi-lookup-last-modi, verilog-modi-lookup-last-tick):
	Fix slow verilog-auto expansion on very large files.
	(verilog-read-sub-decls-expr, verilog-read-sub-decls-line):
	Fix AUTOOUTPUT treating "1*2" as a signal name in submodule connection
	"{1*2{...".  Broke in last revision.
	(verilog-read-sub-decls-expr): Fix AUTOOUTPUT not detecting
	submodule connections with replications "{#{a},#{b}}".

2010-10-23  Glenn Morris  <rgm@gnu.org>

	* comint.el (comint-password-prompt-regexp):
	Match "enter the password".  (Bug#7224)

2010-10-22  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/dcl-mode.el (dcl-electric-reindent-regexps):
	Fix typo in docstring.

2010-10-21  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-get-inline-coding): Return `nil' in case of
	errors.

	* net/trampver.el: Update release number.

2010-10-20  Kenichi Handa  <handa@m17n.org>

	* face-remap.el (text-scale-adjust): Call read-event with a proper
	prompt.

2010-10-19  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-do-file-attributes-with-stat)
	(tramp-do-directory-files-and-attributes-with-stat): Use "e0" in
	order to make stat results a float.  Patch by Andreas Schwab
	<schwab@linux-m68k.org>.

2010-10-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* repeat.el (repeat): Use read-key (bug#6256).

2010-10-18  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/unsafep.el: Don't mark functions that display
	messages as safe.  Suggested by Johan Bockgård.

2010-10-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/regexp-opt.el (regexp-opt-group, regexp-opt-charset):
	Turn comments into docstrings.

	* minibuffer.el (completion--replace): Move point where it belongs
	when there's a common suffix (bug#7215).

2010-10-15  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-open-connection-setup-interactive-shell):
	Suppress expansion of tabs to spaces.  Reported by Dale Sedivec
	<dale@codefu.org>.

2010-10-15  Kenichi Handa  <handa@m17n.org>

	* international/characters.el: Add category '|' (word breakable)
	to fullwidth characters.

2010-10-14  Kenichi Handa  <handa@m17n.org>

	* mail/rmail.el (rmail-show-message-1): Catch an error of
	base64-decode-region and just show an error message (bug#7165).

	* ps-mule.el (ps-mule-font-spec-list): Delete it.  Not used anymore.
	(ps-mule-begin-job): Fix for the case that only ENCODING is set in
	a font-spec (bug#7197).

2010-10-13  Glenn Morris  <rgm@gnu.org>

	* mail/emacsbug.el (report-emacs-bug): Mention debbugs.gnu.org.

2010-10-12  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule.el (define-coding-system):
	* international/titdic-cnv.el (quail-cxterm-package-ext-info):
	* composite.el (compose-region): Fix typo in docstring.

2010-10-10  Jan Djärv  <jan.h.d@swipnet.se>

	* term/ns-win.el (ns-right-alternate-modifier): New defvar.
	(ns-right-option-modifier): New alias for ns-right-alternate-modifier.
	(mac-right-option-modifier): New alias for ns-right-option-modifier.

	* cus-start.el (all): ns-right-alternate-modifier is new.

2010-10-10  Andreas Schwab  <schwab@linux-m68k.org>

	* Makefile.in (ELCFILES): Update.

2010-10-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/lisp.el (lisp-completion-at-point):
	Use emacs-lisp-mode-syntax-table for the whole function.

2010-10-09  Richard Sharman  <richard_sharman@mitel.com>  (tiny change)

	* progmodes/gdb-ui.el (gdb-mouse-toggle-breakpoint-margin)
	(gdb-mouse-toggle-breakpoint-fringe): Correct regexp to
	work when breakpoint number exceeds nine.

2010-10-05  David Koppelman  <koppel@ece.lsu.edu>

	* hi-lock.el (hi-lock-font-lock-hook): Check font-lock-fontified
	instead of font-lock-mode before adding keywords.
	Remove hi-lock-mode off code.  Remove inhibit hack.
	(hi-lock-set-pattern): Only add keywords if font-lock-fontified
	non-nil; removed hook inhibit hack.

2010-10-09  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/shadow.el (find-emacs-lisp-shadows): Rename it...
	(load-path-shadows-find): ... to this.
	(list-load-path-shadows): Update for above change.

	* mail/mail-utils.el (mail-mbox-from): Also try return-path.

2010-10-08  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/cl-compat.el, emacs-lisp/lmenu.el: Move to obsolete/.

	* emacs-lisp/shadow.el (lisp-shadow): Change prefix.
	(shadows-compare-text-p): Make it an obsolete alias for...
	(load-path-shadows-compare-text): ... new name.
	(find-emacs-lisp-shadows): Update for above name change.
	(load-path-shadows-same-file-or-nonexistent): New name for the old
	shadow-same-file-or-nonexistent.

2010-10-03  Chong Yidong  <cyd@stupidchicken.com>

	* minibuffer.el (completion--some, completion--do-completion)
	(minibuffer-complete-and-exit, minibuffer-completion-help)
	(completion-basic-try-completion)
	(completion-basic-all-completions)
	(completion-pcm--find-all-completions): Use lexical-let to
	avoid some false matches in variable completion (Bug#7056)

2010-10-03  Olof Ohlsson Sax  <olof.ohlsson.sax@gmail.com>  (tiny change)

	* vc-svn.el (vc-svn-merge-news): Use --non-interactive.  (Bug#7152)

2010-10-03  Leo  <sdl.web@gmail.com>

	* dnd.el (dnd-get-local-file-name): If MUST-EXIST is non-nil, only
	return non-nil if the file exists (Bug#7090).

2010-09-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion--replace):
	Better preserve markers (bug#7138).

2010-09-29  Juanma Barranquero  <lekktu@gmail.com>

	* server.el (server-process-filter): Doc fix.

2010-09-27  Drew Adams  <drew.adams@oracle.com>

	* dired.el (dired-save-positions): Doc fix.  (Bug#7119)

2010-09-27  Andreas Schwab  <schwab@linux-m68k.org>

	* Makefile.in (ELCFILES): Update.

	* emacs-lisp/byte-opt.el (byte-optimize-form-code-walker):
	Avoid infinite recursion on erroneous lambda form.  (Bug#7114)

2010-09-27  Kenichi Handa  <handa@m17n.org>

	* tar-mode.el (tar-header-block-tokenize): Decode filenames in
	"ustar" format.

2010-09-27  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (define-coding-system): Docstring fixed.

	* international/mule-diag.el (describe-character-set): Use princ
	with proper print-length and print-level instead of insert.

2010-09-26  Juanma Barranquero  <lekktu@gmail.com>

	* window.el (walk-windows): Doc fix (bug#7105).

2010-09-23  Glenn Morris  <rgm@gnu.org>

	* isearch.el (isearch-lazy-highlight-cleanup)
	(isearch-lazy-highlight-initial-delay)
	(isearch-lazy-highlight-interval)
	(isearch-lazy-highlight-max-at-a-time, isearch-lazy-highlight-face):
	* net/net-utils.el (ipconfig-program-options):
	Move aliases to options before the associated definitions.

2010-09-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* newcomment.el (comment-normalize-vars): Better test validity of
	comment-end-skip.

2010-09-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/float-sup.el (float-pi): New name for `pi'.
	(float-e): New name for `e'.
	(degrees-to-radians, radians-to-degrees):
	* calendar/solar.el (solar-longitude):
	* calculator.el (calculator-registers, calculator-funcall):
	* textmodes/artist.el (artist-spray-random-points):
	* play/bubbles.el (bubbles--initialize-images): Use new names.

2010-09-19  Eric M. Ludlam  <zappo@gnu.org>

	Update to CEDET 1.0's version of EIEIO.

	* emacs-lisp/eieio.el (eieio-specialized-key-to-generic-key):
	New function.
	(eieio-defmethod, eieio-generic-form, eieio-generic-call): Use it.
	(eieio-default-eval-maybe): Eval val instead of unquoting only.
	(class-precedence-list): If class is nil, return nil.
	(eieio-generic-call): If class of first input arg is nil, don't
	look up static methods, and do check for primary methods.
	(initialize-instance): See if the default needs to be evaluated
	during the constructor.
	(eieio-perform-slot-validation-for-default): Don't do the check
	for values that will eventually be evaluated.
	(eieio-eval-default-p): New function.
	(eieio-default-eval-maybe): Use it.

2010-07-03  Jan Moringen  <jan.moringen@uni-bielefeld.de>

	* emacs-lisp/eieio.el (eieio-defclass): Allow :c3
	method-invocation-order.
	(eieio-c3-candidate, eieio-c3-merge-lists): New functions.
	(eieio-class-precedence-dfs): Compute class precedence list using
	dfs algorithm.
	(eieio-class-precedence-bfs): Compute class precedence list using
	bfs algorithm.
	(eieio-class-precedence-c3): Compute class precedence list using
	c3 algorithm.
	(class-precedence-list): New function.
	(eieiomt-method-list, eieiomt-sym-optimize): Use it.
	(inconsistent-class-hierarchy): New error symbol.
	(call-next-method): Stow the replacement argument list for future
	call-next-method invocations.

2010-09-15  Glenn Morris  <rgm@gnu.org>

	* calendar/appt.el (appt-check): If not displaying the diary,
	use (diary 1) to only get the entries we need.
	(appt-make-list): Sort diary-list-entries, if we cannot guarantee
	that it is in day order.  (Bug#7019)

	* calendar/appt.el (appt-check): Rather than showing the diary,
	just turn off invisible display, and only if needed.

	* calendar/diary-lib.el (diary-list-entries): Doc fix.  (Bug#7019)

2010-09-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/byte-run.el (set-advertised-calling-convention):
	Add `when' argument.  Update callers.

	* subr.el (unintern): Declare the obarray arg mandatory.

2010-09-14  Glenn Morris  <rgm@gnu.org>

	* calendar/diary-lib.el (diary-list-entries-hook, diary-sort-entries):
	Doc fixes.

	* calendar/diary-lib.el (diary-included-files): New variable.
	(diary-list-entries): Maybe initialize diary-included-files.
	(diary-include-other-diary-files): Append to diary-included-files.
	* calendar/appt.el (appt-update-list): Also check the members of
	diary-included-files.  (Bug#6999)
	(appt-check): Doc fix.

2010-09-12  David Reitter  <david.reitter@gmail.com>

	* simple.el (line-move-visual): Do not truncate goal column to
	integer size.  (Bug#7020)

2010-09-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* repeat.el (repeat): Allow repeating when the last event is a click.
	Suggested by Drew Adams (bug#6256).

2010-09-11  Sascha Wilde  <wilde@sha-bang.de>

	* vc/vc-hg.el (vc-hg-state,vc-hg-working-revision):
	Replace setting HGRCPATH to "" by some less invasive --config options.

2010-09-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* font-lock.el (font-lock-beginning-of-syntax-function):
	Mark as obsolete.

2010-09-10  Glenn Morris  <rgm@gnu.org>

	* menu-bar.el (menu-bar-options-save): Fix handling of menu-bar
	and tool-bar modes.  (Bug#6211)
	(menu-bar-mode): Move setting of standard-value after the
	minor-mode definition, otherwise it seems to have no effect.

2010-09-08  Masatake YAMATO  <yamato@redhat.com>

	* progmodes/antlr-mode.el (antlr-font-lock-additional-keywords):
	Fix typo.  (Bug#6976)

2010-09-06  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* whitespace.el: Allow cleaning up blanks without blank
	visualization (Bug#6651).  Adjust help window for
	whitespace-toggle-options (Bug#6479).  Allow to use fill-column
	instead of whitespace-line-column (from EmacsWiki).  New version 13.1.
	(whitespace-style): Add new value 'face.  Adjust docstring.
	(whitespace-space, whitespace-hspace, whitespace-tab):
	Adjust foreground property face.
	(whitespace-line-column): Adjust docstring and type declaration.
	(whitespace-style-value-list, whitespace-toggle-option-alist)
	(whitespace-help-text): Adjust const initialization.
	(whitespace-toggle-options, global-whitespace-toggle-options):
	Adjust docstring.
	(whitespace-display-window, whitespace-interactive-char)
	(whitespace-style-face-p, whitespace-color-on): Adjust code.
	(whitespace-help-scroll): New fun.

2010-09-05  Alexander Klimov  <alserkli@inbox.ru>  (tiny change)

	* files.el (directory-abbrev-alist): Use \` as default regexp.

	* emacs-lisp/rx.el (rx-any): Don't explode ranges that end in special
	chars like - or ] (bug#6984).
	(rx-any-condense-range): Explode 2-char ranges.

2010-09-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/bibtex.el:
	* proced.el: Update to new email for Roland Winkler <winkler@gnu.org>.

2010-09-02  Glenn Morris  <rgm@gnu.org>

	* desktop.el (desktop-path): Bump :version after 2009-09-15 change.

2010-08-31  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (standard-display-european-internal):
	Setup standard-display-table for 8-bit characters by storing 8-bit
	characters in the element vector.

	* disp-table.el (standard-display-8bit):
	Setup standard-display-table for 8-bit characters by storing 8-bit
	characters in the element vector.
	(standard-display-european): Likewise.

2010-08-26  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.1.19.

	* net/tramp-cmds.el (tramp-cleanup-all-connections)
	(tramp-reporter-dump-variable, tramp-load-report-modules)
	(tramp-append-tramp-buffers): Use `tramp-compat-funcall'.
	(tramp-bug): Recommend setting of `tramp-verbose' to 9.

	* net/tramp-compat.el (top): Do not autoload
	`tramp-handle-file-remote-p'.  Load tramp-util.el and tramp-vc.el
	only when `start-file-process' is not bound.
	(byte-compile-not-obsolete-vars): Define if not bound.
	(tramp-compat-funcall): New defmacro.
	(tramp-compat-line-beginning-position)
	(tramp-compat-line-end-position)
	(tramp-compat-temporary-file-directory)
	(tramp-compat-make-temp-file, tramp-compat-file-attributes)
	(tramp-compat-copy-file, tramp-compat-copy-directory)
	(tramp-compat-delete-file, tramp-compat-delete-directory)
	(tramp-compat-number-sequence, tramp-compat-process-running-p):
	Use it.
	(tramp-advice-file-expand-wildcards): Do not use
	`tramp-handle-file-remote-p'.
	(tramp-compat-make-temp-file): Simplify fallback implementation.
	(tramp-compat-copy-file): Add PRESERVE-SELINUX-CONTEXT.
	(tramp-compat-copy-tree): Remove function.
	(tramp-compat-delete-file): New defun.
	(tramp-compat-delete-directory): Provide implementation for older
	Emacsen.
	(tramp-compat-file-attributes): Handle only
	`wrong-number-of-arguments' error.

	* net/tramp-fish.el (tramp-fish-handle-copy-file):
	Add PRESERVE_SELINUX_CONTEXT.
	(tramp-fish-handle-delete-file): Add TRASH arg.
	(tramp-fish-handle-directory-files-and-attributes):
	Do not use `tramp-fish-handle-file-attributes.
	(tramp-fish-handle-file-local-copy)
	(tramp-fish-handle-insert-file-contents)
	(tramp-fish-maybe-open-connection): Use `with-progress-reporter'.

	* net/tramp-gvfs.el (top): Require url-util.
	(tramp-gvfs-mount-point): Remove.
	(tramp-gvfs-file-name-handler-alist): Add `file-selinux-context'
	and `set-file-selinux-context'.
	(tramp-gvfs-stringify-dbus-message, tramp-gvfs-send-command)
	(tramp-gvfs-handle-file-selinux-context)
	(tramp-gvfs-handle-set-file-selinux-context): New defuns.
	(with-tramp-dbus-call-method): Format trace message.
	(tramp-gvfs-handle-copy-file): Handle PRESERVE-SELINUX-CONTEXT.
	(tramp-gvfs-handle-copy-file, tramp-gvfs-handle-rename-file):
	Implement backup call, when operation on local files fails.
	Use progress reporter.  Flush properties of changed files.
	(tramp-gvfs-handle-delete-file): Add TRASH arg.
	Use `tramp-compat-delete-file'.
	(tramp-gvfs-handle-expand-file-name): Expand "~/".
	(tramp-gvfs-handle-make-directory): Make more traces.
	(tramp-gvfs-handle-write-region): Protect deleting tmpfile.
	(tramp-gvfs-url-file-name): Hexify file name in url.
	(tramp-gvfs-fuse-file-name): Take also prefix (like dav shares)
	into account for the resulting file name.
	(tramp-gvfs-handler-askquestion): Preserve current message, in
	order to let progress reporter continue afterwards.  (Bug#6257)
	Return dummy mountpoint, when the answer is "no".
	See `tramp-gvfs-maybe-open-connection'.
	(tramp-gvfs-handler-mounted-unmounted)
	(tramp-gvfs-connection-mounted-p): Test also for new mountspec
	attribute "default_location".  Set "prefix" property.
	Handle default-location.
	(tramp-gvfs-mount-spec): Return both prefix and mountspec.
	(tramp-gvfs-maybe-open-connection): Test, whether mountpoint
	exists.  Raise an error, if not (due to a corresponding answer
	"no" in interactive questions, for example).
	Use `tramp-compat-funcall'.

	* net/tramp-imap.el (top): Autoload `epg-make-context'.
	(tramp-imap-handle-copy-file): Add PRESERVE-SELINUX-CONTEXT.
	(tramp-imap-do-copy-or-rename-file)
	(tramp-imap-handle-insert-file-contents)
	(tramp-imap-handle-file-local-copy): Use `with-progress-reporter'.
	(tramp-imap-handle-delete-file): Add TRASH arg.

	* net/tramp-smb.el (tramp-smb-handle-copy-file):
	Add PRESERVE-SELINUX-CONTEXT.
	(tramp-smb-handle-copy-file)
	(tramp-smb-handle-file-local-copy, tramp-smb-handle-rename-file)
	(tramp-smb-handle-write-region, tramp-smb-maybe-open-connection):
	Use `with-progress-reporter'.
	(tramp-smb-handle-delete-file): Add TRASH arg.

	* net/tramp.el (tramp-methods): Move hostname to the end in all
	ssh `tramp-login-args'.  Add `tramp-async-args' attribute where
	appropriate.
	(tramp-verbose): Describe verbose level 9.
	(tramp-completion-function-alist)
	(tramp-file-name-regexp, tramp-chunksize)
	(tramp-local-coding-commands, tramp-remote-coding-commands)
	(with-connection-property, tramp-completion-mode-p)
	(tramp-action-process-alive, tramp-action-out-of-band)
	(tramp-check-for-regexp, tramp-file-name-p, tramp-equal-remote)
	(tramp-exists-file-name-handler): Fix docstring.
	(tramp-remote-process-environment): Use `format' instead of
	`concat'.  Protect version string by apostroph.
	(tramp-shell-prompt-pattern): Do not use a shy group in case of
	XEmacs.
	(tramp-file-name-regexp-unified)
	(tramp-completion-file-name-regexp-unified): On W32 systems, do
	not regard the volume letter as remote filename.  (Bug#5447)
	(tramp-perl-file-attributes)
	(tramp-perl-directory-files-and-attributes): Don't pass "$3".
	(tramp-vc-registered-read-file-names): Read input as
	here-document, otherwise the command could exceed maximum length
	of command line.
	(tramp-file-name-handler-alist): Add `file-selinux-context' and
	`set-file-selinux-context'.
	(tramp-debug-message): Add `tramp-compat-funcall' to ignored
	backtrace functions.
	(tramp-error-with-buffer): Don't show the connection buffer when
	we are in completion mode.
	(tramp-progress-reporter-update, tramp-remote-selinux-p)
	(tramp-handle-file-selinux-context)
	(tramp-handle-set-file-selinux-context, tramp-process-sentinel)
	(tramp-connectable-p, tramp-open-shell, tramp-get-remote-trash):
	New defuns.
	(with-progress-reporter): New defmacro.
	(tramp-debug-outline-regexp): New defconst.
	(top, tramp-rfn-eshadow-setup-minibuffer)
	(tramp-rfn-eshadow-update-overlay, tramp-handle-set-file-times)
	(tramp-handle-dired-compress-file, tramp-handle-shell-command)
	(tramp-completion-mode-p, tramp-check-for-regexp)
	(tramp-open-connection-setup-interactive-shell)
	(tramp-compute-multi-hops, tramp-read-passwd, tramp-clear-passwd)
	(tramp-time-diff, tramp-coding-system-change-eol-conversion)
	(tramp-set-process-query-on-exit-flag, tramp-unload-tramp):
	Use `tramp-compat-funcall'.
	(tramp-handle-make-symbolic-link): Flush file properties.
	(tramp-handle-load, tramp-handle-file-local-copy)
	(tramp-handle-insert-file-contents, tramp-handle-write-region)
	(tramp-handle-vc-registered, tramp-maybe-send-script)
	(tramp-find-shell): Use `with-progress-reporter'.
	(tramp-do-file-attributes-with-stat): Add space in format string,
	in order to work around a bug in pdksh.  Reported by Gilles Pion
	<gpion@lfdj.com>.
	(tramp-handle-verify-visited-file-modtime): Do not send a command
	when the connection is not established.
	(tramp-handle-set-file-times): Simplify the check for utc.
	(tramp-handle-directory-files-and-attributes)
	(tramp-get-remote-path): Use `copy-tree'.
	(tramp-completion-handle-file-name-all-completions): Ensure, that
	non remote files are still checked.  Oops.
	(tramp-handle-copy-file, tramp-do-copy-or-rename-file):
	Handle PRESERVE-SELINUX-CONTEXT.
	(tramp-do-copy-or-rename-file): Add progress reporter.
	(tramp-do-copy-or-rename-file-directly): Do not use
	`tramp-handle-file-remote-p'.
	(tramp-do-copy-or-rename-file-out-of-band):
	Use `tramp-compat-delete-directory'.
	(tramp-do-copy-or-rename-file-out-of-band)
	(tramp-compute-multi-hops, tramp-maybe-open-connection):
	Use `format-spec-make'.
	(tramp-handle-delete-file): Add TRASH arg.
	(tramp-handle-dired-uncache): Flush directory cache, not only file
	cache.
	(tramp-handle-expand-file-name)
	(tramp-completion-handle-file-name-all-completions)
	(tramp-completion-handle-file-name-completion):
	Use `tramp-connectable-p'.
	(tramp-handle-start-file-process): Set connection property "vec".
	Use it, in order to invalidate file caches.  Check only for
	`remote-tty' process property.
	Implement tty setting.  (Bug#4604, Bug#6360)
	(tramp-file-name-for-operation): Add `call-process-region' and
	`set-file-selinux-context'.
	(tramp-find-foreign-file-name-handler)
	(tramp-advice-make-auto-save-file-name)
	(tramp-set-auto-save-file-modes): Remove superfluous check for
	`stringp'.  This is done inside `tramp-tramp-file-p'.
	(tramp-file-name-handler): Trace 'quit.  Catch the error for some
	operations when we are in completion mode.  This gives the user
	the chance to correct the file name in the minibuffer.
	(tramp-completion-mode-p): Use `non-essential'.
	(tramp-handle-file-name-all-completions): Backward/ XEmacs
	compatibility: Use `completion-ignore-case' if
	`read-file-name-completion-ignore-case' does not exist.
	(tramp-get-debug-buffer): Use `tramp-debug-outline-regexp'.
	(tramp-find-shell, tramp-open-connection-setup-interactive-shell):
	`tramp-open-shell'.
	(tramp-action-password): Hide password prompt before next run.
	(tramp-process-actions): Widen connection buffer for the trace.
	(tramp-open-connection-setup-interactive-shell): Set `remote-tty'
	process property.  Trace stty settings if `tramp-verbose' >= 9.
	Apply workaround for IRIX64 bug.  Move argument of last
	`tramp-send-command' where it belongs to.
	(tramp-maybe-open-connection): Use `async-args' and `gw-args' in
	front of `login-args'.
	(tramp-get-ls-command, tramp-get-ls-command-with-dired): Run tests
	on "/dev/null" instead of "/".
	(tramp-get-ls-command-with-dired): Make test for "--dired"
	stronger.
	(tramp-set-auto-save-file-modes): Adapt version check.
	(tramp-set-process-query-on-exit-flag): Fix wrong parentheses.
	(tramp-handle-process-file): Call the program in a subshell, in
	order to preserve working directory.
	(tramp-handle-shell-command): Don't use hard-wired "/bin/sh" but
	`tramp-remote-sh' from `tramp-methods'.
	(tramp-get-ls-command): Make test for "--color=never" stronger.
	(tramp-check-for-regexp): Use (forward-line 1).

	* net/trampver.el: Update release number.

2010-08-26  Magnus Henoch  <magnus.henoch@gmail.com>

	* net/tramp-gvfs.el (tramp-gvfs-handle-copy-file): Do not pass
	empty argument to gvfs-copy.

2010-08-26  Chong Yidong  <cyd@stupidchicken.com>

	* net/tramp-compat.el (tramp-compat-delete-file): Rewrite to
	handle new TRASH arg of `delete-file'.

2010-08-26  Christian Lynbech  <christian.lynbech@tieto.com>  (tiny change)

	* net/tramp.el (tramp-handle-insert-directory): Don't use
	`forward-word', its default syntax could be changed.

2010-08-26  Toru TSUNEYOSHI  <t_tuneyosi@hotmail.com>
            Michael Albinus  <michael.albinus@gmx.de>

	Implement compression for inline methods.

	* net/tramp.el (tramp-inline-compress-start-size): New defcustom.
	(tramp-copy-size-limit): Allow also nil.
	(tramp-inline-compress-commands): New defconst.
	(tramp-find-inline-compress, tramp-get-inline-compress)
	(tramp-get-inline-coding): New defuns.
	(tramp-get-remote-coding, tramp-get-local-coding): Remove,
	replaced by `tramp-get-inline-coding'.
	(tramp-handle-file-local-copy, tramp-handle-write-region)
	(tramp-method-out-of-band-p): Use `tramp-get-inline-coding'.

2010-08-26  Noah Lavine  <noah549@gmail.com>  (tiny change)

	Detect ssh 'ControlMaster' argument automatically in some cases.

	* net/tramp.el (tramp-detect-ssh-controlmaster): New defun.
	(tramp-default-method): Use it.

2010-08-26  Karel Klíč  <kklic@redhat.com>

	* net/tramp.el (tramp-file-name-for-operation):
	Add file-selinux-context.

2010-08-26  Łukasz Stelmach  <lukasz.stelmach@iem.pw.edu.pl>  (tiny change)

	* play/cookie1.el (read-cookie): Fix off-by-one error (bug#6921).

2010-08-26  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (beginning-of-buffer, end-of-buffer): Doc fix
	(Bug#6907).

2010-08-23  Chris Foote <chris@foote.com.au>  (tiny change)

	* progmodes/python.el (python-block-pairs): Allow use of "finally"
	with "else" (Bug#3991).

2010-08-22  Leo  <sdl.web@gmail.com>

	* net/rcirc.el (rcirc-add-or-remove): Accept a list of elements.
	(ignore, bright, dim, keyword): Split list of nicknames before
	passing to rcirc-add-or-remove (Bug#6894).

2010-08-22  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/easy-mmode.el (define-minor-mode): Doc fix (Bug#6880).

2010-08-21  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* whitespace.el: Fix slow cursor movement (Bug#6172).  Reported by
	Christoph Groth <cwg@falma.de> and Liu Xin <x_liu@neusoft.com>.
	New version 13.0.
	(whitespace-empty-at-bob-regexp, whitespace-empty-at-eob-regexp):
	Adjust initialization.
	(whitespace-bob-marker, whitespace-eob-marker)
	(whitespace-buffer-changed): New vars.
	(whitespace-cleanup, whitespace-color-on, whitespace-color-off)
	(whitespace-empty-at-bob-regexp, whitespace-empty-at-eob-regexp)
	(whitespace-post-command-hook, whitespace-display-char-on):
	Adjust code.
	(whitespace-looking-back, whitespace-buffer-changed): New funs.
	(whitespace-space-regexp, whitespace-tab-regexp): Eliminate funs.

2010-08-21  Leo  <sdl.web@gmail.com>

	Fix buffer-list rename&refresh after killing a buffer in ido.
	* ido.el: Revert Óscar's.
	(ido-kill-buffer-at-head): Exit the minibuffer with ido-exit=refresh.
	Remember the buffers at head, rather than their name.
	* iswitchb.el (iswitchb-kill-buffer): Re-make the list.

2010-08-21  Kirk Kelsey  <kirk.kelsey@0x4b.net>  (tiny change)
            Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/make-mode.el (makefile-fill-paragraph): Account for the
	extra backslash added to each line (bug#6890).

2010-08-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (read-key): Don't echo keystrokes (bug#6883).

2010-08-21  Glenn Morris  <rgm@gnu.org>

	* menu-bar.el (menu-bar-games-menu): Add landmark.

2010-08-20  Glenn Morris  <rgm@gnu.org>

	* align.el (align-regexp): Make group and spacing arguments
	use the interactive defaults when non-interactive.  (Bug#6698)

	* mail/rmail.el (rmail-forward): Replace mail-text-start with its
	expansion, so as not to need sendmail.
	(mail-text-start): Remove declaration.
	(rmail-retry-failure): Require sendmail.

2010-08-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (read-key): Don't hide the menu-bar entries (bug#6881).

2010-08-18  Michael Albinus  <michael.albinus@gmx.de>

	* progmodes/flymake.el (flymake-start-syntax-check-process):
	Use `start-file-process' in order to let it run also on remote hosts.

2010-08-18  Kenichi Handa  <handa@m17n.org>

	* files.el: Add `word-wrap' as safe local variable.

2010-08-18  Glenn Morris  <rgm@gnu.org>

	* woman.el (woman-translate): Case matters.  (Bug#6849)

2010-08-14  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (kill-region): Doc fix (Bug#6787).

2010-08-14  Glenn Morris  <rgm@gnu.org>

	* calendar/diary-lib.el (diary-header-line-format):
	Fit it to the window, not the frame.

2010-08-11  Andreas Schwab  <schwab@linux-m68k.org>

	* subr.el (ignore-errors): Add debug declaration.

2010-08-09  Geoff Gole  <geoffgole@gmail.com>  (tiny change)

	* whitespace.el (whitespace-color-off): Remove post-command-hook
	locally.

2010-08-08  Johan Bockgård  <bojohan@gnu.org>

	* replace.el (replace-highlight): Bind isearch-forward and
	isearch-error, ensuring that highlighting is updated if the user
	switches the search direction (Bug#6808).

	* isearch.el (isearch-lazy-highlight-forward): New var.
	(isearch-lazy-highlight-new-loop, isearch-lazy-highlight-search):
	(isearch-lazy-highlight-update): Use it.

2010-08-06  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (define-charset): Store NAME as :base property.
	(ctext-non-standard-encodings-table): Pay attention to charset aliases.
	(ctext-pre-write-conversion): Sort ctext-standard-encodings by the
	current priority.  Force using the designation of the specific
	charset by adding `charset' text property.  Improve the whole
	algorithm.

2010-08-05  Juanma Barranquero  <lekktu@gmail.com>

	* emulation/pc-select.el (pc-selection-mode-hook)
	(copy-region-as-kill-nomark, beginning-of-buffer-mark)
	(pc-selection-mode): Fix typos in docstrings.

2010-08-04  Kenichi Handa  <handa@m17n.org>

	* language/cyrillic.el: Don't add "microsoft-cp1251" to
	ctext-non-standard-encodings-alist here.

	* international/mule.el (ctext-non-standard-encodings-alist):
	Add "koi8-r" and "microsoft-cp1251".
	(ctext-standard-encodings): New variable.
	(ctext-non-standard-encodings-table): List only elements for
	non-standard encodings.
	(ctext-pre-write-conversion): Adjust for the above change.
	Check ctext-standard-encodings.

	* international/mule-conf.el (compound-text): Doc fix.
	(ctext-no-compositions): Doc fix.
	(compound-text-with-extensions): Doc fix.

2010-08-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (exchange-dot-and-mark): Mark obsolete, finally.

2010-08-03  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/which-func.el (which-func-format): Split help-echo text
	into lines, like other mode-line tooltips.

	* server.el (server-start): When using TCP sockets, force IPv4
	and use a literal 127.0.0.1 for localhost.  (Related to bug#6781.)

2010-08-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* bindings.el (complete-symbol): Run completion-at-point as a fallback.

2010-08-02  Juanma Barranquero  <lekktu@gmail.com>

	* term.el (term-delimiter-argument-list): Reflow docstring.
	(term-read-input-ring, term-write-input-ring, term-send-input)
	(term-bol, term-erase-in-display, serial-supported-or-barf):
	Fix typos in docstrings.

2010-08-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* bindings.el (function-key-map): Add a S-tab => backtab fallback.

2010-08-01  Juanma Barranquero  <lekktu@gmail.com>

	* dabbrev.el (dabbrev-completion): Fix typo in docstring.

2010-08-01  MON KEY  <monkey@sandpframing.com>  (tiny change)

	* emacs-lisp/syntax.el (syntax-ppss-toplevel-pos):
	Fix typo in docstring (bug#6747).

2010-07-30  Leo  <sdl.web@gmail.com>

	* eshell/esh-io.el (eshell-get-target): Better detection of
	read-only file (Bug#6762).

2010-07-30  Juanma Barranquero  <lekktu@gmail.com>

	* align.el (align-default-spacing): Doc fix.
	(align-region-heuristic, align-regexp): Fix typos in docstrings.

2010-07-23  Juanma Barranquero  <lekktu@gmail.com>

	* help-fns.el (find-lisp-object-file-name): Doc fix (bug#6494).

2010-07-19  Juanma Barranquero  <lekktu@gmail.com>

	* time.el (display-time-day-and-date): Remove spurious * in docstring.
	(display-time-world-buffer-name, display-time-world-mode-map):
	Fix typos in docstrings.

2010-07-17  Shyam Karanatt  <shyam@swathanthran.in>  (tiny change)

	* image-mode.el (image-display-size): New function.
	(image-forward-hscroll, image-next-line, image-eol, image-eob)
	(image-mode-fit-frame): Use it (Bug#6639).

2010-07-17  Chong Yidong  <cyd@stupidchicken.com>

	* dired.el (dired-buffers-for-dir): Handle list values of
	dired-directory (Bug#6636).

2010-07-16  Reiner Steib  <Reiner.Steib@gmx.de>

	* vc.el (vc-coding-system-inherit-eol): New defvar.
	(vc-coding-system-for-diff): Use it to decide whether to inherit
	from the file the EOL format for reading the diffs of that file.
	(Bug#4451)

2010-07-16  Eli Zaretskii  <eliz@gnu.org>

	* mail/rmailmm.el (rmail-mime-save): Make the temp buffer
	unibyte, so compressed attachments are not compressed again.

2010-07-14  Jan Djärv  <jan.h.d@swipnet.se>

	* xt-mouse.el (xterm-mouse-event-read): Fix for characters > 127
	now that unicode is used (Bug#6594).

2010-07-14  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (push-mark-command): Set the selection if
	select-active-regions is non-nil.

2010-07-10  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (calendar-week-end-day): New function.
	* calendar/cal-tex.el (cal-tex-cursor-month): Remove unused vars.
	Respect calendar-week-start-day.  (Bug#6606)
	(cal-tex-insert-day-names, cal-tex-insert-blank-days)
	(cal-tex-insert-blank-days-at-end): Respect calendar-week-start-day.
	(cal-tex-first-blank-p, cal-tex-last-blank-p): Simplify, and
	respect calendar-week-start-day.

2010-07-10  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (use-region-p): Doc fix (Bug#6607).

2010-07-07  Christoph Scholtes  <cschol2112@gmail.com>

	* progmodes/python.el (python-font-lock-keywords): Add Python 2.7
	builtins (BufferError, BytesWarning, WindowsError; callables
	bin, bytearray, bytes, format, memoryview, next, print; __package__).

2010-07-07  Glenn Morris  <rgm@gnu.org>

	* play/zone.el (zone-fall-through-ws): Fix next-line ->
	forward-line fallout.

2010-07-06  Chong Yidong  <cyd@stupidchicken.com>

	* mouse.el (mouse-appearance-menu): Add docstring.

	* help.el (describe-key): Print up-event using key-description.

2010-07-03  Michael Albinus  <michael.albinus@gmx.de>

	* net/zeroconf.el (zeroconf-resolve-service)
	(zeroconf-service-resolver-handler): Use `dbus-byte-array-to-string'.
	(zeroconf-publish-service): Use `dbus-string-to-byte-array'.

2010-07-03  Jan Moringen  <jan.moringen@uni-bielefeld.de>

	* net/zeroconf.el (zeroconf-service-remove-hook): New defun.

2010-06-30  Dan Nicolaescu  <dann@ics.uci.edu>

	Avoid displaying files with a nil state in vc-dir.
	* vc-dir.el (vc-dir-update): Obey the noinsert argument in all
	cases that cause insertion.
	(vc-dir-resynch-file): Tell vc-dir-update to avoid inserting files
	with a nil state.

2010-06-30  Chong Yidong  <cyd@stupidchicken.com>

	* xml.el (xml-parse-region): Avoid infloop (Bug#5281).

2010-06-29  Leo  <sdl.web@gmail.com>

	* emacs-lisp/rx.el (rx): Doc fix.  (Bug#6537)

2010-06-27  Oleksandr Gavenko  <gavenkoa@gmail.com>  (tiny change)

	* generic-x.el (bat-generic-mode): Fix regexp for command line
	switches (Bug#5719).

2010-06-27  Masatake YAMATO  <yamato@redhat.com>

	* htmlfontify.el (hfy-face-attr-for-class): Use append instead
	of nconc to avoid pure storage error (Bug#6239).

2010-06-27  Christoph  <cschol2112@googlemail.com>  (tiny change)

	* bookmark.el (bookmark-bmenu-2-window, bookmark-bmenu-other-window)
	(bookmark-bmenu-other-window-with-mouse): Remove unnecessary
	bindings of bookmark-automatically-show-annotations (Bug#6515).

2010-06-25  Eli Zaretskii  <eliz@gnu.org>

	* arc-mode.el (archive-zip-extract): Don't quote the file name on
	MS-Windows and MS-DOS.  (Bug#6467, Bug#6144)

2010-06-24  Štěpán Němec  <stepnem@gmail.com>  (tiny change)

	* comint.el (make-comint, make-comint-in-buffer): Mention return
	value in the docstrings.  (Bug#6498)

2010-06-24  Yoni Rabkin  <yoni@rabkins.net>

	* bs.el (bs-mode-font-lock-keywords): Remove "by" from Dired pattern,
	since it is not present when using some non-default switches.

2010-06-23  Karl Fogel  <kfogel@red-bean.com>

	* simple.el (compose-mail): Fix doc string to refer to
	`compose-mail-user-agent-warnings', instead of to the
	nonexistent `compose-mail-check-user-agent'.

2010-06-22  Dan Nicolaescu  <dann@ics.uci.edu>

	Fix vc-annotate for renamed files when using Git.
	* vc-git.el (vc-git-find-revision): Deal with empty results from
	ls-files.  Doe not pass the object as a file name to cat-file, it
	is not a file name.
	(vc-git-annotate-command): Pass the file name using -- to avoid
	ambiguity with the revision.
	(vc-git-previous-revision): Pass a relative file name.

2010-06-22  Glenn Morris  <rgm@gnu.org>

	* progmodes/js.el (js-mode-map): Use standard capitalization and
	ellipses for menu entries.

	* wid-edit.el (widget-complete): Doc fix.

2010-06-22  Jürgen Hötzel  <juergen@hoetzel.info>  (tiny change)

	* wid-edit.el (widget-complete): Fix typo in 2009-12-02 change.

2010-06-22  Dan Nicolaescu  <dann@ics.uci.edu>

	Fix annotating other revisions for renamed files in vc-annotate.
	* vc-annotate.el (vc-annotate): Add an optional argument for the
	VC backend.  Use it when non-nil.
	(vc-annotate-warp-revision): Pass the VC backend to vc-annotate
	(Bug#6487).

	Fix vc-annotate-show-changeset-diff-revision-at-line for git.
	* vc-annotate.el (vc-annotate-show-diff-revision-at-line-internal):
	Do not pass the file name to the 'previous-revision call when we
	don't want a file diff.  (Bug#6489)

2010-06-21  Dan Nicolaescu  <dann@ics.uci.edu>

	Fix finding revisions for renamed files in vc-annotate.
	* vc.el (vc-find-revision): Add an optional argument for
	the VC backend.  Use it when non-nil.
	* vc-annotate.el (vc-annotate-find-revision-at-line): Pass the VC
	backend to vc-find-revision.  (Bug#6487)

2010-06-21  Dan Nicolaescu  <dann@ics.uci.edu>

	Fix reading file names in Git annotate buffers.
	* vc-git.el (vc-git-annotate-extract-revision-at-line):
	Remove trailing whitespace.  Suggested by Eric Hanchrow.  (Bug#6481)

2010-06-20  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-mode.el (c-before-hack-hook): When the mode is set
	in file local variables, set it first.

2010-06-19  Glenn Morris  <rgm@gnu.org>

	* descr-text.el (describe-char-unicode-data): Insert separating
	space when needed.  (Bug#6422)

	* progmodes/idlwave.el (idlwave-action-and-binding):
	Fix typo in 2009-12-03 change.  (Bug#6450)

2010-06-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (read-quoted-char): Fix up last change (bug#6290).

2010-06-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* font-lock.el (font-lock-major-mode): Rename from
	font-lock-mode-major-mode to distinguish it from
	global-font-lock-mode's own font-lock-mode-major-mode (bug#6135).
	(font-lock-set-defaults):
	* font-core.el (font-lock-default-function): Adjust users.
	(font-lock-mode): Don't set it at all.

2010-06-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-annotate.el (vc-annotate): Use vc-read-revision.

2010-06-15  Glenn Morris  <rgm@gnu.org>

	* calendar/appt.el (appt-time-msg-list): Doc fix.
	(appt-check): Let-bind appt-warn-time.
	(appt-add): Make the 3rd argument optional.
	Simplify argument names.  Doc fix.  Check for integer WARNTIME.
	Only add WARNTIME to the output list if non-nil.

2010-06-15  Ivan Kanis  <apple@kanis.eu>

	* calendar/appt.el (appt-check): Let the 3rd element of
	appt-time-msg-list specify the warning time.
	(appt-add): Add new argument with the warning time.  (Bug#5176)

2010-06-12  Bob Rogers  <rogers-emacs@rgrjr.dyndns.org>  (tiny change)

	* vc-svn.el (vc-svn-after-dir-status): Fix regexp for Subversions
	older than version 1.6.  (Bug#6361)

2010-06-12  Helmut Eller  <eller.helmut@gmail.com>

	* emacs-lisp/cl-macs.el (destructuring-bind): Bind `bind-enquote',
	used by cl-do-arglist.  (Bug#6408)

2010-06-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/advice.el (ad-compile-function):
	Define warning-suppress-types before we let-bind it (bug#6275).

	* vc-dispatcher.el: Rename mode-line-hook to vc-mode-line-hook;
	declare it, make it buffer-local and permanent-local (bug#6324).
	(vc-resynch-window): Adjust name.
	* vc-hooks.el (vc-find-file-hook): Adjust name.

2010-06-07  Jonathan Rockway  <jon@jrock.us>

	* net/rcirc.el: Add support for password authentication.
	(rcirc-server-alist): Add :password keyword.
	(rcirc): Ask for a password, or get it from the server's alist.
	(rcirc-connect): Add password argument.  Pass it to server.

2010-06-05  Juanma Barranquero  <lekktu@gmail.com>

	* net/dbus.el (dbus-register-method): Declare function.
	(dbus-handle-event, dbus-property-handler): Fix typos in docstrings.
	(dbus-introspect): Doc fix.
	(dbus-event-bus-name, dbus-introspect-get-interface)
	(dbus-introspect-get-argument): Reflow docstrings.

2010-06-04  Chong Yidong  <cyd@stupidchicken.com>

	* term/common-win.el (x-colors): Add "dark green" and "dark
	turquoise" (Bug#6332).

2010-06-03  Glenn Morris  <rgm@gnu.org>

	* desktop.el (desktop-clear-preserve-buffers):
	Add "*Warnings*" buffer.  (Bug#6336)

2010-06-02  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-dir.el (vc-dir-update): Remove entries with a nil state (bug#5539).

2010-06-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-bzr.el (vc-bzr-revision-completion-table): Apply
	`file-directory-p' to the filename part rather than to the whole text.

2010-05-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* man.el (Man-completion-table): Let the user type "-k " (bug#6319).

2010-05-31  Drew Adams  <drew.adams@oracle.com>

	* files.el (directory-files-no-dot-files-regexp): Doc fix (bug#6298).

2010-05-31  Juanma Barranquero  <lekktu@gmail.com>

	* subr.el (momentary-string-display): Just use read-event to read
	the exit event (Bug#6238).

2010-05-29  Chong Yidong  <cyd@stupidchicken.com>

	* ansi-color.el: Delete unused escape sequences (Bug#6085).
	(ansi-color-drop-regexp): New constant.
	(ansi-color-apply, ansi-color-filter-region)
	(ansi-color-apply-on-region): Delete unrecognized control sequences.
	(ansi-color-apply): Build string list before calling concat.

2010-05-27  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/verilog-mode.el (verilog-type-font-keywords):
	Use font-lock-constant-face, not obsolete font-lock-reference-face.

2010-05-27  Masatake YAMATO  <yamato@redhat.com>

	* htmlfontify.el (hfy-face-resolve-face): New function.
	(hfy-face-to-style): Use it (Bug#6279).

2010-05-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* epa.el (epa--select-keys): Don't explicitly delete the window since
	that can fail (e.g. sole window in frame).  Use dedication instead.

2010-05-19  Uday S Reddy  <u.s.reddy@cs.bham.ac.uk>  (tiny change)

	* textmodes/fill.el (fill-region): Don't fill past the end (bug#6201).

2010-05-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (read-quoted-char): Resolve modifiers after key
	remapping (bug#6212).

2010-05-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tmm.el (tmm-prompt): Don't try to precompute bindings.
	(tmm-get-keymap): Compute shortcuts (bug#6171).

2010-05-10  Glenn Morris  <rgm@gnu.org>

	* desktop.el (desktop-save-buffer-p): Don't mistakenly include
	all dired buffers, even tramp ones.  (Bug#5755)  [Backport from trunk]

2010-05-07  Chong Yidong  <cyd@stupidchicken.com>

	* Version 23.2 released.

2010-05-03  Chong Yidong  <cyd@stupidchicken.com>

	* international/mule.el (auto-coding-alist): Only purecopy
	car of each item, not the whole list (Bug#6083).

2010-05-02  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/js.el (js-mode): Make paragraph variables local before
	calling c-setup-paragraph-variables (Bug#6071).

2010-05-01  Eli Zaretskii  <eliz@gnu.org>

	* composite.el (compose-region, reference-point-alist): Fix typos
	in the doc strings.

2010-04-28  Alexander Klimov  <alserkli@inbox.ru>  (tiny change)

	* calc/calc-graph.el (calc-graph-plot): Use the proper form for
	gnuplot's "set" command.

2010-04-26  Juanma Barranquero  <lekktu@gmail.com>

	* abbrev.el (last-abbrev-text): Doc fix.
	(abbrev-prefix-mark): Don't escape parenthesis.

2010-04-24  Andreas Schwab  <schwab@linux-m68k.org>

	* composite.el (find-composition): Doc fix.

2010-04-24  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/sql.el (sql-electric-stuff): Fix typo in tag.
	(sql-oracle-program, sql-sqlite-options)
	(sql-query-placeholders-and-send): Doc fixes.
	(sql-set-product, sql-interactive-mode): Reflow docstrings.
	(sql-imenu-generic-expression, sql-buffer)
	(sql-mode-ansi-font-lock-keywords, sql-mode-oracle-font-lock-keywords)
	(sql-mode-postgres-font-lock-keywords, sql-mode-ms-font-lock-keywords)
	(sql-mode-sybase-font-lock-keywords)
	(sql-mode-informix-font-lock-keywords)
	(sql-mode-interbase-font-lock-keywords)
	(sql-mode-ingres-font-lock-keywords, sql-mode-solid-font-lock-keywords)
	(sql-mode-mysql-font-lock-keywords, sql-mode-sqlite-font-lock-keywords)
	(sql-mode-db2-font-lock-keywords, sql-mode-font-lock-keywords)
	(sql-product-feature, sql-highlight-product)
	(comint-line-beginning-position, sql-rename-buffer)
	(sql-toggle-pop-to-buffer-after-send-region)
	(sql-oracle, sql-sybase, sql-informix, sql-sqlite, sql-mysql, sql-solid)
	(sql-ingres, sql-ms, sql-postgres, sql-interbase, sql-db2, sql-linter):
	Fix typos in docstrings.

2010-04-23  Juri Linkov  <juri@jurta.org>

	* info.el (Info-fontify-node): Put Info-breadcrumbs to the `display'
	property instead of `invisible' and `after-string' (bug#5998).

2010-04-23  Juri Linkov  <juri@jurta.org>

	* image-mode.el (image-mode-as-text): Fix typo in docstring.

2010-04-23  Juanma Barranquero  <lekktu@gmail.com>

	* filecache.el (file-cache-add-directory-list)
	(file-cache-add-directory-recursively): Fix typos in docstrings.

2010-04-22  Kenichi Handa  <handa@m17n.org>

	* language/indian.el (gurmukhi-composable-pattern): Fix typo.
	(gujarati-composable-pattern): Fix typo.

2010-04-20  Kenichi Handa  <handa@m17n.org>

	* language/indian.el (oriya-composable-pattern)
	(tamil-composable-pattern, malayalam-composable-pattern):
	Add two-part vowels to "v" (vowel sign).

2010-04-20  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (copy-directory): Handle symlinks (Bug#5982).

	* progmodes/compile.el (compilation-next-error-function):
	Revert 2009-10-12 change (Bug#5983).

2010-04-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el (vc-hg-state): Use HGRCPATH, not HGRC.
	(vc-hg-working-revision): Likewise.  Use hg parents, not hg parent
	(Bug#5846).

2010-04-20  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/lisp.el (lisp-completion-at-point): Give it a doc string.

	* minibuffer.el (completion-at-point): Doc fix.

2010-04-17  Dan Nicolaescu  <dann@ics.uci.edu>

	Fix the version number for added files.
	* vc-hg.el (vc-hg-working-revision): Check if the file is
	registered after hg parent fails (Bug#5961).

2010-04-17  Glenn Morris  <rgm@gnu.org>

	* htmlfontify.el (htmlfontify-buffer)
	(htmlfontify-copy-and-link-dir): Autoload entry points.

2010-04-17  Magnus Henoch  <magnus.henoch@gmail.com>

	* vc-hg.el (vc-hg-annotate-extract-revision-at-line): Expand file
	name relative to the project root (Bug#5960).

2010-04-16  Glenn Morris  <rgm@gnu.org>

	* vc-git.el (vc-git-print-log): Doc fix.

2010-04-14  Óscar Fuentes  <ofv@wanadoo.es>

	* ido.el (ido-file-internal): Fix 2009-12-02 change.

2010-04-14  Christoph  <cschol2112@googlemail.com>  (tiny change)

	* progmodes/grep.el (grep-compute-defaults): Fix handling of host
	default settings (Bug#5928).

2010-04-10  Glenn Morris  <rgm@gnu.org>

	* progmodes/fortran.el (fortran-match-and-skip-declaration):
	New function.
	(fortran-font-lock-keywords-3): Use it.  (Bug#1385)

2010-04-07  Kenichi Handa  <handa@m17n.org>

	* language/indian.el (malayalam-composable-pattern): Fix previous
	change (add U+0D4D "SIGN VIRAMA").
	(oriya-composable-pattern): Add U+0B30 and fix typo in the regexp.
	(tamil-composable-pattern): Fix typo in the regexp.
	(telugu-composable-pattern): Fix U+0C4D and typo in the regexp.
	(kannada-composable-pattern): Fix U+0CB0 and typo in the regexp.
	(malayalam-composable-pattern): Fix U+0D4D and typo in the regexp.

2010-04-06  Chong Yidong  <cyd@stupidchicken.com>

	* textmodes/tex-mode.el (latex-mode): Revert 2008-03-03 change to
	paragraph-separate (Bug#5821).

2010-04-05  Juri Linkov  <juri@jurta.org>

	Put breadcrumbs on overlay instead of inserting to buffer (bug#5809).

	* info.el (Info-find-node-2): Comment out code that skips
	breadcrumbs line.
	(Info-mouse-follow-link): New command.
	(Info-link-keymap): New keymap.
	(Info-breadcrumbs): Rename from `Info-insert-breadcrumbs'.
	Return a string with links instead of inserting breadcrumbs
	to the Info buffer.
	(Info-fontify-node): Comment out code that inserts breadcrumbs.
	Instead of putting the `invisible' text property over the Info
	header, make an overlay over the Info header with the `invisible'
	property and `after-string' set to the string returned by
	`Info-breadcrumbs'.

2010-04-03  Chong Yidong  <cyd@stupidchicken.com>

	* help.el (help-window-setup-finish): Doc fix (Bug#5830).
	Reported by monkey@sandpframing.com.

2010-03-30  Tomas Abrahamsson  <tab@lysator.liu.se>

	* textmodes/artist.el (artist-mode): Fix typo in docstring.
	Reported by Alex Schröder <kensanata@gmail.com>.  (Bug#5807)

2010-03-30  Kenichi Handa  <handa@m17n.org>

	* language/sinhala.el (composition-function-table): Fix regexp for
	the new Unicode specification.

	* language/indian.el (devanagari-composable-pattern)
	(tamil-composable-pattern, kannada-composable-pattern)
	(malayalam-composable-pattern): Adjust for the new Unicode
	specification.
	(bengali-composable-pattern, gurmukhi-composable-pattern)
	(gujarati-composable-pattern, oriya-composable-pattern)
	(telugu-composable-pattern): New variables to cope with the new
	Unicode specification.  Use them in composition-function-table.

2010-03-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	Make tmm-menubar work for the Buffers menu again (bug#5726).
	* tmm.el (tmm-prompt): Also handle keymap entries in the form of
	vectors rather than cons cells, as used in menu-bar-update-buffers.

2010-03-28  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/js.el (js-auto-indent-flag, js-mode-map)
	(js-insert-and-indent): Revert 2009-08-15 change, restoring
	electric punctuation for "{}();,:" (Bug#5586).

	* mail/sendmail.el (mail-default-directory): Doc fix.

2010-03-27  Chong Yidong  <cyd@stupidchicken.com>

	* mail/sendmail.el (mail-default-directory): Doc fix.

2010-03-27  Eli Zaretskii  <eliz@gnu.org>

	* subr.el (version-regexp-alist, version-to-list)
	(version-list-<, version-list-=, version-list-<=)
	(version-list-not-zero, version<, version<=, version=): Doc fix.
	(Bug#5744).

2010-03-26  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>
            Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-apple-test): New function.
	(gdb-init-1): Use it.

2010-02-10  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-root-diff): Doc fix.

2010-03-25  Chong Yidong  <cyd@stupidchicken.com>

	* vc.el (vc-print-log, vc-print-root-log): Doc fix.

	* simple.el (append-to-buffer): Fix last change.

2010-03-24  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (append-to-buffer): Ensure that point is preserved if
	BUFFER is the current buffer.  Suggested by YAMAMOTO Mitsuharu.
	(Bug#5749)

2010-03-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/make-mode.el (makefile-rule-action-regex): Backtrack less.
	(makefile-make-font-lock-keywords): Adjust rule since submatch 1 may
	not be present any more.

2010-03-24  Juanma Barranquero  <lekktu@gmail.com>

	* faces.el (set-face-attribute): Fix typo in docstring.
	(face-valid-attribute-values): Reflow docstring.

2010-03-23  Glenn Morris  <rgm@gnu.org>

	* textmodes/flyspell.el (sgml-lexical-context): Autoload it (Bug#5752).

2010-03-21  Chong Yidong  <cyd@stupidchicken.com>

	* indent.el (indent-for-tab-command): Doc fix.

2010-03-22  Juanma Barranquero  <lekktu@gmail.com>

	* image-dired.el (image-dired-display-thumbs): Fix typo in docstring.
	(image-dired-read-comment): Doc fix.

	* json.el (json-object-type, json-array-type, json-key-type)
	(json-false, json-null, json-read-number):
	* minibuffer.el (completion-in-region-functions):
	* calendar/cal-tex.el (cal-tex-daily-end, cal-tex-number-weeks)
	(cal-tex-cursor-week):
	* emacs-lisp/trace.el (trace-function):
	* eshell/em-basic.el (eshell/printnl):
	* eshell/em-dirs.el (eshell-last-dir-ring, eshell-parse-drive-letter)
	(eshell-read-last-dir-ring, eshell-write-last-dir-ring):
	* obsolete/levents.el (allocate-event, event-key, event-object)
	(event-point, event-process, event-timestamp, event-to-character)
	(event-window, event-x, event-x-pixel, event-y, event-y-pixel):
	* textmodes/reftex-vars.el (reftex-index-macros-builtin)
	(reftex-section-levels, reftex-auto-recenter-toc, reftex-toc-mode-hook)
	(reftex-cite-punctuation, reftex-search-unrecursed-path-first)
	(reftex-highlight-selection): Fix typos in docstrings.

2010-03-19  Juanma Barranquero  <lekktu@gmail.com>

	* minibuffer.el (completion-in-region-functions): Fix docstring typos.

2010-03-18  Glenn Morris  <rgm@gnu.org>

	* mail/rmail.el (rmail-highlight-face): Restore option deleted
	2008-02-13 without comment; mark it obsolete.
	(rmail-highlight-headers): Use rmail-highlight-face once more.

2010-03-16  Chong Yidong  <cyd@stupidchicken.com>

	* woman.el (woman2-process-escapes): Only consume the newline if
	the filler character is on a line by itself (Bug#5729).

2010-03-16  Kenichi Handa  <handa@m17n.org>

	* language/indian.el (devanagari-composable-pattern): Add more
	consonants.

2010-03-14  Michael Albinus  <michael.albinus@gmx.de>

	* net/trampver.el: Update release number.

2010-03-13  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (ELCFILES): Add cedet/semantic/imenu.el.

2010-03-13  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-find-executable):
	Use `tramp-get-connection-buffer'.  Make the regexp for checking
	output of "wc -l" more robust.
	(tramp-find-shell): Use another shell but /bin/sh on OpenSolaris.
	(tramp-open-connection-setup-interactive-shell): Remove workaround
	for OpenSolaris bug, it is not needed anymore.

2010-03-12  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/cl-macs.el (defsubst*): Add autoload cookie.  (Bug#4427)

2010-03-11  Wilson Snyder  <wsnyder@wsnyder.org>

	* files.el (auto-mode-alist): Accept more verilog file patterns.

2010-03-09  Miles Bader  <miles@gnu.org>

	* vc-git.el (vc-git-print-log): Use "tformat:" for shortlog,
	instead of "format:"; this ensures that the output is
	newline-terminated.

2010-03-08  Chong Yidong  <cyd@stupidchicken.com>

	* mail/rfc822.el (rfc822-addresses): Use nested catches to ensure
	that all errors are caught, and that the return value is always a
	list (Bug#5692).

2010-03-08  Kenichi Handa  <handa@m17n.org>

	* language/misc-lang.el (windows-1256): New coding system.
	(cp1256): New alias of windows-1256 (bug#5690).

2010-03-07  Andreas Schwab  <schwab@linux-m68k.org>

	* mail/rfc822.el (rfc822-addresses): Move catch clause down around
	call to rfc822-bad-address.  (Bug#5692)

2010-03-07  Štěpán Němec  <stepnem@gmail.com>  (tiny change)

	* vc-git.el (vc-git-annotate-extract-revision-at-line):
	Use vc-git-root as default directory for revision path (Bug#5657).

2010-03-06  Chong Yidong  <cyd@stupidchicken.com>

	* calculator.el (calculator): Don't bind split-window-keep-point
	(Bug#5674).

2010-03-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-git.el: Re-flow to fit into 80 columns.
	(vc-git-after-dir-status-stage, vc-git-dir-status-goto-stage):
	Remove spurious `quote' element in each case alternative.
	(vc-git-show-log-entry): Use prog1.
	(vc-git-after-dir-status-stage): Remove unused var `remaining'.

2010-03-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* man.el (Man-files-regexp): Tighten up the regexp (bug#5686).

2010-03-03  Chong Yidong  <cyd@stupidchicken.com>

	* macros.el (insert-kbd-macro): Look up keyboard macro using the
	definition, not the name (Bug#5481).

2010-03-03  Štěpán Němec  <stepnem@gmail.com>  (tiny change)

	* subr.el (momentary-string-display): Don't overwrite the MESSAGE
	argument with a local variable.  (Bug#5670)

2010-03-02  Juri Linkov  <juri@jurta.org>

	* info.el (Info-index-next): Decrement line number by 2.  (Bug#5652)

2010-03-02  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-do-copy-or-rename-file-out-of-band): Fix an
	error when FILENAME and NEWNAME are existing remote directories.

	* net/tramp-compat.el (tramp-compat-make-temp-file): Add optional
	parameter DIR-FLAG.

2010-03-02  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-hebrew.el (holiday-hebrew-passover): Fix date
	of Yom HaAtzma'ut when it falls on a Monday (rule changed in 2004).

2010-03-01  Kenichi Handa  <handa@m17n.org>

	* language/burmese.el (burmese-composable-pattern): Rename from
	myanmar-composable-pattern.

	* international/characters.el (script-list):
	* international/fontset.el (script-representative-chars):
	Change myanmar to burmese.
	(otf-script-alist): Likewise.
	(setup-default-fontset): Likewise.  Re-fix :otf spec.

2010-02-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* menu-bar.el (menu-bar-manuals-menu): Fix typo.

2010-02-28  Jan Djärv  <jan.h.d@swipnet.se>

	* scroll-bar.el (scroll-bar-drag-1): Add save-excursion, bug #5654.

2010-02-28  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-write-region): START can be a string.
	Take care in the checks.  Reported by Dan Davison
	<davison@stats.ox.ac.uk>.

2010-02-28  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-introspect, dbus-get-property)
	(dbus-set-property, dbus-get-all-properties):
	Use `dbus-call-method' when noninteractive.  (Bug#5645)

2010-02-28  Chong Yidong  <cyd@stupidchicken.com>

	* textmodes/reftex-toc.el (reftex-toc-promote-prepare):
	* emacs-lisp/elint.el (elint-add-required-env):
	* calendar/icalendar.el (icalendar--add-diary-entry):
	* calc/calcalg2.el (math-tracing-integral):
	* files.el (recover-session-finish): Use with-current-buffer
	instead of save-excursion.

2010-02-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	Fix in-buffer completion when after-change-functions modify the buffer.
	* minibuffer.el (completion--replace): New function.
	(completion--do-completion): Use it and use relative movement.

2010-02-27  Chong Yidong  <cyd@stupidchicken.com>

	* international/fontset.el (setup-default-fontset): Fix :otf spec.

2010-02-27  Jeremy Whitlock  <jcscoobyrs@gmail.com>  (tiny change)

	* progmodes/python.el (python-pdbtrack-stack-entry-regexp):
	Allow the characters _<> in the stack entry (Bug#5653).

2010-02-26  Kenichi Handa  <handa@m17n.org>

	* language/burmese.el: Fix entries in composition-function-table.
	(myanmar-composable-pattern): New variable.

	* international/fontset.el (setup-default-fontset): Add an entry
	for myanmar.

	* international/characters.el (script-list): Add Myanmar
	Extended-A.

2010-02-26  Glenn Morris  <rgm@gnu.org>

	* custom.el (custom-initialize-delay): Doc fix.

	* mail/sendmail.el (send-mail-function): Autoload the call
	to custom-initialize-delay, not otherwise preserved in loaddefs.el.

2010-02-24  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (hack-local-variables-filter): For eval forms, also
	check safe-local-variable-p (Bug#5636).

2010-02-24  Eduard Wiebe  <usenet@pusto.de>

	* javascript.el (wisent-javascript-jv-expand-tag): Avoid c(ad)ddr
	and use c(ad)r of cddr (Bug#5640).

2010-02-22  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-do-copy-or-rename-file-out-of-band): Protect
	setting the modes by `ignore-errors'.  It might fail, for example
	if the file is not owned by the user but the group.
	(tramp-handle-write-region): Ensure, that `tmpfile' is always readable.

2010-02-21  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (directory-listing-before-filename-regexp):
	Use stricter matching for iso-style dates, to avoid false matches with
	date-like filenames (Bug#5597).

	* htmlfontify.el (htmlfontify): Doc fix.

	* eshell/eshell.el (eshell): Doc fix.

	* startup.el (fancy-about-screen): In mode-line, apply
	mode-line-buffer-id face only to the buffer name (Bug#5613).

2010-02-20  Kevin Ryde  <user42@zip.com.au>

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	In `watcom' anchor regexp to start of line, to avoid slowness
	(Bug#5599).

2010-02-20  Eli Zaretskii  <eliz@gnu.org>

	* subr.el (remove-yank-excluded-properties): Explain in a comment
	why `category' property is removed.

2010-02-19  Chong Yidong  <cyd@stupidchicken.com>

	* isearch.el (isearch-update-post-hook, isearch-update):
	Revert 2010-02-17 change.

2010-02-19  Ulf Jasper  <ulf.jasper@web.de>

	* calendar/icalendar.el (icalendar--convert-ordinary-to-ical)
	(icalendar--convert-weekly-to-ical)
	(icalendar--convert-yearly-to-ical)
	(icalendar--convert-block-to-ical)
	(icalendar--convert-cyclic-to-ical)
	(icalendar--convert-anniversary-to-ical): Take care of time
	specifications where hour has 1-digit only (Bug#5549).

2010-02-19  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-assembler-handler): Accommodate change
	of disassemble output in GDB 7.1.

2010-02-19  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-electric-insert): Give it a delete-selection
	property.  (Bug#5593)

2010-02-18  Sam Steingold  <sds@gnu.org>

	* vc-cvs.el (vc-cvs-merge-news): Yet another fix of message parsing.

2010-02-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	Use abbreviated file names in bookmarks (bug#5591).
	* bookmark.el (bookmark-maybe-load-default-file): Remove redundant
	calls to expand-file-name.
	(bookmark-relocate): Use abbreviated file names in bookmarks.
	(bookmark-load): Use abbreviated file names in messages.

2010-02-18  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-directory-files): When FULL, do not
	expand "." and "..".  Reported by Thierry Volpiatto
	<thierry.volpiatto@gmail.com>.

2010-02-18  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-insert-file-contents): Set always the
	permissions of the temporary file to "0600".  In case the remote
	file has no read permissions for the owner, there might be
	problems otherwise.  Reported by Ole Laursen <olau@iola.dk>.

22010-02-18  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/authors.el (authors-renamed-files-alist):
	Add entries for INSTALL.CVS.

2010-02-17  Mark A. Hershberger  <mah@everybody.org>

	* vc-bzr.el: Fix typo in Known Bugs section.

	* isearch.el (isearch-update-post-hook): New hook.
	(isearch-update): Use the new hook.

2010-02-16  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-do-copy-or-rename-file-out-of-band):
	Fix errors in copying directories.
	(tramp-handle-add-name-to-file, tramp-handle-copy-directory)
	(tramp-do-copy-or-rename-file, tramp-handle-delete-directory)
	(tramp-handle-delete-file)
	(tramp-handle-dired-recursive-delete-directory)
	(tramp-handle-write-region): Flush also the cache for the upper
	directory.

2010-02-16  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (save-interprogram-paste-before-kill): Doc fix.

	* cus-edit.el (hardware): Doc fix.

	* man.el (man): Add to external custom group.

	* delim-col.el (columns): Move to wp custom group.

	* doc-view.el (doc-view): Add to data custom group.

	* nxml/nxml-mode.el (nxml-faces): Remove from font-lock-faces group.

	* textmodes/flyspell.el (flyspell-word): Obey the offset specified
	by ispell-parse-output (Bug#5575).

2010-02-16  Kenichi Handa  <handa@m17n.org>

	* international/ja-dic-cnv.el (iso-2022-7bit-short): Delete it.
	(skkdic-convert-okuri-ari): Ignore lines starting with '>'.
	(skkdic-convert): Use `euc-japan' coding system for writing.

2010-02-16  Glenn Morris  <rgm@gnu.org>

	* textmodes/tex-mode.el (tex-bibtex-file): Expand the result of
	tex-main-file before using it.  (Bug#5562)

2010-02-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/advice.el (ad-compile-function): Suppress byte-compiler
	warnings, since it is annoying for the user to see them each time he
	runs the code.

2010-02-15  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-process-actions, tramp-read-passwd):
	* net/tramp-gvfs.el (tramp-gvfs-maybe-open-connection): Use VEC
	instead of PROC for caching "first-password-request".  Otherwise,
	new processes would not profit from passwords already entered.

	* net/tramp-cache.el (tramp-dump-connection-properties):
	Don't save "first-password-request" property.

2010-02-14  Juanma Barranquero  <lekktu@gmail.com>

	* outline.el (outline-head-from-level):
	* simple.el (with-wrapper-hook):
	* emacs-lisp/elint.el (elint-extra-errors, elint-current-buffer)
	(elint-defun, elint-buffer-env, elint-top-form-logged)
	(elint-unbound-variable):
	* textmodes/reftex-toc.el (reftex-toc-newhead-from-alist):
	Fix typos in docstrings.

2010-02-14  Michael Albinus  <michael.albinus@gmx.de>

	* files.el (insert-directory): When WILDCARD-REGEXP and
	FULL-DIRECTORY-P are nil, insert the file entry instead of the
	whole directory.  (Bug#5551)

	* net/ange-ftp.el (ange-ftp-insert-directory): Insert "  " for
	dired's alignment sanity.  (Bug#5516)

2010-02-14  Juri Linkov  <juri@jurta.org>

	* man.el (Man-fontify-manpage, Man-cleanup-manpage):
	Remove remaining ^H with their preceding chars.  (Bug#5566)

2010-02-13  Glenn Morris  <rgm@gnu.org>

	* simple.el (transpose-subr): Give it a doc-string.

	* textmodes/paragraphs.el (transpose-paragraphs, transpose-sentences):
	Doc fixes.

2010-02-12  Juri Linkov  <juri@jurta.org>

	* arc-mode.el (archive-unique-fname): Make directories for nested
	archives.  (Bug#5540)

2010-02-12  Juri Linkov  <juri@jurta.org>

	* ffap.el (dired-at-point): Fix docstring.  (Bug#5565)

2010-02-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (copy-overlay): Handle deleted overlays.

	* man.el (Man-completion-table): Don't signal an error if we can't run
	manual-program (bug#4056).

2010-02-10  Juanma Barranquero  <lekktu@gmail.com>

	* textmodes/artist.el (artist-mt): Fix typos in docstring.

2010-02-10  Thierry Volpiatto  <thierry.volpiatto@gmail.com>

	* info.el (Info-bookmark-jump): Simplify.

	* bookmark.el (bookmark-handle-bookmark): Catch the right error.
	(bookmark-default-handler): Accept new bookmark field `buffer'.

2010-02-10  Chong Yidong  <cyd@stupidchicken.com>

	* iswitchb.el (iswitchb-completions): Revert last change.

2010-02-10  Michael Albinus  <michael.albinus@gmx.de>

	* ls-lisp.el (ls-lisp-insert-directory): When WILDCARD-REGEXP and
	FULL-DIRECTORY-P are nil, and FILE is absolute, expand it.
	This prevents file names like "~/" being listed literally.

2010-02-10  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/xterm.el (xterm-maybe-set-dark-background-mode):
	Remove dead code.  (Bug#5546)

2010-02-09  Chong Yidong  <cyd@stupidchicken.com>

	* eshell/em-ls.el (eshell-ls-applicable): Frob file attributes
	correctly (Bug#5548).

2010-02-08  Jose E. Marchesi  <jemarch@gnu.org>

	* progmodes/ada-mode.el (ada-in-numeric-literal-p): New function.
	(ada-adjust-case): Don't adjust case in hexadecimal number literals.

2010-02-08  Kenichi Handa  <handa@m17n.org>

	* international/mule-util.el (with-coding-priority): Add autoload
	cookie for putting `lisp-indent-function'.

2010-02-07  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-font-lock-keywords-1, f90-font-lock-keywords-2):
	Move F2003 named interfaces from keywords-2 to keywords-1, and
	use function-name-face rather than constant-face.
	Simplify "abstract interface" regexp.

2010-02-07  Chong Yidong  <cyd@stupidchicken.com>

	* eshell/esh-util.el (eshell-file-attributes): New optional arg
	ID-FORMAT.  Pass it to `file-attributes'.

	* eshell/em-ls.el (eshell-do-ls): Use it (Bug#5528).

2010-02-07  sj  <prime.wizard+emacs@gmail.com>  (tiny change)

	* faces.el (set-face-attribute): Allow calling
	internal-set-lisp-face-attribute with 'unspecified family and
	foundry argument (Bug#5536).

2010-02-07  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-font-lock-keywords-2)
	(f90-looking-at-type-like, f90-looking-at-program-block-end):
	Handle F2003 named interfaces.

2010-02-06  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/cc-mode.el (c-common-init): Bind temporary variables
	beg and end before calling c-get-state-before-change-functions.

2010-02-06  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-bzr.el (vc-bzr-dir-extra-headers):
	Disable the pending merges header.

2010-02-05  Juri Linkov  <juri@jurta.org>

	* doc-view.el (doc-view-mode):
	* image-mode.el (image-mode): Put property mode-class=special.
	(Bug#4896)

2010-02-05  Mark A. Hershberger  <mah@everybody.org>

	* vc-svn.el (vc-svn-revision-table): New function.

2010-02-05  Michael Albinus  <michael.albinus@gmx.de>

	* net/ange-ftp.el (ange-ftp-insert-directory):
	* net/tramp-imap.el (tramp-imap-handle-insert-directory):
	* net/tramp-smb.el (tramp-smb-handle-insert-directory):
	Handle also directories.  (Bug#5478)

2010-02-05  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-font-lock-keywords-2): Fix `enum'.

2010-02-05  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (command-line-1): Convert options beginning with a
	single dash as well (Bug#5519).

2010-02-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	Make `initials' completion work for /hh -> /home/horn again (bug#5524).
	* minibuffer.el (completion-initials-expand): Only check the presence
	of delims *within* the boundaries, since otherwise the / delim is
	always found for files.

	Fix up various corner case problems.
	* doc-view.el (doc-view-last-page-number): New function.
	(doc-view-mode, doc-view-last-page, doc-view-goto-page): Use it.
	(doc-view-goto-page): Avoid inf-loops when the conversion fails.
	(doc-view-kill-proc): Avoid inf-loop in freak cases.
	(doc-view-reconvert-doc): Use the new recursive delete-directory.
	(doc-view-convert-current-doc): Don't create the resolution.el file
	here any more.
	(doc-view-pdf/ps->png): Do it here instead.
	(doc-view-already-converted-p): Check that resolution.el is present.
	(doc-view-pdf->png): Don't rely on doc-view-pdf/ps->png for the few
	windows that are not yet showing images.

2010-02-04  Michael Albinus  <michael.albinus@gmx.de>

	* dired.el (dired-revert): If DIRED-DIRECTORY is a cons cell, call
	`dired-uncache' for every elemnt which is an absolute file name.

	* net/tramp.el (tramp-handle-dired-uncache): When DIR is not a
	directory, handle its directory component.
	(tramp-handle-file-remote-p): Let-bind `tramp-verbose' to 3; this
	function is called permanently and creates noise, otherwise.

	* net/tramp-imap.el (tramp-imap-handle-insert-directory):
	* net/tramp-smb.el (tramp-smb-handle-insert-directory):
	Handle the case, FILENAME is not in `default-directory'.  (Bug#5478)

2010-02-04  David Burger  <dburger@google.com>  (tiny change)

	* macros.el (apply-macro-to-region-lines):
	Minor simplification.  (Bug#5485)

2010-02-04  Glenn Morris  <rgm@gnu.org>

	* mail/rmail.el (rmail-show-message-1): Handle malformed
	quoted-printable text.  (Bug#5441)

	* mail/mail-utils.el (mail-unquote-printable-region): Doc fix.

	* simple.el (visual-line-mode): Capitalize lighter.

2010-02-03  John Wiegley  <jwiegley@gmail.com>

	* iswitchb.el (iswitchb-completions): Add bookmark files to the
	list of files considered for "virtual buffer" completions.

2010-02-03  Michael Albinus  <michael.albinus@gmx.de>

	* net/ange-ftp.el (ange-ftp-insert-directory): Parse directory
	also in case of (and (not full) (not wildcard)).  This is needed,
	when dired is called with a list of files, which are not in
	`default-directory'.  (Bug#5478)

2010-02-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-hooks.el (vc-path): Make it an obsolete var, rather than function.

2010-02-02  Juri Linkov  <juri@jurta.org>

	* textmodes/ispell.el (ispell-message-text-end): Remove final newline
	from unidiff to allow function-line after @@.

2010-02-02  Juri Linkov  <juri@jurta.org>

	* ediff-util.el (ediff-file-checked-in-p): Replace '(nil CVS) by
	'(RCS SCCS) with inverted condition.

2010-02-02  Michael Albinus  <michael.albinus@gmx.de>

	* net/ange-ftp.el (ange-ftp-skip-msgs): Ignore all ""^500 .*AUTH"
	messages.

2010-02-01  Juri Linkov  <juri@jurta.org>

	* arc-mode.el (archive-zip-extract): Use `member-ignore-case' to
	compare with "pkunzip" and "pkzip" instead of only "pkzip".
	In the `archive-extract-by-stdout' branch use `shell-quote-argument'
	only when (car archive-zip-extract) is "unzip".  (Bug#5475)

2010-02-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* doc-view.el (doc-view-new-window-function): Be a bit more defensive.
	(doc-view-revert-buffer): New command.
	(doc-view-mode-map): Use it.

2010-02-01  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-bzr.el (vc-bzr-dir-extra-headers): Add a header when a
	pending merge is detected.

2010-01-31  Juri Linkov  <juri@jurta.org>

	* progmodes/grep.el (zrgrep): Call `grep-compute-defaults' at the
	beginning of interactive spec like all other grep commands do.
	Put "all" in front of "gz".  (Bug#5260)

2010-01-29  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-bzr.el (vc-bzr-after-dir-status): Match another renaming indicator.

2010-01-29  Chong Yidong  <cyd@stupidchicken.com>

	* dirtrack.el (dirtrack): Warn instead of signalling error if the
	regexp is incorrect (Bug#5476).

2010-01-29  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-insert-directory): Handle also
	symlinks, when FILENAME is not in `default-directory'.

2010-01-28  Michael Albinus  <michael.albinus@gmx.de>

	* net/ange-ftp.el (ange-ftp-insert-directory): Handle the case,
	FILE is not in `default-directory'.  (Bug#5478)

	* net/tramp.el (tramp-handle-insert-directory): Simplify handling
	of SWITCHES.  Handle the case, FILENAME is not in
	`default-directory'.  (Bug#5478)
	(tramp-register-file-name-handlers): Add safe-magic property.

2010-01-28  Chong Yidong  <cyd@stupidchicken.com>

	* arc-mode.el (archive-zip-extract): Quote the argument passed to
	unzip (Bug#5475).

2010-01-28  Nil Geisweiller  <ngeiswei@googlemail.com>  (tiny change)

	* progmodes/flymake.el (flymake-allowed-file-name-masks)
	(flymake-master-make-header-init): Add other C++ filename masks.
	(flymake-find-possible-master-files)
	(flymake-check-patch-master-file-buffer): Doc fixes (Bug#5488).

2010-01-28  Michael Albinus  <michael.albinus@gmx.de>

	Fix some busybox annoyances.

	* net/tramp.el (tramp-wrong-passwd-regexp): Add "Timeout, server
	not responding." string.
	(tramp-open-connection-setup-interactive-shell): Dump stty
	settings.  Enable "neveropen" arg for all `tramp-send-command'
	calls.  Handle "=" in variable values properly.
	(tramp-find-inline-encoding): Raise an error, when no encoding is
	found.
	(tramp-wait-for-output): Check, whether PROC buffer is available.
	Remove spurious " ^H" sequences, sent by busybox.
	(tramp-get-ls-command): Suppress coloring, if possible.

2010-01-28  Glenn Morris  <rgm@gnu.org>

	* vc-svn.el (vc-svn-update): Use "svn --non-interactive".  (Bug#4280)

	* log-edit.el (log-edit-strip-single-file-name): Add missing
	:safe, :group, and :version tags.

2010-01-27  Stephen Berman  <stephen.berman@gmx.net>

	* calendar/diary-lib.el (diary-unhide-everything): Handle narrowed
	buffers.  (Bug#5477)

2010-01-27  David De La Harpe Golden  <david@harpegolden.net>

	* files.el (delete-directory): Handle moving to trash without
	first doing recursion (Bug#5436).

2010-01-26  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hooks.el (vc-path): Mark as obsolete.

2010-01-25  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-annotate.el (vc-annotate-revision-at-line): Compare file
	names too.

	* vc-bzr.el (vc-bzr-print-log): Use the more compact --line option
	for the short log.
	(vc-bzr-log-view-mode): Adjust regexp for the above change.

2010-01-25  Mark A. Hershberger  <mah@everybody.org>

	* progmodes/python.el: Replace reference to obsolete c-subword-mode.

	* vc-bzr.el (vc-bzr-revision-table): New function.

2010-01-25  Eric Hanchrow  <eric.hanchrow@gmail.com>  (tiny change)

	* vc-git.el (vc-git-dir-status-goto-stage): Pass --relative to the
	diff-index command.  This requires at least git-1.5.5.  (Bug#1589).

2010-01-24  Dan Nicolaescu  <dann@ics.uci.edu>

	Remove support for adding --signoff on commit.
	Future support will use an incompatible generic mechanism.
	* vc-git.el (vc-git-add-signoff): Remove variable.
	(vc-git-toggle-signoff): Remove function.
	(vc-git-extra-menu-map): Do not bind vc-git-toggle-signoff.

	* term/xterm.el (xterm-maybe-set-dark-background-mode):
	Rename from xterm-set-background-mode.  Return t if the background mode
	was set.
	(terminal-init-xterm): Move tty-set-up-initial-frame-faces
	earlier, call it again in case the background mode has changed.

2010-01-23  Dmitri Paduchikh  <dpaduch@k66.ru>  (tiny change)

	* emacs-lisp/advice.el (ad-set-orig-definition): Fix typo
	(Bug#3541).

2010-01-23  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/assoc.el (aelement): Doc fix.
	(aput, adelete, amake): Use lexical-let (Bug#5450).

2010-01-23  Stephen Leake  <stephen_leake@member.fsf.org>

	* progmodes/ada-mode.el (ada-in-paramlist-p): Pragma syntax
	is the same as subprogram call, not declaration.  (Bug#5435).

2010-01-23  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-smb.el (tramp-smb-conf): New defcustom.
	(tramp-smb-maybe-open-connection): Use it.

2010-01-22  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-imap.el (top): Autoload needed packages.  (Bug#5448)

2010-01-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mail/rmailmm.el (rmail-mime-handle): Don't set the buffer to unibyte
	just because we see "encoding: 8bit".
	* mail/rmail.el (rmail-show-message-1): Decode the body's QP into bytes.

2010-01-22  Chong Yidong  <cyd@stupidchicken.com>

	* isearch.el (isearch-allow-scroll): Doc fix (Bug#5446).

2010-01-22  Eli Zaretskii  <eliz@gnu.org>

	* jka-compr.el (jka-compr-load): If load-file is not in
	load-history, try its file-truename version.  (bug#5447)

2010-01-21  Alan Mackenzie  <acm@muc.de>

	Fix a situation where deletion of a cpp construct throws an error.
	* progmodes/cc-engine.el (c-invalidate-state-cache):
	Before invoking c-with-all-but-one-cpps-commented-out, check that the
	special cpp construct is still in the buffer.
	(c-parse-state): Record the special cpp with markers, not numbers.

2010-01-21  Kenichi Handa  <handa@m17n.org>

	* textmodes/sgml-mode.el (sgml-maybe-name-self): No need to
	process last-command-event, as it is now decoded first (Bug#5380).

2010-01-20  Chong Yidong  <cyd@stupidchicken.com>

	* term.el (term-send-raw-meta): Revert 2009-12-04 change (Bug#5330).

2010-01-20  Glenn Morris  <rgm@gnu.org>

	* indent.el (tab-always-indent): Fix custom-type.

2010-01-19  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-defs.el: Fix bug#5395: typing '#' in an empty
	buffer throws "args out of range".
	(c-set-cpp-delimiters, c-clear-cpp-delimiters): Check for EOB
	playing the role of delimiter.

2010-01-18  Stephen Leake  <stephen_leake@member.fsf.org>

	* progmodes/ada-mode.el: Fix bug#5400.
	(ada-matching-decl-start-re): Move into ada-goto-decl-start.
	(ada-goto-decl-start): Rename from ada-goto-matching-decl-start; callers
	changed.  Delete RECURSIVE parameter; never used.  Improve doc string.
	Improve comments in "is" portion.  Handle null procedure declaration.
	(ada-move-to-end): Improve doc string.

2010-01-18  Óscar Fuentes  <ofv@wanadoo.es>

	* ido.el (ido-cur-list): Initialize to nil.
	Remove obsolete information from commentary.
	(ido-choice-list): Initialize to nil.
	(ido-get-bufname): Reject minibuffers.
	(ido-make-buffer-list): If "default" is a nonexistent
	buffer, ignore it, as per the function's comment.
	(ido-kill-buffer-internal): New function.
	(ido-kill-buffer-at-head): Use it.
	(ido-visit-buffer): Likewise.

2010-01-18  Chong Yidong  <cyd@stupidchicken.com>

	* calendar/time-date.el (date-to-time): Doc fix (Bug#5408).

2010-01-18  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/chart.el (chart-file-count, chart-rmail-from):
	Fix typos in chart titles.

	* whitespace.el (whitespace-style, global-whitespace-newline-mode):
	* emacs-lisp/eieio.el (eieio-error-unsupported-class-tags)
	(eieio-generic-form, eieio-help-mode-augmentation-maybee, eieio-browse)
	(describe-class, eieio-describe-generic, describe-generic):
	* emacs-lisp/eieio-speedbar.el (eieio-speedbar-handle-click)
	(eieio-speedbar-expand):
	* emulation/viper-cmd.el (viper-exec-form-in-vi)
	(viper-exec-form-in-emacs, viper-harness-minor-mode, viper-ESC)
	(viper-repeat, viper-replace-state-exit-cmd, viper-toggle-search-style)
	(viper-del-backward-char-in-replace, viper-backward-indent)
	(viper-brac-function, viper-register-to-point, viper-submit-report):
	* net/tramp.el (tramp-remote-coding-commands):
	* term/x-win.el (emacs-session-save, x-menu-bar-open, icon-map-list):
	Fix typos in docstrings.

2010-01-17  Chong Yidong  <cyd@stupidchicken.com>

	* mail/sendmail.el (mail-yank-original): Set the mark if the
	specified function for yanking does not do it.

2010-01-17  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (with-vc-properties): Deal with directory arguments.  (Bug#5298)

	* vc-dir.el (vc-dir-resynch-file): Update the vc-dir header when
	resyncing a directory.

2010-01-17  Stephen Leake  <stephen_leake@member.fsf.org>

	* progmodes/ada-mode.el: Fix bug#1920.
	(ada-ident-re): Delete ., allow multibyte characters.
	(ada-goto-label-re): New; matches goto labels.
	(ada-block-label-re): New; matches block labels.
	(ada-label-re): New; matches both.
	(ada-named-block-re): Deleted; callers changed to use
	`ada-block-label-re' instead.
	(ada-get-current-indent, ada-get-indent-noindent, ada-get-indent-loop):
	Use `ada-block-label-re'.
	(ada-indent-on-previous-lines): Improve handling of goto labels.
	(ada-get-indent-block-start): Special-case block label.
	(ada-get-indent-label): Split into `ada-indent-block-label' and
	`ada-indent-goto-label'.
	(ada-goto-stmt-start, ada-goto-next-non-ws):
	Optionally ignore goto labels.
	(ada-goto-next-word): Simplify.
	(ada-indent-newline-indent-conditional): Insert newline before
	trying to fix indentation; doc fix.

2010-01-17  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (calc-command-flags): Give it an initial value.

2010-01-17  Juanma Barranquero  <lekktu@gmail.com>

	* files.el (minibuffer-with-setup-hook):
	* textmodes/artist.el (artist-mt, artist-key-undraw-continously)
	(artist-key-draw-continously, artist-key-do-continously-continously)
	(artist-key-set-point-continously, artist-mouse-draw-continously):
	Fix typos in docstrings.

2010-01-16  Lennart Borgman  <lennart.borgman@gmail.com>

	* nxml/nxml-mode.el (nxml-extend-after-change-region):
	Never return t (Bug#3898).

2010-01-16  Frédéric Perrin  <frederic.perrin@resel.fr>  (tiny change)

	* vc-dispatcher.el (vc-do-command): Set LC_MESSAGES, so that we
	can parse the output of the external commands (Bug#5279).

2010-01-16  Jari Aalto  <jari.aalto@cante.net>

	* pcmpl-unix.el (pcmpl-unix-read-passwd-file): Doc fix.

2010-01-16  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/advice.el (ad-add-advice): Doc fix (Bug#5274)

	* emacs-lisp/cl-macs.el (defstruct): Doc fix (Bug#5267).

	* startup.el (command-line): Remove unused --icon-type arg.
	Handle --display arg, passing it to command-line-1 (Bug#5392).

2010-01-16  Mario Lang  <mlang@delysid.org>

	* emacs-lisp/chart.el (chart-translate-namezone):
	* textmodes/artist.el (artist-compute-popup-menu-table):
	Remove duplicated words in doc-strings.

2010-01-15   David Abrahams  <dave@boostpro.com>  (tiny change)

	* net/mairix.el (mairix-widget-send-query): Send -1 instead of nil
	to mairix-search to suppress threading (Bug#5342).

2010-01-15  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (canonicalize-coding-system-name):
	Convert "msXXX", "ibmXXX", "windows-XXX" to "cpXXX" (Bug#5387).

2010-01-15  Glenn Morris  <rgm@gnu.org>

	* log-view.el (top-level): Require 'wid-edit.  (Bug#5311)

	* wid-edit.el (widget-keymap): Doc fix.

	* vc-svn.el (vc-svn-print-log): Use --limit rather than -l since the
	former seems to be more widely accepted by various svn versions.

2010-01-14  Juanma Barranquero  <lekktu@gmail.com>

	* find-cmd.el (find-constituents):
	* vc-arch.el (vc-arch-root):
	* window.el (window-body-height, pop-up-frames):
	* emacs-lisp/eieio-base.el (eieio-singleton, slot-missing):
	* progmodes/ada-stmt.el (ada-if):
	* progmodes/gdb-ui.el (gdb-jsonify-buffer):
	* textmodes/ispell.el (ispell-grep-options, ispell-dictionary-alist)
	(ispell-encoding8-command, ispell-aspell-supports-utf8)
	(ispell-last-program-name, ispell-help): Fix typos in docstrings.

	* progmodes/flymake.el (flymake-post-syntax-check):
	Fix typo in error message.

2010-01-14  Juanma Barranquero  <lekktu@gmail.com>

	* hexl.el (hexl-printable-character): Fix check of `hexl-iso',
	which is always a string.  (Bug#5313)

2010-01-14  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/ada-xref.el (ada-default-prj-properties):
	Simplify previous change.

2010-01-14  Stephen Leake  <stephen_leake@member.fsf.org>

	* progmodes/ada-xref.el (ada-default-prj-properties):
	Default ada_project_path to $ADA_PROJECT_PATH.

2010-01-14  Stephen Leake  <stephen_leake@member.fsf.org>

	* progmodes/ada-mode.el (ada-create-keymap):
	Override `narrow-to-defun' with `ada-narrow-to-defun'.

2010-01-14  Stephen Leake  <stephen_leake@member.fsf.org>

	* progmodes/ada-mode.el: Deal with Ada 2005 "overriding" keyword.
	(ada-subprog-start-re, ada-imenu-subprogram-menu-re): Add keyword.
	(ada-get-current-indent, ada-imenu-generic-expression)
	(ada-which-function): Check for it.

2010-01-14  Stephen Leake  <stephen_leake@member.fsf.org>

	* progmodes/ada-mode.el (ada-clean-buffer-before-saving): Make obsolete.
	(ada-mode): Don't obey `ada-clean-buffer-before-saving' anymore.

2010-01-14  Glenn Morris  <rgm@gnu.org>

	* frame.el (show-trailing-whitespace): Safe if boolean.  (Bug#5312)

2010-01-14  Kenichi Handa  <handa@m17n.org>

	* composite.el (auto-composition-mode): Make it a buffer local
	variable (permanent-local).
	(auto-composition-function): Set the default value to
	auto-compose-chars.
	(auto-composition-mode): Make it a simple function, not a minor mode.
	(global-auto-composition-mode): Likewise.
	(turn-on-auto-composition-if-enabled): Delete it.

2010-01-13  Karl Fogel  <kfogel@red-bean.com>

	* bookmark.el (bookmark-bmenu-execute-deletions): Doc fix (Bug#5276).

2010-01-12  Michael Albinus  <michael.albinus@gmx.de>

	* files.el (copy-directory): Compute target for recursive
	directories with identical names.  (Bug#5343)

2010-01-12  Glenn Morris  <rgm@gnu.org>

	* mail/emacsbug.el (report-emacs-bug-pretest-address):
	Set it to bug-gnu-emacs rather than emacs-pretest-bug.

2010-01-11  Sam Steingold  <sds@gnu.org>

	* imenu.el (imenu-default-create-index-function): Detect infinite
	loops caused by imenu-prev-index-position-function.

2010-01-11  Juanma Barranquero  <lekktu@gmail.com>

	* htmlfontify.el (htmlfontify-load-rgb-file)
	(htmlfontify-unload-rgb-file, hfy-fallback-colour-values)
	(htmlfontify-manual, htmlfontify, hfy-page-header, hfy-page-footer)
	(hfy-src-doc-link-style, hfy-src-doc-link-unstyle, hfy-link-extn)
	(hfy-link-style-fun, hfy-index-file, hfy-instance-file)
	(hfy-html-quote-regex, hfy-init-kludge-hook, hfy-post-html-hooks)
	(hfy-default-face-def, hfy-etag-regex, hfy-html-quote-map)
	(hfy-etags-cmd-alist-default, hfy-etags-bin, hfy-ignored-properties)
	(hfy-which-etags, hfy-etags-cmd, hfy-istext-command, hfy-display-class)
	(hfy-optimisations, hfy-tags-cache, hfy-tags-sortl, hfy-tags-rmap)
	(hfy-style-assoc, hfy-sheet-assoc, hfy-facemap-assoc, hfy-interq)
	(hfy-colour-vals, hfy-default-header, hfy-link-style-string)
	(hfy-triplet, hfy-slant, hfy-weight, hfy-combined-face-spec)
	(hfy-face-attr-for-class, hfy-face-to-style-i, hfy-size-to-int)
	(hfy-flatten-style, hfy-face-to-style, hfy-face-or-def-to-name)
	(hfy-face-to-css, hfy-p-to-face, hfy-p-to-face-lennart, hfy-face-at)
	(hfy-fontified-p, hfy-merge-adjacent-spans, hfy-buffer)
	(hfy-html-enkludge-buffer, hfy-html-quote, hfy-html-dekludge-buffer)
	(hfy-force-fontification, htmlfontify-buffer, hfy-dirname)
	(hfy-make-directory, hfy-text-p, hfy-mark-tag-names, hfy-relstub)
	(hfy-href-stub, hfy-href, hfy-mark-tag-hrefs, hfy-prepare-index-i)
	(hfy-prepare-index, hfy-prepare-tag-map, hfy-subtract-maps)
	(htmlfontify-run-etags): Fix typos in docstrings and remove superfluous
	backslash-quoting from parentheses, etc.

2010-01-11  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/js.el: Autoload javascript-mode alias.

2010-01-11  Juanma Barranquero  <lekktu@gmail.com>

	* ffap.el (ffap-shell-prompt-regexp, ffap-all-subdirs, ffap-url-p)
	(ffap-alist, ffap-tex-path, ffap-url-at-point, ffap-gopher-regexp)
	(ffap-gopher-at-point, ffap-file-at-point, ffap-read-file-or-url)
	(ffap-read-url-internal, ffap-menu, ffap-at-mouse):
	Fix typos in docstrings.
	(ffap-url-regexp): Doc fix.
	(ffap-at-mouse): Fix typo in message.

2010-01-11  Glenn Morris  <rgm@gnu.org>

	* version.el (emacs-copyright): Set copyright year to 2010.

2010-01-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* format.el (format-annotate-function): Only set
	write-region-post-annotation-function after running to-fn so as not to
	affect nested write-region calls (bug#5273).

2010-01-10  Chong Yidong  <cyd@stupidchicken.com>

	* Makefile.in (ELCFILES): Add wisent/python-wy.el and
	wisent/python.el.

2010-01-09  Chong Yidong  <cyd@stupidchicken.com>

	* man.el (Man-goto-section): Signal error if the section is not
	found (Bug#5317).

2010-01-09  Juanma Barranquero  <lekktu@gmail.com>

	* vc-bzr.el (vc-bzr-working-revision): On Windows and MS-DOS, accept
	URLs with a leading triple slash in the file: scheme.  (Bug#5345)

2010-01-09  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/compile.el: Don't treat compile-command as safe if
	compilation-read-command might be nil (Bug#4218).

2010-01-09  Jan Djärv  <jan.h.d@swipnet.se>

	* startup.el (command-line-1): Use orig-argi to check for ignored X and
	NS options.

2010-01-08  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el (build-default-fontset-data):
	Exclude characters in scripts kana, hangul, han, or cjk-misc.

2010-01-07  Juanma Barranquero  <lekktu@gmail.com>

	* vc-dir.el (vc-dir-prepare-status-buffer): Pass a (fake) filename
	to `create-file-buffer' as it expects, not just a buffer name.
	(vc-dir-mode): Include the buffer name in `list-buffers-directory',
	to help uniquify.  (Bug#3224)

2010-01-06  Jan Djärv  <jan.h.d@swipnet.se>

	* font-setting.el (font-setting-change-default-font): Use user-spec
	instead of name.

2010-01-06  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-bzr.el (vc-bzr-after-dir-status): Ignore pending merges.

2010-01-05  Tom Tromey  <tromey@redhat.com>

	* progmodes/python.el (python-font-lock-keywords):
	Handle qualified decorators (Bug#881).

2010-01-05  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-bzr.el (vc-bzr-working-revision): Fix looking for a revision
	in a lightweight checkout.

2010-01-05  Kenichi Handa  <handa@m17n.org>

	* language/indian.el (malayalam-composable-pattern): Fix ZWNJ and ZWJ.

2010-01-05  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-bzr.el (vc-bzr-diff): Obey vc-disable-async-diff.

2010-01-04  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-bzr.el (vc-bzr-state-heuristic): Make it work for lightweight
	checkouts.  (Bug#618)
	(vc-bzr-log-view-mode): Also highlight the author.
	(vc-bzr-shelve-map): Change binding for vc-bzr-shelve-apply-at-point.
	(vc-bzr-shelve-menu-map):
	(vc-bzr-dir-extra-headers): Improve menu and tooltip text.
	(vc-bzr-shelve-apply): Make prompt more explicit.

2010-01-02  Chong Yidong  <cyd@stupidchicken.com>

	* net/browse-url.el (browse-url-encode-url): Don't escape commas.
	They are valid characters in URL paths (rfc3986), and at least
	Firefox does not understand the encoded version (Bug#3166).

2010-01-02  Daniel Elliott  <danelliottster@gmail.com>  (tiny change)

	* progmodes/octave-mod.el (octave-end-keywords)
	(octave-block-begin-or-end-regexp, octave-block-match-alist):
	Add "end" keyword (Bug#3061).
	(octave-end-as-array-index-p): New function.
	(calculate-octave-indent): Use it.

2010-01-02  Karl Fogel  <kfogel@red-bean.com>

	* bookmark.el: Consistently put the text property on the bookmark name.
	(bookmark-bmenu-marks-width): Bump back to 2, to include
	annotation marks.
	(bookmark-bmenu-hide-filenames): Adjust for above, and put the text
	property on the bookmark name, instead of not putting it at all.
	(bookmark-bmenu-list): Fix where we put the text property.

2010-01-02  Karl Fogel  <kfogel@red-bean.com>

	* bookmark.el (bookmark-bmenu-save): Just depend on the new logic
	for showing buffer modified state (as added in the previous change).

2010-01-02  Karl Fogel  <kfogel@red-bean.com>

	* bookmark.el: Show modified state of bookmark buffer more accurately.
	(bookmark-bmenu-list): Initialize buffer-modified-p properly.
	(bookmark-send-edited-annotation): Mark bookmark-alist as modified.
	(with-buffer-modified-unmodified): New macro.
	(bookmark-bmenu-show-filenames, bookmark-bmenu-hide-filenames)
	(bookmark-bmenu-mark, bookmark-bmenu-unmark, bookmark-bmenu-delete):
	Use new macro to preserve the buffer modified state.

2010-01-02  Karl Fogel  <kfogel@red-bean.com>

	* bookmark.el (bookmark-bmenu-select, bookmark-bmenu-1-window)
	(bookmark-bmenu-2-window, bookmark-bmenu-this-window)
	(bookmark-bmenu-other-window, bookmark-bmenu-switch-other-window)
	(bookmark-bmenu-show-annotation, bookmark-bmenu-edit-annotation)
	(bookmark-bmenu-rename, bookmark-bmenu-locate)
	(bookmark-bmenu-relocate, bookmark-bmenu-goto-bookmark):
	Remove unnecessary calls to `bookmark-bmenu-ensure-position'.

2010-01-02  Eli Zaretskii  <eliz@gnu.org>

	* emacs-lisp/easy-mmode.el (define-globalized-minor-mode):
	Make the lines in the generated doc string shorter.  (Bug#4668)

2010-01-02  Ryan Yeske  <rcyeske@gmail.com>

	* net/rcirc.el: Add follow-link binding (Bug#4738).

2010-01-02  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.in (bzr-update): Rename from cvs-update.
	(cvs-update): New target for backward compatibility.

	* makefile.w32-in (bzr-update): Rename from cvs-update.
	(cvs-update): New target for backward compatibility.

2010-01-02  Karl Fogel  <kfogel@red-bean.com>

	* bookmark.el: Remove gratuitous gratitude.

2010-01-02  Karl Fogel  <kfogel@red-bean.com>

	* bookmark.el (bookmark-bmenu-any-marks): New function
	(bookmark-bmenu-save): Clear buffer modification if no marks.

2010-01-02  Karl Fogel  <kfogel@red-bean.com>

	* bookmark.el (bookmark-bmenu-marks-width): Define to 1, not 2.
	(bookmark-bmenu-list, bookmark-bmenu-bookmark): Calculate property
	positions by using `bookmark-bmenu-marks-width', instead of hardcoding.
	This fixes the `bookmark-bmenu-execute-deletions' bug reported here:

	http://lists.gnu.org/archive/html/emacs-devel/2009-12/msg00819.html
	From: Sun Yijiang <sunyijiang {_AT_} gmail.com>
	To: emacs-devel {_AT_} gnu.org
	Subject: bookmark.el bug report
	Date: Mon, 28 Dec 2009 14:19:16 +0800
	Message-ID: 5065e2900912272219y3734fc9fsdaee41167ef99ad7@mail.gmail.com

2010-01-02  Karl Fogel  <kfogel@red-bean.com>

	* bookmark.el: Improvements suggested by Drew Adams:
	(bookmark-bmenu-ensure-position): New name for
	`bookmark-bmenu-check-position'.  Just ensure the position,
	don't return any meaningful value.
	(bookmark-bmenu-header-height, bookmark-bmenu-marks-width):
	New constants.

2010-01-02  Juanma Barranquero  <lekktu@gmail.com>

	* bookmark.el (bookmarks-already-loaded): Doc fix (don't use `iff').
	(bookmark-yank-point, bookmark-bmenu-check-position):
	Fix typos in docstrings.
	(bookmark-save-flag, bookmark-bmenu-toggle-filenames)
	(bookmark-name-from-full-record, bookmark-get-position)
	(bookmark-set-position, bookmark-set, bookmark-handle-bookmark)
	(bookmark-delete, bookmark-save, bookmark-save, bookmark-bmenu-mode):
	Remove useless quoting of parenthesis, etc. in docstrings.

	* ediff-mult.el (ediff-prepare-meta-buffer): Fix typo in help message.
	(ediff-append-custom-diff): Fix typo in error message.
	(ediff-meta-mark-equal-files): Fix typos in messages.

	* mpc.el (mpc-playlist-delete): Fix typo in error messages.

	* net/imap-hash.el (imap-hash-make): Doc fix.
	(imap-hash-test): Fix typo in error message; reflow docstring.
	(imap-hash-p, imap-hash-get, imap-hash-put, imap-hash-make-message)
	(imap-hash-count, imap-hash-server, imap-hash-port, imap-hash-ssl)
	(imap-hash-mailbox, imap-hash-user, imap-hash-password):
	Fix typos in docstrings.
	(imap-hash-open-connection): Fix typo in error message.

	* play/gomoku.el (gomoku): Fix typos in docstring.

	* progmodes/gdb-ui.el (gdb-location-alist): Reflow docstring.
	(gdb-jsonify-buffer): Fix typos in docstring.
	(gdb-goto-breakpoint): Fix typo in error message.
	("Display Other Windows"): Fix typo in help message.
	(gdb-speedbar-expand-node): Fix typo in question.

	* progmodes/idlw-help.el (idlwave-help-browse-url-available)
	(idlwave-html-system-help-location, idlwave-html-help-location)
	(idlwave-help-browser-function, idlwave-help-browser-generic-program)
	(idlwave-help-browser-generic-args, idlwave-help-directory)
	(idlwave-html-help-is-available, idlwave-help-mode-line-indicator)
	(idlwave-help-mode-map, idlwave-help-mode, idlwave-do-context-help)
	(idlwave-online-help, idlwave-help-html-link)
	(idlwave-help-show-help-frame, idlwave-help-assistant-command):
	Fix typos in docstrings.
	(idlwave-help-with-source, idlwave-help-find-routine-definition):
	Reflow docstrings.
	(idlwave-help-assistant-start): Fix typo in error message.

	* progmodes/octave-mod.el (octave-mode, octave-electric-semi)
	(octave-electric-space): Fix typos in docstrings.

2010-01-01  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (minibuffer-with-setup-hook): Doc fix (Bug#5149).

2010-01-01  Juri Linkov  <juri@jurta.org>

	* comint.el (comint-input-ring-size): Make it a defcustom and
	increase the default to 500 (Bug#5148).

2009-12-31  Nick Roberts  <nickrob@snap.net.nz>

	Further changes from EMACS_23_1_RC branch (2009-12-29 contd).
	* term/x-win.el (x-gtk-stock-map): Map some GUD buttons.
	* progmodes/gud.el (gud-menu-map): Add reverse-execution commands.

2009-12-30  Nick Roberts  <nickrob@snap.net.nz>

	Show working revision correctly for mercurial.
	* vc-hg.el (vc-hg-working-revision): Use hg parent instead of
	hg log as suggested by Alex Harsanyi <alexharsanyi@gmail.com>.

2009-12-29  Juanma Barranquero  <lekktu@gmail.com>

	Declare some functions for the byte-compiler.
	* progmodes/gdb-ui.el (speedbar-change-initial-expansion-list)
	(speedbar-timer-fn, speedbar-change-expand-button-char)
	(speedbar-delete-subblock, speedbar-center-buffer-smartly): Declare.

2009-12-29  Nick Roberts  <nickrob@snap.net.nz>

	This changeset reverts GDB Graphical Interface to use annotations.
	* progmodes/gdb-ui.el, progmodes/gud.el: Import from EMACS_23_1_RC.

2009-12-29  Dan Nicolaescu  <dann@ics.uci.edu>

	Make vc-dir work on subdirectories of the bzr root.
	* vc-bzr.el (vc-bzr-after-dir-status): Add new argument.
	Return file names relative to it.
	(vc-bzr-dir-status, vc-bzr-dir-status-files): Pass the bzr root
	relative directory to vc-bzr-after-dir-status.

2009-12-28  Tassilo Horn  <tassilo@member.fsf.org>

	* font-lock.el (font-lock-refresh-defaults): New function, which
	can be used to let font-lock react to external changes in
	variables like font-lock-defaults and keywords.
	See http://thread.gmane.org/gmane.emacs.devel/118777/focus=118802

2009-12-28  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-rcs.el (vc-rcs-register): Fix registering a specific version.

	* vc-bzr.el (vc-bzr-log-view-mode): Fix short log regexp.

2009-12-28  Juanma Barranquero  <lekktu@gmail.com>

	Supersede color.diff settings in git log (bug#5211).

	* vc-git.el (vc-git-print-log): Pass "--no-color" to log to avoid
	escape chars in its output when the user has color.diff set to `always'.
	This fix works on git 1.4.2 and newer (released on 2006-08-13).

2009-12-26  Kevin Ryde  <user42@zip.com.au>

	* info-look.el (sh-mode): Look for coreutils new "Concept Index"
	node.  Keep previous "Index" name to work with past coreutils too.

	* man.el (man): Revise docstring a bit to show -a and -l as
	examples.  Add -k description since support for it has otherwise
	been a secret.  (Further to bug#3717.)
	(Man-bgproc-sentinel): When "-k foo" produces no output show error
	"no matches" rather than "Can't find manpage", as the latter reads
	like -k was interpreted as a page name, which is not so.  (Bug#5431)

2009-12-26  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-insert-directory): Quote "'" in the
	switches.  Check also for //SUBDIRED// line.

2009-12-25  Kenichi Handa  <handa@m17n.org>

	* language/indian.el (devanagari-composable-pattern): Fix to
	handle ZWNJ and ZWJ.  Use it in composition-function-table for
	Devanagari.
	(malayalam-composable-pattern): Fix previous change.

2009-12-23  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el (ps-face-attributes): It was not returning the
	attribute face for faces specified as string.  Reported by harven
	<harven@free.fr>.  (Bug#5254)
	(ps-print-version): New version 7.3.5.

2009-12-18  Ulf Jasper  <ulf.jasper@web.de>

	* calendar/icalendar.el (icalendar--convert-tz-offset):
	Fix timezone names.
	(icalendar--convert-tz-offset): Fix the "last-day-problem".
	(icalendar--add-diary-entry): Remove the trailing blank that
	diary-make-entry inserts.

2009-12-17  Michael Albinus  <michael.albinus@gmx.de>

	Make `file-expand-wildcards' work for remote files.

	* files.el (file-expand-wildcards): In case of remote files, check
	only local file name part for wildcards.  Provide feature 'files
	and subfeature 'remote-wildcards.  (Bug#5198)

	* net/tramp.el (tramp-handle-file-remote-p): Expand file name only
	if there is already an established connection.
	(tramp-advice-file-expand-wildcards): Remove it.

	* net/tramp-compat.el (top): Autoload `tramp-handle-file-remote-p'.
	(tramp-advice-file-expand-wildcards): Move from tramp.el.
	Activate advice for older GNU Emacs versions.  (Bug#5237)

2009-12-17  Juanma Barranquero  <lekktu@gmail.com>

	Some doc fixes (more needed).

	* find-cmd.el (find-constituents): Reflow docstring.
	(find-cmd, find-prune, find-command): Fix typos in docstrings.
	(find-generic): Doc fix.

2009-12-17  Juri Linkov  <juri@jurta.org>

	Fix regression from 23.1 to allow multiple modes in Local Variables.

	* files.el (hack-local-variables-filter): While ignoring duplicates,
	don't take `mode' into account.
	(hack-local-variables-filter, hack-dir-local-variables):
	Don't remove duplicate `mode' from local-variables-alist (like `eval').

2009-12-17  Juri Linkov  <juri@jurta.org>

	Make `dired-diff' more safe.  (Bug#5225)

	* dired-aux.el (dired-diff): Signal an error when `file' equals to
	`current' or when `file' is a directory of the `current' file.

2009-12-17  Andreas Schwab  <schwab@linux-m68k.org>

	* emacs-lisp/autoload.el (batch-update-autoloads): Only exclude
	unconditionally preloaded files.

2009-12-16  Juri Linkov  <juri@jurta.org>

	Revert to old 23.1 logic of using the file at the mark as default.
	* dired-aux.el (dired-diff): Use the file at the mark as default
	if it's not the same as the current file, and the target dir is
	the current dir or the mark is active.  Add the current file
	as the arg of `dired-dwim-target-defaults'.  Use the default file
	in the prompt.  (Bug#5225)

2009-12-15  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-echo-mark-marker-length): New defconst.
	(tramp-echo-mark, tramp-echoed-echo-mark-regexp): Use it.
	(tramp-check-for-regexp): Check also, when an echoing shell stops
	to echo sent commands.

2009-12-14  Chong Yidong  <cyd@stupidchicken.com>

	* Makefile.in: Revert last change (Bug#5191).

2009-12-14  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el (vc-hg-print-log): Fix argument order.
	(vc-hg-working-revision): Make sure the command is executed in a
	known environment so that we can parse the output.  (Bug#4417)

2009-12-14  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/python.el (python-symbol-completions): Remove text
	properties from symbol string before calling python-send-receive.

2009-12-14  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-mi.el (gdb-frame-handler): Only set gud-lat-frame
	when there are values for both file and line.  (Bug#5060)

2009-12-14  Juri Linkov  <juri@jurta.org>

	* ediff-ptch.el (ediff-context-diff-label-regexp): Don't match
	whitespace after the file name of the first line of unified format,
	because git-diff doesn't output whitespace and file modification time
	after the file name.

2009-12-14  David Kastrup  <dak@gnu.org>

	* info.el (Info-hide-cookies-node): Before hiding a cookie,
	check if it already has the `display' property added by
	`Info-display-images-node', and not put the `invisible' property
	in this case.

2009-12-13  Glenn Morris  <rgm@gnu.org>

	* mail/emacsbug.el (message-sort-headers): Define for compiler.
	(report-emacs-bug): In message-mode, sort manually before storing
	original report text.  (Bug#5178)
	Remove superfluous save-excursion.

2009-12-12  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-property-handler): Filter lambda forms out
	when responding to "GetAll" properties.

2009-12-12  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (compose-mail): Remove mail-setup-with-from from
	customization checks.

2009-12-12  Eli Zaretskii  <eliz@gnu.org>

	* arc-mode.el (archive-rar-summarize): Support Attribute fields in
	RAR archives created on Unix systems.

2009-12-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (minibuffer-local-must-match-filename-map): Re-instate
	the varalias that was accidentally removed by the 2009-11-19 change
	(bug#5186).

2009-12-12  Kenichi Handa  <handa@m17n.org>

	* language/indian.el (indian-compose-regexp): New function.
	(malayalam-composable-pattern): Fix the pattern.
	(composition-function-table): Set malayalam-composable-pattern for
	Malayalam characters.

2009-12-11  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/bug-reference.el (bug-reference-map): Bind mouse-2
	rather than down-mouse-1, based on follow-link conventions.

	* makefile.w32-in: Ensure that Lisp files in CEDET subdirectories
	are compiled.

2009-12-11  Michael McNamara  <mac@mail.brushroad.com>

	* progmodes/verilog-mode.el (verilog-vmm-begin-re, verilog-vmm-end-re)
	(verilog-vmm-statement-re, verilog-ovm-statement-re)
	(verilog-defun-level-not-generate-re, verilog-calculate-indent)
	(verilog-leap-to-head, verilog-backward-token):
	Fix indenting VMM macros.  Reported by Jonathan Ashbrook.

2009-12-11  Wilson Snyder  <wsnyder@wsnyder.org>

	* progmodes/verilog-mode.el (verilog-auto-lineup)
	(verilog-nameable-item-re): Cleanup user-visible spelling and
	documentation errors.  One reported by Gary Delp.
	(verilog-submit-bug-report): Mention bug tracking and CC co-author.
	(verilog-read-decls): Fix AUTOWIRE with types declared in a
	package, bug195.  Reported by Pierre-David Pfister.

2009-12-11  Glenn Morris  <rgm@gnu.org>

	* progmodes/cc-engine.el (safe-pos-list): Define for compiler.

	* mail/emacsbug.el: No longer require sendmail.
	Replace sendmail's `mail-text' by `rfc822-goto-eoh'.  (Bug#5174)
	(report-emacs-bug-orig-text): Doc fix.
	(report-emacs-bug-send-command, report-emacs-bug-send-hook):
	New local variables, to adapt to different mail-user-agents.
	(report-emacs-bug): Fix test for a gnu.org address.
	Use overlays for emphasis, since font-lock defeats 'face property.
	Pretest bugs also end up at the newsgroup these days.
	Stop message-mode stripping text properties.
	Set and use the new buffer-local variables.
	(report-emacs-bug-hook): Add doc-string.
	Remove some unnecessary save-excursions and simplify.
	Use the appropriate hook and send-command.

	* emacs-lisp/lisp-mode.el (emacs-lisp-mode-map): Standardize the
	capitalization of some menu entries.

2009-12-10  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* whitespace.el (whitespace-display-char-on):
	Ensure `buffer-display-table' is unique when two or more windows are
	visible.  Reported by Martin Pohlack <mp26@os.inf.tu-dresden.de>.
	New version 12.1.

2009-12-10  Eli Zaretskii  <eliz@gnu.org>

	* arc-mode.el (archive-rar-summarize): Allow between 6 and 7
	characters in the Attribute field.

2009-12-10  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-svn.el (vc-svn-after-dir-status): Fix regexp.  (Bug#4741)

2009-12-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	Let loaddefs.el adjust to changes in autoload-excludes (bug#5162).
	* emacs-lisp/autoload.el (autoload-generate-file-autoloads):
	Disregard autoload-excludes.
	(update-directory-autoloads): Obey autoload-excludes here instead.
	But don't store its contents in no-autoloads and remove entries that
	refer to excludes files.

2009-12-10  Glenn Morris  <rgm@gnu.org>

	* mail/feedmail.el (top-level): Move require 'mail-utils to start.
	(expand-mail-aliases): Define for compiler.

	* vc-annotate.el (log-view-vc-backend, log-view-vc-fileset):
	Define for compiler.

	* mail/emacsbug.el (report-emacs-bug): Use whichever send command is
	appropriate for the mail-user-agent in use.

2009-12-09  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-insert-directory): Suppress error messages.

2009-12-09  Dan Nicolaescu  <dann@ics.uci.edu>

	Fix short log parsing and fontification.
	* vc-bzr.el (vc-bzr-log-view-mode): Match dot in revision number.
	Fix fontification for the [merge] label.

2009-12-09  Vivek Dasmohapatra  <vivek@etla.org>

	Drop some properties to avoid surprises.
	* htmlfontify.el (hfy-ignored-properties): New defcustom.
	(hfy-fontify-buffer): Use it.

2009-12-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	Minor cleanup.
	* ffap.el (ffap-symbol-value): Replace ffap-soft-value.
	Adjust all callers.
	(ffap-locate-file): Remove unused arg `dir-ok' and make other
	args compulsory.  Adjust callers.
	(ffap-gopher-at-point): Remove unused var `name'.

	Get rid of the ELCFILES abomination.
	* Makefile.in (update-elclist, ELCFILES, compile-last): Remove.
	(compile-elcfiles): New phony target.
	(compile-main): Compute ELCFILES dynamically.
	(compile-clean): New target to remove left-over elc files.
	(compile, all): Use it.

2009-12-09  Kenichi Handa  <handa@etlken>

	* international/mule-diag.el: Require help-mode instead of help-fns.

2009-12-09  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (ucs-names): Supply sufficiently
	fine ranges instead of pre-calculating accurate ranges.
	Iterate with bigger gc-cons-threshold.

2009-12-08  Dan Nicolaescu  <dann@ics.uci.edu>

	Add support for stashing a snapshot of the current tree.
	* vc-git.el (vc-git-stash-snapshot): New function.
	(vc-git-stash-map, vc-git-extra-menu-map): Add a mapping for it.

2009-12-08  Jose E. Marchesi  <jemarch@gnu.org>

	* play/gomoku.el (gomoku-mode-map): Remap `move-(beginning|end)-of-line'
	instead of `(beginning|end)-of-line'.

2009-12-08  Glenn Morris  <rgm@gnu.org>

	* vc-mtn.el (vc-mtn-print-log): Fix typo in previous.

	* Makefile.in (ELCFILES): Regenerate.

2009-12-07  Juri Linkov  <juri@jurta.org>

	Don't lazy-highlight the comint output in history Isearch mode.

	* comint.el (comint-history-isearch-search): Instead of
	`comint-line-beginning-position', use `comint-after-pmark-p'
	to check if point if before the process mark, and go to
	`process-mark' in this case.

2009-12-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/tex-mode.el (latex-complete)
	(latex-indent-or-complete): Remove.
	(latex-mode): Set completion-at-point-functions instead.

	Provide a standard completion command and hook it into TAB.
	* minibuffer.el (completion-at-point-functions): New var.
	(completion-at-point): New command.
	* indent.el (indent-for-tab-command): Handle the `complete' behavior.
	* progmodes/python.el (python-mode-map): Use completion-at-point.
	(python-completion-at-point): Rename from python-partial-symbol and
	adjust for use in completion-at-point-functions.
	(python-mode): Setup completion-at-point for Python completion.
	* emacs-lisp/lisp.el (lisp-completion-at-point): New function
	extracted from lisp-complete-symbol.
	(lisp-complete-symbol): Use it.
	* emacs-lisp/lisp-mode.el (emacs-lisp-mode): Use define-derived-mode,
	setup completion-at-point for Elisp completion.
	(emacs-lisp-mode-map, lisp-interaction-mode-map):
	Use completion-at-point.
	* ielm.el (ielm-map): Use completion-at-point.
	(inferior-emacs-lisp-mode): Setup completion-at-point-functions.
	* progmodes/sym-comp.el: Move to...
	* obsolete/sym-comp.el: Move from progmodes.

2009-12-07  Eli Zaretskii  <eliz@gnu.org>

	Prevent save-buffer in Rmail buffers from using the coding-system
	of the current message, and from clobbering the encoding mnemonics
	in the mode line (Bug#4623).

	* mail/rmail.el (rmail-swap-buffers): Swap encoding and modified
	flag, too.
	(rmail-message-encoding): New variable.
	(rmail-write-region-annotate): Record the encoding of the current
	message in rmail-message-encoding.
	(rmail-after-save-hook): New function, restores the encoding of
	the current message after the message collection is saved.

2009-12-07  Juri Linkov  <juri@jurta.org>

	* progmodes/grep.el (grep-read-files): Use `completing-read'
	instead of `read-string'.  Set its `collection' arg to
	`read-file-name-internal'.  (Bug#4301)

2009-12-07  Juri Linkov  <juri@jurta.org>

	Correctly restore original Isearch point.  (Bug#4994)

	* isearch.el (isearch-mode): Move `isearch-push-state' after
	`(run-hooks 'isearch-mode-hook)'.
	(isearch-cancel): When `isearch-push-state-function' is defined,
	let-bind `isearch-cmds' to the first state (the last element of
	`isearch-cmds') and call `isearch-top-state' (it calls pop-state
	function and restores the original point).  Otherwise, move point
	to `isearch-opoint'.

2009-12-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* international/mule-cmds.el (ucs-names): Weed out at compile-time the
	chars that don't have names, so the table can be built much faster at
	run-time.

2009-12-07  Chong Yidong  <cyd@stupidchicken.com>

	* vc-bzr.el (vc-bzr-annotate-command): More elegant form for last
	change.  Suggested by David Kastrup.

	* simple.el (compose-mail): Check for incompatibilities and warn.
	(compose-mail-user-agent-warnings): New option.

2009-12-07  Dan Nicolaescu  <dann@ics.uci.edu>

	Support showing a single log entry from vc-annotate.
	* vc.el (print-log): Add a new argument: START-REVISION.
	(vc-print-log-internal): Add a new optional argument and
	pass it to the backend.
	(vc-print-log, vc-print-root-log): Adjust callers.
	* vc-annotate.el (vc-annotate-show-log-revision-at-line): If a
	buffer already displays the requested log entry, use it.
	Otherwise display only the log entry in question.
	* vc-svn.el (vc-svn-print-log):
	* vc-mtn.el (vc-mtn-print-log):
	* vc-hg.el (vc-hg-state):
	* vc-git.el (vc-git-print-log): Add support for new argument START-REVISION.
	(vc-git-show-log-entry): Return t on success.
	* vc-bzr.el (vc-bzr-print-log): Add support new argument START-REVISION.
	(vc-bzr-show-log-entry): Return t on success.
	* vc-rcs.el (vc-rcs-print-log):
	* vc-sccs.el (vc-sccs-print-log):
	* vc-cvs.el (vc-cvs-print-log): Add new argument, ignore it.

2009-12-07  Dan Nicolaescu  <dann@ics.uci.edu>

	* ediff-mult.el (ediff-setup-meta-map, ediff-prepare-meta-buffer):
	Add menus to the meta mode.  (Bug#5043)

2009-12-07  Michael Kifer  <kifer@cs.stonybrook.edu>

	* ediff-init.el (ediff-event-key): Use event-to-character instead of
	event-key.

	* ediff.el (ediff-buffers-internal): Add unwind-protect.

2009-12-07  Michael Albinus  <michael.albinus@gmx.de>

	Handle prompt rules of ksh in OpenBSD 4.5.  Reported by Raphaël
	Berbain <raphael.berbain@gmail.com>.

	* net/tramp.el (tramp-end-of-output): Move up.  Use `#' and `$'
	characters.
	(tramp-initial-end-of-output): New defconst.
	(tramp-methods, tramp-find-shell)
	(tramp-open-connection-setup-interactive-shell)
	(tramp-maybe-open-connection): Use it.
	(tramp-shell-prompt-pattern, tramp-wait-for-output):
	Handle existence of `#' and `$'.

	* net/tramp-fish.el (tramp-fish-maybe-open-connection):
	Use `tramp-initial-end-of-output'.

2009-12-07  Dan Nicolaescu  <dann@ics.uci.edu>

	Get the background mode from the terminal for xterm, and set
	faces accordingly.
	* term/xterm.el (xterm-set-background-mode): New function.
	(terminal-init-xterm): Use it in case xterm supports background
	color queries.  Recompute faces after getting the background
	color.

2009-12-07  Ulrich Mueller  <ulm@gentoo.org>

	* emacs-lisp/bytecomp.el (byte-compile-insert-header): Put the version
	number comment back on its own line, for easier parsing.

2009-12-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	Make it work for non-file buffers (bug#5102).
	* doc-view.el (doc-view-current-cache-dir):
	Use doc-view-buffer-file-name rather than buffer-file-name.
	(doc-view-mode): Use buffer-name when buffer-file-name is nil.

2009-12-06  Óscar Fuentes  <ofv@wanadoo.es>

	* vc-bzr.el (vc-bzr-annotate-command): Handle the case where the
	author field is too short.

2009-12-06  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-git.el (vc-git-print-log): Handle a limit argument.
	Display the short log in graph form and with labels.
	(vc-git-log-view-mode): Handle labels.

	Make vc-revert change VC state from 'added to 'unregistered.
	* vc-git.el (vc-git-revert): Call git reset first.

2009-12-06  Ulf Jasper  <ulf.jasper@web.de>

	* net/newst-backend.el, net/newst-plainview.el:
	* net/newst-reader.el, net/newst-ticker.el:
	* net/newst-treeview.el, net/newsticker.el:
	Require/provide newst-... (instead of newsticker-...).  (Bug#5096)

2009-12-06  Chong Yidong  <cyd@stupidchicken.com>

	* log-view.el (log-view-mode-map): Bind "=" to log-view-diff too.

	* vc-bzr.el (vc-bzr-annotate-command): Show author in annotation.
	Handle empty author field (Bug#4144).  Suggested by Óscar Fuentes.
	(vc-bzr-annotate-time, vc-bzr-annotate-extract-revision-at-line):
	Update annotation regexp.

	* simple.el (beginning-of-visual-line): Constrain to field
	boundaries (Bug#5106).

2009-12-06  Ulf Jasper  <ulf.jasper@web.de>

	* xml.el (xml-substitute-numeric-entities):
	Move newsticker--decode-numeric-entities in newst-backend.el to
	xml-substitute-numeric-entities in xml.el.  (Bug#5008)
	* net/newst-backend.el (newsticker--parse-generic-feed)
	(newsticker--parse-generic-items)
	(newsticker--decode-numeric-entities):
	Move newsticker--decode-numeric-entities in newst-backend.el to
	xml-substitute-numeric-entities in xml.el.  (Bug#5008)

2009-12-06  Daniel Colascione  <dan.colascione@gmail.com>

	* progmodes/js.el (js--js-not): Add null to the list of values.

2009-12-06  Chong Yidong  <cyd@stupidchicken.com>

	* ansi-color.el (ansi-color-for-comint-mode): Add :version keyword.

2009-12-06  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-enclosing-field): Exclude entry
	delimiter if it is at the end of the current line.
	(bibtex-generate-url-list): Fix docstring.

2009-12-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (minibuffer-complete-and-exit): Don't replace the
	minibuffer's content with itself.
	Fold the confirm-after-completion case into the `confirm' case.
	(completion-pcm-word-delimiters): Add : and / to the delimiters.

2009-12-06  Kevin Ryde  <user42@zip.com.au>

	* ffap.el (ffap-rfc-path): Make this a defcustom since
	`ffap-rfc-directories' is also a defcustom.  (Bug#4514.)

	* info-look.el: Add setup for apropos-mode to use emacs-lisp-mode
	manuals, similar to existing setup for help-mode.  (Bug#3913.)

2009-12-05  Juri Linkov  <juri@jurta.org>

	Save and restore dired buffer's point positions too.  (Bug#4880)

	* dired.el (dired-save-positions): Return in the first element
	buffer's position in format (BUFFER DIRED-FILENAME BUFFER-POINT).
	Doc fix.
	(dired-restore-positions): First restore buffer's position.
	While restoring window's positions, check if window still displays
	the original buffer.

2009-12-05  Chong Yidong  <cyd@stupidchicken.com>

	* bindings.el (complete-symbol): Call semantic-ia-complete-symbol
	if possible.

	* shell.el (shell): Require ansi-color (Bug#5113).

	* ansi-color.el (ansi-color-for-comint-mode): Default to t.

	* hl-line.el (global-hl-line-highlight): Minor doc fix (Bug#4925).

2009-12-05  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-mode.el (c-before-hack-hook)
	(c-postprocess-file-styles): Revert change 1.85 to permit
	`c-file-style' to work again.  This reversion restores the current
	software to its state in Emacs 23.1.  (Bug#4146)

2009-12-05  Kevin Ryde  <user42@zip.com.au>

	* textmodes/sgml-mode.el (sgml-lexical-context):
	Recognise comment-start-skip to comment-end-skip as comment (Bug#4781).

2009-12-05  Juri Linkov  <juri@jurta.org>

	* info.el (Info-find-node-2): Set `Info-current-subfile' to nil
	for virtual nodes.  (Bug#4147)
	(Info-find-node-2): Set `Info-current-node-virtual' to nil
	when moving from a virtual node.
	(Info-mode-menu): Add `Info-virtual-index' to the menu.
	(Info-mode): Add `Info-virtual-index' to the docstring.

2009-12-05  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-map-entries): Use marker to keep
	track of the buffer position of the end of a BibTeX entry as this
	position may change during reformatting.
	(bibtex-format-entry): Remove whitespace before processing
	numerical fields so that we recognize the latter properly.
	(bibtex-reformat): Do not use push which changes the global value
	of bibtex-entry-format.
	(bibtex-field-braces-alist, bibtex-field-strings-alist)
	(bibtex-field-re-init): Replace only space characters by regexp
	for whitespace.
	(bibtex-generate-url-list, bibtex-cite-matcher-alist): Fix docstring.
	(bibtex-initialize): Also update bibtex-strings.
	(bibtex-kill-field): Preserve white space at end of entry.
	(bibtex-kill-entry, bibtex-yank-pop, bibtex-insert-kill):
	Update bibtex-reference-keys.

2009-12-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion-pcm--merge-try): Also consider placing
	point after a star, if that's the only place where modifications can
	make progress.

2009-12-05  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-dir.el (vc-dir): Use the correct markup for showing keymaps
	in docstrings.

2009-12-04  Juri Linkov  <juri@jurta.org>

	* proced.el (proced): Call `(proced-update t)' to update process
	information instead of only running proced-post-display-hook.
	(proced-send-signal): Add a leading space to the buffer name
	" *Marked Processes*" to make this buffer ephemeral.

2009-12-04  Juri Linkov  <juri@jurta.org>

	* dired.el (dired-auto-revert-buffer): New defcustom.
	(dired-internal-noselect): Use it.

2009-12-04  Juri Linkov  <juri@jurta.org>

	Change roles of modes and functions in image-mode.el (Bug#5062).

	* image-mode.el: Replace `image-mode-maybe' with `image-mode'
	in `auto-mode-alist'.
	(image-mode-previous-major-mode): New variable.
	(image-minor-mode-map): Rename from `image-mode-text-map'.
	(image-mode): Move graceful error-handling code from
	`image-minor-mode' to here.  On errors call `image-mode-as-text'.
	(image-minor-mode): Remove all image-handling code.
	Replace `image-mode-text-map' with `image-minor-mode-map'.
	Check for `image-type' in mode-line format string.
	(image-mode-maybe): Make obsolete with an alias to `image-mode'.
	(image-mode-as-text): New function with most code from
	`image-mode-maybe'.
	(image-toggle-display-text): Move code that removes image
	properties from `image-toggle-display' to here.
	(image-toggle-display-image): New function with code that adds
	image properties copied from `image-toggle-display'.
	(image-toggle-display): Remove most code with leaving only code
	that toggles between `image-mode-as-text' and `image-mode'.

2009-12-04  Ulf Jasper  <ulf.jasper@web.de>

	* net/newst-treeview.el
	(newsticker--treeview-list-highlight-start): Restored call to
	save-excursion: Selected item was stuck.
	(newsticker--treeview-list-select): New.
	(newsticker--treeview-item-show-text)
	(newsticker--treeview-item-show)
	(newsticker--treeview-item-update): Use new
	newsticker-treeview-item-mode.
	(newsticker-treeview-update): Keep current item.
	(newsticker-treeview-next-new-or-immortal-item): Doc change.
	(newsticker--treeview-first-feed): Doc change.
	(newsticker-treeview-list-menu)
	(newsticker-treeview-item-menu): Add menu entries.
	(newsticker-treeview-item-mode): New.

	* net/newst-backend.el (newsticker-customize): Delete other
	windows.

2009-12-04  Sam Steingold  <sds@gnu.org>

	* log-view.el (log-view-mode-map): "q" calls quit-window,
	like in all the other non-self-insert buffers.

2009-12-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	Minor cleanup.
	* term.el (term-send-raw, term-send-raw-meta): Use read-key-sequence's
	key decoding rather than do it manually via last-input-event +
	ascii-character.
	(term-exec): Use delete-and-extract-region.
	(term-handle-ansi-terminal-messages): Remove unused var `end'.
	(term-process-pager): Remove unused var `i'.
	(term-dynamic-simple-complete): Make obsolete.
	(serial-update-config-menu): Remove unused vars `y' and `str'.
	(term-update-mode-line): Remove unused var `temp'.

2009-12-03  Dan Nicolaescu  <dann@ics.uci.edu>

	Limit the number of log entries displayed by default.
	* vc.el (vc-print-log-internal): Fix check for limit-unsupported.
	(vc-print-log, vc-print-root-log): Use vc-log-show-limit when not
	using a prefix argument.

2009-12-03  Glenn Morris  <rgm@gnu.org>

	* progmodes/idlwave.el (class): Restore still useful declaration.

2009-12-03  Alan Mackenzie  <acm@muc.de>

	Enhance `c-parse-state' to run efficiently in "brace deserts".

	* progmodes/cc-mode.el (c-basic-common-init):
	Call c-state-cache-init.
	(c-neutralize-syntax-in-and-mark-CPP): Rename from
	c-extend-and-neutralize-syntax-in-CPP.  Mark each CPP construct by
	placing `category' properties value 'c-cpp-delimiter at its boundaries.

	* progmodes/cc-langs.el (c-before-font-lock-function):
	c-extend-and-neutralize-syntax-in-CPP has been renamed
	c-neutralize-syntax-in-and-mark-CPP.

	* progmodes/cc-fonts.el (c-cpp-matchers): Mark template brackets
	with `category' properties now, not `syntax-table' ones.

	* progmodes/cc-engine.el (c-syntactic-end-of-macro): A new
	enhanced (but slower) version of c-end-of-macro that won't land
	inside a literal or on another awkward character.
	(c-state-cache-too-far, c-state-cache-start)
	(c-state-nonlit-pos-interval, c-state-nonlit-pos-cache)
	(c-state-nonlit-pos-cache-limit, c-state-point-min)
	(c-state-point-min-lit-type, c-state-point-min-lit-start)
	(c-state-min-scan-pos, c-state-brace-pair-desert)
	(c-state-old-cpp-beg, c-state-old-cpp-end): New constants and
	buffer local variables.
	(c-state-literal-at, c-state-lit-beg)
	(c-state-cache-non-literal-place, c-state-get-min-scan-pos)
	(c-state-mark-point-min-literal, c-state-cache-top-lparen)
	(c-state-cache-top-paren, c-state-cache-after-top-paren)
	(c-get-cache-scan-pos, c-get-fallback-scan-pos)
	(c-state-balance-parens-backwards, c-parse-state-get-strategy)
	(c-renarrow-state-cache)
	(c-append-lower-brace-pair-to-state-cache)
	(c-state-push-any-brace-pair, c-append-to-state-cache)
	(c-remove-stale-state-cache)
	(c-remove-stale-state-cache-backwards, c-state-cache-init)
	(c-invalidate-state-cache-1, c-parse-state-1)
	(c-invalidate-state-cache): New defuns/defmacros/defsubsts.
	(c-parse-state): Enhance and refactor.
	(c-debug-parse-state): Amend to deal with all the new variables.

	* progmodes/cc-defs.el (c-<-as-paren-syntax, c-mark-<-as-paren)
	(c->-as-paren-syntax, c-mark->-as-paren, c-unmark-<->-as-paren):
	modify to use category text properties rather than syntax-table ones.
	(c-suppress-<->-as-parens, c-restore-<->-as-parens): New defsubsts
	to switch off/on the syntactic paren property of C++ template
	delimiters using the category property.
	(c-with-<->-as-parens-suppressed): Macro to invoke code with
	template delims suppressed.
	(c-cpp-delimiter, c-set-cpp-delimiters, c-clear-cpp-delimiters):
	New constant/macros which apply category properties to the start
	and end of preprocessor constructs.
	(c-comment-out-cpps, c-uncomment-out-cpps): Defsubsts which
	"comment out" the syntactic value of characters in preprocessor
	constructs.
	(c-with-cpps-commented-out)
	(c-with-all-but-one-cpps-commented-out): Macros to invoke code
	with characters in all or all but one preprocessor constructs
	"commented out".

2009-12-03  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* proced.el (proced-filter-alist): Use regexp-quote.

2009-12-03  Michael Albinus  <michael.albinus@gmx.de>

	Cleanup.
	* eshell/em-unix.el (top): Require 'esh-opt and 'pcomplete.
	(eshell/su, eshell/sudo): Require 'tramp.  Fix problems reading
	arguments.  Expand `default-directory'.

	* net/tramp.el (tramp-handle-file-remote-p): Expand FILENAME for
	the benefit of returning an expanded localname.
	(tramp-tramp-file-p): Handle the case NAME is not a string.

2009-12-03  Dan Nicolaescu  <dann@ics.uci.edu>

	Add support for bzr shelve/unshelve.
	* vc-bzr.el (vc-bzr-shelve-map, vc-bzr-shelve-menu-map)
	(vc-bzr-extra-menu-map): New variables.
	(vc-bzr-extra-menu, vc-bzr-extra-status-menu, vc-bzr-shelve)
	(vc-bzr-shelve-apply, vc-bzr-shelve-list)
	(vc-bzr-shelve-get-at-point, vc-bzr-shelve-delete-at-point)
	(vc-bzr-shelve-apply-at-point, vc-bzr-shelve-menu): New functions.
	(vc-bzr-dir-extra-headers): Display shelves.

	* vc-bzr.el (vc-bzr-print-log): Deal with nil arguments better.

2009-12-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/bibtex.el (bibtex-complete-internal):
	Use completion-in-region.
	(bibtex-text-in-field-bounds): Remove unused var `opoint'.

2009-12-03  Dan Nicolaescu  <dann@ics.uci.edu>

	Support applying stashes.  Improve UI.
	* vc-git.el (vc-git-dir-extra-headers): Add tooltips.
	(vc-git-stash-apply, vc-git-stash-pop)
	(vc-git-stash-apply-at-point, vc-git-stash-pop-at-point)
	(vc-git-stash-menu): New functions.
	(vc-git-stash-menu-map): New variable.
	(vc-git-stash-map): Add bindings to popup a menu and to apply stashes.

2009-12-03  Glenn Morris  <rgm@gnu.org>

	* vc.el (log-view-vc-backend, log-view-vc-fileset): Declare.
	(vc-print-log-internal): Fix previous change.
	(vc-revert): Correct pluralization.

2009-12-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/make-mode.el (makefile-special-targets-list): No need for
	it to be an alist any more.
	(makefile-complete): Use completion-in-region.

	* progmodes/octave-mod.el (octave-complete-symbol):
	Use completion-in-region.

	Misc cleanup.
	* progmodes/idlwave.el (idlwave-comment-hook): Simplify with `or'.
	(idlwave-code-abbrev, idlwave-display-user-catalog-widget)
	(idlwave-complete-class): Don't quote lambda.
	(idlwave-find-symbol-syntax-table, idlwave-mode-syntax-table)
	(idlwave-mode-map): Move initialization into declaration.
	(idlwave-action-and-binding): Use backquotes.
	(idlwave-in-quote, idlwave-reset-sintern, idlwave-complete-in-buffer):
	Simplify.
	(idlwave-is-pointer-dereference): Remove unused var `pos'.
	(idlwave-xml-create-rinfo-list): Remove unused var `entry'.
	(idlwave-convert-xml-clean-sysvar-aliases): Remove unused vars `new',
	`parts', and `all-parts'.
	(idlwave-xml-create-sysvar-alist): Remove unused var `fields'.
	(idlwave-convert-xml-system-routine-info): Remove unused string
	`version-string'.
	(idlwave-display-user-catalog-widget): Use dolist.
	(idlwave-scanning-lib): Declare dynamically-scoped var.
	(idlwave-scan-library-catalogs): Remove unused var `flags'.
	(completion-highlight-first-word-only): Declare to silence bytecomp.
	(idlwave-popup-select): Tighten scope of `resp'.
	(idlwave-find-struct-tag): Remove unused var `beg'.
	(idlwave-after-load-rinfo-hook): Declare.
	(idlwave-sintern-class-info): Remove unused var `taglist'.
	(idlwave-find-class-definition): Remove unused var `list'.
	(idlwave-complete-sysvar-tag-help): Remove unused var `main-base'.
	(idlwave-what-module-find-class): Remove unused var `classes'.

2009-12-03  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/pascal.el: Require CL when compiling (for lexical-let).

2009-12-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* hippie-exp.el (try-expand-dabbrev-visible): Preserve point in the
	buffers visited.  Remove redundant current-buffer-saving.

2009-12-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	Use completion-in-buffer and remove uses of dynamic scoping.
	* progmodes/pascal.el (pascal-str, pascal-all, pascal-pred)
	(pascal-buffer-to-use, pascal-flag): Don't declare.
	(pascal-func-completion, pascal-type-completion, pascal-var-completion)
	(pascal-get-completion-decl, pascal-keyword-completion):
	Add `pascal-str' argument, save-excursion,
	return the found completions, and don't filter with pascal-pred.
	(pascal-completion-cache): New var.
	(pascal-completion): Don't switch buffer any more (it was never
	necessary).  Don't save-excursion any more (it's done by the called
	subroutines).  Use a cache to avoid redundant computations.
	Use complete-with-action rather than pascal-completion-response and
	let it apply the predicate as well.
	(pascal-complete-word): Use completion-in-buffer when
	pascal-toggle-completions is nil.
	(pascal-show-completions): Don't bind pascal-buffer-to-use since it's
	not used any more.
	(pascal-comp-defun): Don't change buffer any more.
	Use complete-with-action rather than pascal-completion-response and
	let it apply the predicate as well.
	(pascal-goto-defun): Change buffer before calling pascal-comp-defun
	when neded.

2009-12-02  Kenichi Handa  <handa@m17n.org>

	* language/indian.el: Include ZWJ and ZWNJ in the patterns to
	shape for all Indic scripts.

2009-12-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	Use completion-in-buffer.
	* wid-edit.el (widget-field-text-end): New function.
	(widget-field-value-get): Use it.
	(widget-string-complete, widget-file-complete)
	(widget-color-complete): Use it and completion-in-region.
	(widget-complete): Don't narrow the buffer.

2009-12-02  Glenn Morris  <rgm@gnu.org>

	* mail/rmail.el (rmail-pop-to-buffer): New function.  (Bug#2282)
	(rmail-select-summary): Use rmail-pop-to-buffer.
	* mail/rmailsum.el: Replace all pop-to-buffer calls with
	rmail-pop-to-buffer, to prevent horizontal splits.

	* calendar/diary-lib.el (diary-list-entries): Replace superfluous
	save-excursion with save-current-buffer.
	Widen before searching.  (Bug#5093)
	(diary-list-sexp-entries): Remove superfluous save-excursion.

2009-12-02  Michael Welsh Duggan  <mwd@cert.org>

	* woman.el (woman-make-bufname): Handle man-pages with "." in the
	name.  (Bug#5038)

2009-12-02  Andreas Politz  <politza@fh-trier.de>  (tiny change)

	* ido.el (ido-file-internal): Handle filenames at point that do
	not have a directory part.  (Bug#5049)

2009-12-02  Juanma Barranquero  <lekktu@gmail.com>

	* mpc.el (mpc-intersection, mpc-host, mpc-songs-playlist)
	(mpc-songs-jump-to, mpc-resume): Doc fixes.

2009-12-01  Rob Riepel  <riepel@networking.Stanford.EDU>

	* emulation/tpu-extras.el (tpu-cursor-free-mode): Emit message.
	(tpu-set-cursor-free, tpu-set-cursor-bound): Don't emit a message
	any more.

2009-12-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* comint.el (comint-insert-input): Ignore clicks to the right of
	the field.  Reported by Bob Nnamtrop <bobnnamtrop@gmail.com>.

	* vc.el (vc-print-log-internal): Don't wait for the process to
	terminate before setting up the major mode.

	* pcmpl-unix.el (pcomplete/cd): Complete more than one argument, just
	in case.

	* pcomplete.el (pcomplete-std-complete): Don't try to complete past
	the last element.

	* simple.el (normal-erase-is-backspace-mode): Fix thinko in message.

2009-12-01  Glenn Morris  <rgm@gnu.org>

	* window.el (window--display-buffer-2): Fix previous changes.

2009-12-01  Chong Yidong  <cyd@stupidchicken.com>

	* mail/sendmail.el (mail-setup-hook, mail-send-hook): Doc fixes.

2009-12-01  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (ELCFILES): Add mpc.elc.

2009-12-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mpc.el: New file.

2009-12-01  Glenn Morris  <rgm@gnu.org>

	* window.el (window-to-use): Define for compiler.

	* emacs-lisp/bytecomp.el (byte-compile-save-excursion): Make message
	consistent with others (no final period).

	* mail/rmailmm.el (rmail-mime-handle): Doc fix.
	(rmail-mime-show): Downcase the encoding.  (Bug#5070)

2009-12-01  Dan Nicolaescu  <dann@ics.uci.edu>

	Make vc-print-log buttons work.
	* log-view.el (log-view-mode-map): Inherit from widget-keymap.

2009-11-30  Ryan C. Thompson  <rct@thompsonclan.org>  (tiny change)

	* savehist.el (savehist-autosave-interval): Allow setting to nil
	through customize.  (Bug#5056)

2009-11-30  Juanma Barranquero  <lekktu@gmail.com>

	Fix references to jit-lock properties.
	* progmodes/perl-mode.el (perl-font-lock-syntactic-keywords):
	Refer to jit-lock-defer-multiline, not jit-lock-multiline.
	(perl-font-lock-special-syntactic-constructs):
	Quote jit-lock-defer-multiline property.

2009-11-30  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-git.el (vc-git-registered): Call vc-git-root only once.

2009-11-30  Juri Linkov  <juri@jurta.org>

	* misearch.el (multi-isearch-search-fun): Always provide a non-nil
	value `buffer' of `multi-isearch-next-buffer-current-function'.
	Use `(current-buffer)' when `buffer' is nil.
	(multi-isearch-next-buffer-from-list): Don't fallback to
	`(current-buffer)' when `buffer' is nil.  (Bug#4947)

2009-11-30  Juri Linkov  <juri@jurta.org>

	* misearch.el (multi-isearch-read-buffers): Move canonicalization
	of buffers with `get-buffer' to `multi-isearch-buffers'.
	(multi-isearch-buffers, multi-isearch-buffers-regexp):
	Canonicalize BUFFERS with `get-buffer'.  Doc fix.
	(multi-isearch-files, multi-isearch-files-regexp): Canonicalize
	FILES with `expand-file-name' converting relative file names
	to absolute.  Doc fix.  (Bug#4727)

2009-11-30  Juri Linkov  <juri@jurta.org>

	* misearch.el (multi-isearch-read-buffers)
	(multi-isearch-read-matching-buffers): New functions.
	(multi-isearch-buffers, multi-isearch-buffers-regexp):
	Use them in the `interactive' spec.  Doc fix.
	(multi-isearch-read-files, multi-isearch-read-matching-files):
	New functions.
	(multi-isearch-files, multi-isearch-files-regexp):
	Use them in the `interactive' spec.  Doc fix.  (Bug#4725)

2009-11-30  Juri Linkov  <juri@jurta.org>

	* doc-view.el (doc-view-continuous):
	Rename from `doc-view-continuous-mode'.
	(doc-view-menu): Move "Toggle display" to the top.
	Add submenu "Continuous" with radio buttons "Off"/"On"
	and "Save as Default".
	(doc-view-scroll-up-or-next-page)
	(doc-view-scroll-down-or-previous-page)
	(doc-view-next-line-or-next-page)
	(doc-view-previous-line-or-previous-page):
	Rename `doc-view-continuous-mode' to `doc-view-continuous'.  (Bug#4896)

2009-11-30  Juri Linkov  <juri@jurta.org>

	* comint.el (comint-mode-map): Rebind `M-r' from
	`comint-previous-matching-input' to
	`comint-history-isearch-backward-regexp'.
	Unbind `M-s' to allow global key binding `M-s'.
	Add menu items for `comint-history-isearch-backward' and
	`comint-history-isearch-backward-regexp'.  (Bug#3746)

2009-11-30  Juri Linkov  <juri@jurta.org>

	* replace.el (perform-replace): Let-bind recenter-last-op to nil.
	For def=recenter, replace `recenter' with `recenter-top-bottom'
	that is called with `this-command' and `last-command' let-bound
	to `recenter-top-bottom'.  When the last `def' was not `recenter',
	set `recenter-last-op' to nil.  (Bug#4981)

2009-11-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	Minor cleanup and simplification.
	* filecache.el (file-cache-add-directory)
	(file-cache-add-directory-recursively)
	(file-cache-add-from-file-cache-buffer)
	(file-cache-delete-file-regexp, file-cache-delete-directory)
	(file-cache-files-matching-internal, file-cache-display): Use dolist.
	(file-cache-temp-minibuffer-message): Delete function.
	(file-cache-minibuffer-complete): Use minibuffer-message instead.

	* progmodes/perl-mode.el (perl-font-lock-special-syntactic-constructs):
	Don't signal an error when bumping into EOB in tr, s, or y.

2009-11-29  Juri Linkov  <juri@jurta.org>

	* startup.el (fancy-about-text): Fix wording of Guided Tour.
	(Bug#4960)

	* descr-text.el (describe-char-unidata-list): Use lowercase name
	for "Unicode name" like in other tags.

2009-11-29  Juri Linkov  <juri@jurta.org>

	* ediff-util.el (ediff-minibuffer-with-setup-hook):
	New compatibility macro.
	(ediff-read-file-name): Use it instead of `minibuffer-with-setup-hook'.

2009-11-29  Juri Linkov  <juri@jurta.org>

	Add defcustom to define the cycling order of `recenter-top-bottom'.
	(Bug#4981)

	* window.el (recenter-last-op): Doc fix.
	(recenter-positions): New defcustom.
	(recenter-top-bottom): Rewrite to use `recenter-positions'.
	(move-to-window-line-top-bottom): Rewrite to use `recenter-positions'.

2009-11-29  Michael Albinus  <michael.albinus@gmx.de>

	Improve integration of Tramp and ange-ftp in eshell.

	* eshell/em-unix.el (eshell/whoami): Make it a defun but a defalias.
	(eshell/su): Flatten args.  Apply better args parsing.  Use "cd".
	(eshell/sudo): Flatten args.  Let-bind `default-directory'.

	* eshell/esh-util.el (top): Require also Tramp when compiling.
	(eshell-directory-files-and-attributes): Check for FTP remote
	connection.
	(eshell-parse-ange-ls): Let-bind `ange-ftp-name-format',
	`ange-ftp-ftp-name-arg', `ange-ftp-ftp-name-res'.
	(eshell-file-attributes): Handle ".".  Return `entry'.

	* net/ange-ftp.el (ange-ftp-parse-filename): Use `save-match-data'.
	(ange-ftp-directory-files-and-attributes)
	(ange-ftp-real-directory-files-and-attributes): New defuns.

	* net/tramp.el (tramp-maybe-open-connection): Open the remote
	shell with "exec" when possible.  This prevents trailing prompts
	in `start-file-process'.

2009-11-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	Try and remove assumptions about point-min==1.
	* nxml/rng-valid.el (rng-validate-mode): Don't hardcode point-min==1.
	(rng-compute-mode-line-string): Show the validation percentage in
	terms of the narrowed text, not the widened text.
	(rng-do-some-validation): Don't catch internal errors when debugging.
	(rng-first-error): Simplify.
	(rng-after-change-function): Remove work around.  AFAIK the bug has
	been fixed a while ago.

	* image-mode.el (image-minor-mode): Exit more gracefully when the image
	cannot be displayed (e.g. when doing C-x C-f some-new-file.svg RET).

	* man.el (Man-completion-table): Make it easier to enter "<sec> <name>".

	* eshell/em-prompt.el (eshell-prompt-function): Abbreviate pwd, since
	`cd' doesn't always do it for us (bug#5067).

	* pcomplete.el (pcomplete-entries): Revert change installed mistakenly
	on 2009-10-25 as part of some other change (bug#5067).

2009-11-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/bytecomp.el (byte-compile-warning-types): New type
	`suspicious'.
	(byte-compile-warnings): Use byte-compile-warning-types.
	(byte-compile-save-excursion): Warn about use of set-buffer right
	after save-excursion.

	* progmodes/gud.el (gud-basic-call): Don't only save the buffer but
	the excursion as well.

2009-11-27  Michael Albinus  <michael.albinus@gmx.de>

	* eshell/em-unix.el (eshell/su, eshell/sudo): New defuns,
	providing a Tramp related implementation of "su" and "sudo".
	(eshell-unix-initialize): Add "su" and "sudo".

2009-11-27  Daiki Ueno  <ueno@unixuser.org>

	* net/socks.el (socks-send-command): Convert binary request to
	unibyte before sending.  This fixes mishandling of some port
	numbers such as 129.

2009-11-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* help.el (describe-bindings-internal): Remove `interactive'.

	* man.el (Man-completion-table): Trim a terminating "(".
	Remove the space between name page a section.
	Add the command's description on the `help-echo' property.
	Remove `process-connection-type' binding since it's unused by
	call-process.
	Provide completion for the "<section> <name>" format as well.
	(Man-default-man-entry): Remove spurious var shadowing the argument.

2009-11-26  Kevin Ryde  <user42@zip.com.au>

	* log-view.el: Add "Keywords: tools", since its other keywords
	aren't in finder-known-keywords, and following vc.el.

	* sha1.el (sha1-string-external): default-directory "/" in case
	otherwise non-existent.  process-connection-type pipe for touch of
	efficiency recommended by elisp manual.  (An aside in Bug#3911.)

2009-11-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	Misc coding convention cleanups.
	* htmlfontify.el (hfy-init-kludge-hook): Rename from
	hfy-init-kludge-hooks.
	(hfy-etags-cmd, hfy-flatten-style, hfy-invisible-name, hfy-face-at)
	(hfy-fontify-buffer, hfy-prepare-index-i, hfy-subtract-maps)
	(hfy-save-kill-buffers, htmlfontify-copy-and-link-dir): Use dolist
	and push.
	(hfy-slant, hfy-weight): Use tables rather than code.
	(hfy-box-to-border-assoc, hfy-box-to-style, hfy-decor)
	(hfy-face-to-style-i, hfy-fontify-buffer): Use `case'.
	(hfy-face-attr-for-class): Initialize `face-spec' directly.
	(hfy-face-to-css): Remove `nconc' with single arg.
	(hfy-p-to-face-lennart): Use `or'.
	(hfy-face-at): Hoist common code.  Remove spurious quotes in `case'.
	(hfy-overlay-props-at, hfy-mark-tag-hrefs): Eta-reduce.
	(hfy-compile-stylesheet, hfy-merge-adjacent-spans)
	(hfy-compile-face-map, hfy-parse-tags-buffer): Use push.
	(hfy-force-fontification): Use run-hooks.

2009-11-26  Vivek Dasmohapatra  <vivek@etla.org>

	Various minor fixes.
	* htmlfontify.el (hfy-default-header): Add toggle_invis since
	Javascript belongs in the header, not the body.
	(hfy-javascript): Remove.
	(hfy-fontify-buffer): Don't insert it any more.
	(hfy-face-at): Handle (face0 face1 face2) style face properties.
	Fix bug in invis handling when there were no invis props in a chunk.

2009-11-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-bzr.el (vc-bzr-annotate-command): Make operation asynchronous.

2009-11-26  Dan Nicolaescu  <dann@ics.uci.edu>

	* finder.el (finder-mode-map): Add a menu.

2009-11-26  Michael McNamara  <mac@mail.brushroad.com>

	* progmodes/verilog-mode.el (verilog-at-struct-p): Support "signed" and
	"unsigned" structs.

	(verilog-leap-to-head, verilog-backward-token): Handle "disable
	fork" statement better.

2009-11-26  Wilson Snyder  <wsnyder@wsnyder.org>

	* progmodes/verilog-mode.el (verilog-auto-insert-lisp)
	(verilog-delete-auto, verilog-delete-empty-auto-pair)
	(verilog-library-filenames): Fix AUTOINSERTLISP to support insert-file.
	Reported by Clay Douglass.

	(verilog-auto-inst, verilog-auto-star-safe)
	(verilog-delete-auto-star-implicit, verilog-read-sub-decls):
	Fix removing "// Interfaces" when saving .* expansions.
	Reported by Pierre-David Pfister.

2009-11-26  Glenn Morris  <rgm@gnu.org>

	* eshell/em-dirs.el (eshell/cd): Don't throw to a tag outside
	the scope.

2009-11-25  Johan Bockgård  <bojohan@gnu.org>

	* vc-annotate.el (vc-annotate-revision-previous-to-line):
	Really use previous revision.

2009-11-25  Kevin Ryde  <user42@zip.com.au>

	* man.el (Man-completion-table): default-directory "/" in case
	doesn't otherwise exist.  process-environment COLUMNS=999 so as
	not to truncate long names.  process-connection-type pipe to avoid
	any chance of hitting the pseudo-tty TIOCGWINSZ.
	(man): completion-ignore-case t for friendliness and since man
	itself is case-insensitive on the command line.
	Further to Bug#3717.

	* arc-mode.el: Add "Keywords: files", so the details in its
	commentary can be reached from finder-by-keyword.
	* textmodes/dns-mode.el: Add "Keywords: comm".  It's only an
	editing mode, but it's comms related and sgml-mode.el has "comm"
	on that basis too.
	* textmodes/bibtex-style.el: Add "Keywords: tex".
	* international/isearch-x.el, international/ja-dic-cnv.el:
	* international/ja-dic-utl.el, international/kkc.el:
	Add "Keywords: i18n", so they can be reached from finder-by-keyword.

2009-11-25  Juri Linkov  <juri@jurta.org>

	* man.el (Man-completion-table): Modify regexp to include
	section names to completion strings.  (Bug#3717)

2009-11-25  Juri Linkov  <juri@jurta.org>

	Search recursively in gzipped files.  (Bug#4982)

	* progmodes/grep.el (grep-highlight-matches): Add new options
	`always' and `auto'.  Doc fix.
	(grep-process-setup): Check `grep-highlight-matches' for
	`auto-detect' to determine the need to compute grep defaults.
	Move Windows/DOS specific --colors settings handling
	to `grep-compute-defaults'.  Check `grep-highlight-matches'
	to get the value of "--color=".
	(grep-compute-defaults): Compute `grep-highlight-matches' when it
	has the value `auto-detect'.  Move Windows/DOS specific settings
	from `grep-process-setup'.
	(zrgrep): New command with alias `rzgrep'.

2009-11-25  Juri Linkov  <juri@jurta.org>

	* doc-view.el (doc-view-mode): Set buffer-local `view-read-only'
	to nil instead of switching off view-mode.  (Bug#4896)

2009-11-25  Juri Linkov  <juri@jurta.org>

	Mouse-wheel scrolling for DocView Continuous mode.  (Bug#4896)

	* mwheel.el (mwheel-scroll-up-function)
	(mwheel-scroll-down-function): New defvars.
	(mwheel-scroll): Funcall `mwheel-scroll-up-function' instead of
	`scroll-up', and `mwheel-scroll-down-function' instead of
	`scroll-down'.

	* doc-view.el (doc-view-scroll-up-or-next-page)
	(doc-view-scroll-down-or-previous-page): Add optional ARG.
	Use this ARG in the call to image-scroll-up/image-scroll-down.
	Change `interactive' spec to "P".  Goto next/previous page only
	when `doc-view-continuous-mode' is non-nil or ARG is nil (for the
	SPC/DEL case).  Doc fix.
	(doc-view-next-line-or-next-page)
	(doc-view-previous-line-or-previous-page): Rename arg to ARG
	for consistency.
	(doc-view-mode): Set buffer-local `mwheel-scroll-up-function' to
	`doc-view-scroll-up-or-next-page', and buffer-local
	`mwheel-scroll-down-function' to
	`doc-view-scroll-down-or-previous-page'.

2009-11-25  Juri Linkov  <juri@jurta.org>

	Provide additional default values (directories at other Dired
	windows) via M-n in the minibuffer of some Dired commands.

	* dired-aux.el (dired-diff, dired-compare-directories)
	(dired-do-create-files): Use `dired-dwim-target-defaults' to set
	`minibuffer-default' in `minibuffer-with-setup-hook'.
	(dired-dwim-target-directory): Find a window that displays Dired
	buffer instead of failing when the next window is not Dired.
	Use `get-window-with-predicate' to find for the next Dired window.
	(dired-dwim-target-defaults): New function.

	* ediff-util.el (ediff-read-file-name):
	Use `dired-dwim-target-defaults' to set `minibuffer-default'
	in `minibuffer-with-setup-hook'.

2009-11-25  Juri Linkov  <juri@jurta.org>

	Provide additional default values (file name at point or at the
	current Dired line) via M-n for file reading minibuffers.  (Bug#5010)

	* minibuffer.el (read-file-name-defaults): New function.
	(read-file-name): Reset `minibuffer-default' to nil when
	it duplicates initial input `insdef'.
	Bind `minibuffer-default-add-function' to lambda that
	calls `read-file-name-defaults' in `minibuffer-selected-window'.
	(minibuffer-insert-file-name-at-point): New command.

	* files.el (file-name-at-point-functions): New defcustom.
	(find-file-default): Remove defvar.
	(find-file-read-args): Don't use `find-file-default'.
	Move `minibuffer-with-setup-hook' that sets `minibuffer-default'
	to `read-file-name'.
	(find-file-literally): Use `read-file-name' with
	`confirm-nonexistent-file-or-buffer'.

	* ffap.el (ffap-guess-file-name-at-point): New autoloaded function.

	* dired.el (dired-read-dir-and-switches):
	Move `minibuffer-with-setup-hook' that sets `minibuffer-default'
	to `read-file-name'.
	(dired-file-name-at-point): New function.
	(dired-mode): Add hook `dired-file-name-at-point' to
	`file-name-at-point-functions'.

2009-11-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	Really make the *Completions* window soft-dedicated (bug#5030).
	* window.el (window--display-buffer-2): Add `dedicated' argument.
	(display-buffer): Pass it when needed so the dedicated flag is set
	after calling set-window-buffer, which would otherwise reset it.

2009-11-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/meta-mode.el (meta-complete-symbol):
	* progmodes/etags.el (complete-tag):
	* mail/mailabbrev.el (mail-abbrev-complete-alias):
	Use completion-in-region.

	* dabbrev.el (dabbrev--minibuffer-origin): Use minibuffer-selected-window.
	(dabbrev-completion): Use completion-in-region.
	(dabbrev--abbrev-at-point): Simplify regexp.

	* abbrev.el (abbrev--before-point): Use word-motion functions
	if :regexp is not specified (bug#5031).

	* subr.el (string-prefix-p): New function.

	* man.el (Man-completion-cache): New var.
	(Man-completion-table): Use it.

	* vc.el (vc-print-log-internal): Make `limit' optional for better
	compatibility (e.g. with vc-annotate.el).

2009-11-24  Kevin Ryde  <user42@zip.com.au>

	* emacs-lisp/checkdoc.el (checkdoc-proper-noun-regexp):
	Build value with regexp-opt instead of explicit joining loop.  (Bug#4927)

	* emacs-lisp/elint.el (elint-add-required-env): Better error message
	when .el source file not found or other error.

2009-11-24  Markus Triska  <markus.triska@gmx.at>

	* linum.el (linum-update-window): Ignore intangible (bug#4996).

2009-11-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	Handle the [back] button properly (bug#4979).
	* descr-text.el (describe-text-properties): Add a `buffer' argument.
	Use help-setup-xref, help-buffer, and with-help-window.
	(describe-char): Add `buffer' argument.
	Pass proper command to help-setup-xref.  Don't meddle with
	help-xref-stack-item directly.
	(describe-text-category): Use with-help-window and help-buffer.

	* emacs-lisp/shadow.el (list-load-path-shadows): Setup a major mode
	for the displayed buffer (bug#4887).

	* man.el (Man-completion-table): New function.
	(man): Use it.

2009-11-24  David Reitter  <david.reitter@gmail.com>

	* vc-git.el (vc-git-registered): Use checkout directory (where
	.git is) rather than the file's directory and a relative path spec
	to work around a bug in git.

2009-11-24  Michael Albinus  <michael.albinus@gmx.de>

	Improve handling of processes on remote hosts.

	* eshell/esh-util.el (eshell-path-env): New defvar.
	(eshell-parse-colon-path): New defun.
	(eshell-file-attributes): Use `eshell-parse-colon-path'.

	* eshell/esh-ext.el (eshell-search-path):
	Use `eshell-parse-colon-path'.
	(eshell-remote-command): Remove argument HANDLER.
	(eshell-external-command): Check for FTP remote connection.

	* eshell/esh-proc.el (eshell-gather-process-output):
	Use `file-truename', in order to start also symlinked files.
	Apply `start-file-process' instead of `start-process'.
	Shorten `command' to the local file name part.

	* eshell/em-cmpl.el (eshell-complete-commands-list):
	Use `eshell-parse-colon-path'.

	* eshell/em-unix.el (eshell/du): Check for FTP remote connection.

	* net/tramp.el (tramp-eshell-directory-change): New defun.  Add it
	to `eshell-directory-change-hook'.

2009-11-24  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-mode): Switch off view-mode explicitly,
	because it could be enabled automatically if view-read-only is non-nil.

2009-11-24  Michael Kifer  <kifer@cs.stonybrook.edu>

	* ediff-vers.el (ediff-rcs-get-output-buffer): Revert the change
	made on 2009-11-22.

2009-11-24  Glenn Morris  <rgm@gnu.org>

	* bookmark.el (bookmark-bmenu-hide-filenames): Remove assignment to
	deleted variable bookmark-bmenu-bookmark-column.

2009-11-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* bookmark.el (bookmark-bmenu-search): Clear echo area when exiting.

2009-11-23  Ken Brown  <kbrown@cornell.edu>  (tiny change)

	* net/browse-url.el (browse-url-filename-alist): On Windows, add
	two slashes to the "file:" prefix.
	(browse-url-file-url): De-munge Cygwin filenames before passing
	them to Windows browser.
	(browse-url-default-windows-browser): Use call-process.

2009-11-23  Juri Linkov  <juri@jurta.org>

	Implement DocView Continuous mode.  (Bug#4896)
	* doc-view.el (doc-view-continuous-mode): New defcustom.
	(doc-view-mode-map): Bind C-n/<down> to
	`doc-view-next-line-or-next-page', C-p/<up> to
	`doc-view-previous-line-or-previous-page'.
	(doc-view-next-line-or-next-page)
	(doc-view-previous-line-or-previous-page): New commands.

2009-11-23  Juri Linkov  <juri@jurta.org>

	Implement Isearch in comint input history.  (Bug#3746)
	* comint.el (comint-mode): Add `comint-history-isearch-setup' to
	`isearch-mode-hook'.
	(comint-history-isearch): New defcustom.
	(comint-history-isearch-backward)
	(comint-history-isearch-backward-regexp): New commands.
	(comint-history-isearch-message-overlay): New buffer-local variable.
	(comint-history-isearch-setup, comint-history-isearch-end)
	(comint-goto-input, comint-history-isearch-search)
	(comint-history-isearch-message, comint-history-isearch-wrap)
	(comint-history-isearch-push-state)
	(comint-history-isearch-pop-state): New functions.

2009-11-23  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-shell-prompt-pattern): Use \r for carriage
	return.
	(tramp-handle-make-symbolic-link)
	(tramp-handle-dired-compress-file, tramp-handle-expand-file-name):
	Quote file names.
	(tramp-send-command-and-check): New argument DONT-SUPPRESS-ERR.
	(tramp-handle-process-file): Use it.

2009-11-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* window.el (move-to-window-line-last-op): Remove.
	(move-to-window-line-top-bottom): Reuse recenter-last-op instead.

2009-11-23  Deniz Dogan  <deniz.a.m.dogan@gmail.com>  (tiny change)

	Make M-r mirror the new cycling behavior of C-l.
	* window.el (move-to-window-line-last-op): New var.
	(move-to-window-line-top-bottom): New command.
	(global-map): Bind M-r move-to-window-line-top-bottom.

2009-11-23  Sven Joachim  <svenjoac@gmx.de>

	* dired-x.el (dired-guess-shell-alist-default):
	Support xz format.  (Bug#4953)

2009-11-22  Michael Kifer  <kifer@cs.stonybrook.edu>

	* emulation/viper-cmd.el: Use viper-last-command-char instead of
	last-command-char/last-command-event.
	(viper-prefix-arg-value): Do correct conversion of event-char for
	XEmacs.

	* emulation/viper-util.el, emulation/viper.el:
	Use viper-last-command-char instead of
	last-command-char/last-command-event.

	* ediff-init.el, ediff-mult.el, ediff-util.el:
	Replace last-command-char and last-command-event
	with (ediff-last-command-char) everywhere.

	* ediff-vers.el (ediff-rcs-get-output-buffer): Make sure the buffer is
	created in fundamental mode.

	* ediff.el (ediff-version): Revert the change of interactive-p to
	called-interactively-p.

2009-11-22  Tassilo Horn  <tassilo@member.fsf.org>

	* progmodes/subword.el (subword-mode-map): Fix subword-mode-map
	generation from word-movement command names.

2009-11-21  Jan Djärv  <jan.h.d@swipnet.se>

	* cus-start.el (all): Add native condition for font-use-system-font.

2009-11-21  Nathaniel Flath  <flat0103@gmail.com>

	* progmodes/cc-menus.el (cc-imenu-java-generic-expression):
	Correct the patch from 2009-11-18.  (Bug#3910)

2009-11-21  Tassilo Horn  <tassilo@member.fsf.org>

	* progmodes/subword.el: Rename from lisp/subword.el.

	* subword.el: Rename to progmodes/subword.el.

	* Makefile.in (ELCFILES): Adapt to subword.el move.

2009-11-21  Thierry Volpiatto  <thierry.volpiatto@gmail.com>
	    Stefan Monnier  <monnier@iro.umontreal.ca>

	* bookmark.el (bookmark-bmenu-bookmark-column): Remove var.
	(bookmark-bmenu-list): Save name on `bookmark-name-prop' text-prop.
	(bookmark-bmenu-show-filenames): Use push.
	(bookmark-bmenu-hide-filenames): Use local var instead of
	bookmark-bmenu-bookmark-column.  Use pop.  Don't save window-excursion.
	(bookmark-bmenu-bookmark): Use the new `bookmark-name-prop' text-prop.
	(bookmark-bmenu-execute-deletions): Don't bother adding/removing the
	filenames now that the bookmark names are always available.

2009-11-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* bookmark.el (bookmark-search-prompt, bookmark-search-timer): Remove.
	(bookmark-search-pattern): Move and leave unbound.
	(bookmark-bmenu-mode-map): Change binding.
	(bookmark-read-search-input): Simplify.
	Don't use text-char-description.  Don't error on non-char events.
	(bookmark-filtered-alist-by-regexp-only): Remove by folding into the
	only caller (i.e. bookmark-bmenu-filter-alist-by-regexp).
	(bookmark-bmenu-search): Don't check we're in a bookmark-list buffer.
	Use a local var for the timer.
	(bookmark-bmenu-cancel-search): Remove by folding into the only caller
	(i.e. bookmark-bmenu-search).

2009-11-21  Glenn Morris  <rgm@gnu.org>

	* mail/rmailmm.el (rmail-mime): Decode in fundamental-mode.  (Bug#4993)

2009-11-20  Ken Brown  <kbrown@cornell.edu>  (tiny change)

	* net/browse-url.el (browse-url-default-windows-browser):
	Use cygstart for cygwin.

2009-11-20  Karl Fogel  <karl.fogel@red-bean.com>

	* bookmark.el: Formatting and doc fixes only:
	(bookmark-search-delay): Shorten doc string to fit in 80 columns.
	(bookmark-bmenu-search): Wrap to fit within 80 columns.
	Minor grammar and punctuation fixes in doc string.
	(bookmark-read-search-input): Adjust to fit within 80 columns.

2009-11-20  Tassilo Horn  <tassilo@member.fsf.org>

	* progmodes/cc-cmds.el (c-forward-into-nomenclature)
	(c-backward-into-nomenclature): Adapt to subword renaming.

	* subword.el (subword-forward, subword-backward, subword-mark)
	(subword-kill, subword-backward-kill, subword-transpose)
	(subword-downcase, subword-upcase, subword-capitalize)
	(subword-forward-internal, subword-backward-internal):
	Rename from forward-subword, backward-subword, mark-subword,
	kill-subword, backward-kill-subword, transpose-subwords,
	downcase-subword, upcase-subword, capitalize-subword,
	forward-subword-internal, backward-subword-internal.

2009-11-20  Thierry Volpiatto  <thierry.volpiatto@gmail.com>

	* bookmark.el (bookmark-search-delay, bookmark-search-prompt):
	New options.
	(bookmark-search-pattern, bookmark-search-timer, bookmark-quit-flag):
	New vars.
	(bookmark-read-search-input, bookmark-filtered-alist-by-regexp-only)
	(bookmark-bmenu-filter-alist-by-regexp)
	(bookmark-bmenu-goto-bookmark, bookmark-bmenu-cancel-search): New funs.
	(bookmark-bmenu-search): New command.
	(bookmark-bmenu-mode-map): Bind it.

2009-11-20  Tassilo Horn  <tassilo@member.fsf.org>

	* progmodes/cc-cmds.el: declare-functioned forward-subword and
	backward-subword to quit the byte-compiler.

	* makefile.w32-in: Don't refer cc-subword.elc but subword.elc.

	* Makefile.in: Don't refer cc-subword.elc but subword.elc.

	* progmodes/cc-cmds.el (c-update-modeline)
	(c-forward-into-nomenclature, c-backward-into-nomenclature):
	Refer to subword.el functions instead of cc-subword.el.

	* progmodes/cc-mode.el (subword-mode, c-mode-base-map): Refer to
	subword.el functions instead of cc-subword.el.

	* progmodes/cc-subword.el: Rename to subword.el.
	* subword.el: Rename from progmodes/cc-subword.el.
	(subword-mode-map): Rename from c-subword-mode-map.
	(subword-mode): Rename from c-subword-mode.
	(global-subword-mode): New global minor mode.
	(forward-subword): Rename from c-forward-subword.
	(backward-subword): Rename from c-backward-subword.
	(mark-subword): Rename from c-mark-subword.
	(kill-subword): Rename from c-kill-subword.
	(backward-kill-subword): Rename from c-backward-kill-subword.
	(transpose-subwords): Rename from c-tranpose-subword.
	(downcase-subword): Rename from c-downcase-subword.
	(capitalize-subword): Rename from c-capitalize-subword.
	(forward-subword-internal): Rename from c-forward-subword-internal.
	(backward-subword-internal): Rename from c-backward-subword-internal.

2009-11-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-deduce-fileset): Allow non-state changing operations
	from a dired buffer.
	(vc-dired-deduce-fileset): New function.
	(vc-root-diff, vc-print-root-log): Use it.

	* vc-annotate.el (vc-annotate-show-log-revision-at-line): Pass a
	nil LIMIT argument to vc-print-log-internal.

2009-11-20  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (ELCFILES): Regenerate.

2009-11-20  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (calc-set-mode-line):
	Rename `calc-complement-signed-mode' to `calc-twos-complement-mode'.
	(math-format-number): Rename `math-format-complement-signed' to
	`math-format-twos-complement'.

	* calc/calc-bin.el (math-format-twos-complement): Rename from
	math-format-complement-signed.
	(calc-radix): Rename `calc-complement-signed-mode' to
	`calc-twos-complement-mode'.
	(calc-octal-radix, calc-hex-radix): Add an argument for
	two's complement.

	* calc/calc-embed.el (calc-embedded-mode-vars):
	Rename `calc-complement-signed-mode' to `calc-twos-complement-mode'.

	* calc/calc-ext.el (calc-init-extensions):
	Rename `calc-complement-signed-mode' to `calc-twos-complement-mode'.
	(math-format-number-fancy): Let `calc-twos-complement-mode' be nil.

	* calc/calc-units.el (math-build-units-table-buffer):
	Let `calc-twos-complement-mode' be nil.

	* calc/calc-menu.el (calc-modes-menu): Clean up two's complement
	entries.

	* calc/calc-vec.el (calcFunc-vunpack):
	* calc/calc-aent.el (calc-do-calc-eval):
	* calc/calc-forms.el (math-format-date):
	* calc/calc-graph.el (calc-graph-plot):
	* calc/calc-math.el (math-use-emacs-fn):
	* calc/calccomp.el (math-compose-expr):
	Let `calc-twos-complement-mode' be nil.

2009-11-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* abbrev.el (abbrev-with-wrapper-hook): (re)move...
	* simple.el (with-wrapper-hook): ...to here.  Add argument `args'.
	* minibuffer.el (completion-in-region-functions): New hook.
	(completion-in-region): New function.
	* emacs-lisp/lisp.el (lisp-complete-symbol):
	* pcomplete.el (pcomplete-std-complete): Use it.

2009-11-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/tex-mode.el (latex-complete-bibtex-cache)
	(latex-complete-alist): New vars.
	(latex-string-prefix-p, latex-complete-bibtex-keys)
	(latex-complete-envnames, latex-complete-refkeys)
	(latex-complete-data): New functions.
	(latex-complete, latex-indent-or-complete): New commands.

	* window.el (display-buffer-mark-dedicated): New var.
	(display-buffer): Obey it.
	* minibuffer.el (minibuffer-completion-help): Use it.

	* progmodes/sym-comp.el (symbol-complete): Use completion-in-region.

	* filecache.el (file-cache-add-file): Use push and cons.
	(file-cache-delete-file-regexp): Use push.
	(file-cache-complete): Use completion-in-region.

	* simple.el (with-wrapper-hook): Fix thinko.

	* hfy-cmap.el (hfy-rgb-file): Use locate-file.
	(htmlfontify-load-rgb-file): Remove unnused var `ff'.
	Use with-current-buffer and string-to-number.
	(hfy-fallback-colour-values): Use assoc-string.
	* htmlfontify.el (hfy-face-to-css): Remove unused var `style'.
	(hfy-face-at): Remove unused var `found-face'.
	(hfy-compile-stylesheet): Remove unused var `css'.
	(hfy-fontify-buffer): Remove unused vars `in-style', `invis-button',
	and `orig-buffer'.
	(hfy-buffer, hfy-copy-and-fontify-file, hfy-parse-tags-buffer):
	Use with-current-buffer.
	(hfy-text-p): Use expand-file-name and fewer setq.

2009-11-19  Vivek Dasmohapatra  <vivek@etla.org>

	* htmlfontify.el, hfy-cmap.el: New files.

2009-11-19  Juri Linkov  <juri@jurta.org>

	* minibuffer.el (completions-format): New defcustom.
	(completion--insert-strings): Implement vertical format.

	* simple.el (switch-to-completions): Move point to the first
	completion when point was at the beginning of the buffer.

2009-11-19  Juri Linkov  <juri@jurta.org>

	* find-dired.el (find-name-arg): Remove autoload.  (Bug#4387)

	* progmodes/grep.el (rgrep): Require `find-dired' for `find-name-arg'.

2009-11-19  Chong Yidong  <cyd@stupidchicken.com>

	* mail/sendmail.el (mail-yank-prefix): Change default to "> ".
	(mail-signature): Change default to t.
	(mail-from-style): Deprecate `system-default' value.
	(mail-insert-from-field): For default value of mail-from-style,
	default to `angles' unless `angles' needs quoting and `parens'
	does not.
	(mail-citation-prefix-regexp): Use citation regexp from
	message-mode.

2009-11-19  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-do-copy-or-rename-file-out-of-band):
	Set variables for computing the prompt for reading password.

2009-11-19  Glenn Morris  <rgm@gnu.org>

	* dired-aux.el (dired-compress-file-suffixes): Add ".xz".  (Bug#4953)

	* textmodes/flyspell.el (sgml-lexical-context): Declare.

	* net/newst-treeview.el (newsticker-treeview-treewindow-width)
	(newsticker-treeview-listwindow-height): Fix custom type.

2009-11-19  Kenichi Handa  <handa@m17n.org>

	* descr-text.el (describe-char-padded-string): Compose with TAB
	only if there's a font for CH.
	(describe-char): Fix the condition for detecting a trivial composition.

2009-11-18  Nathaniel Flath  <flat0103@gmail.com>

	* progmodes/cc-menus.el (cc-imenu-java-generic-expression): A new,
	more accurate version of the regexp.  (Bug#3910)

2009-11-18  Bernhard Herzog  <bernhard.herzog@intevation.de>  (tiny change)

	* vc-hg.el (vc-hg-diff): Fix last patch: do not change directory.

2009-11-18  Juanma Barranquero  <lekktu@gmail.com>

	* font-setting.el (font-use-system-font): Declare for byte-compiler.
	(font-setting-change-default-font): Fix typo in docstring.

2009-11-18  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-defs.el (c-version): Bump to 5.31.8.

2009-11-17  Jan Djärv  <jan.h.d@swipnet.se>

	* font-setting.el (font-use-system-font): Move ...

	* cus-start.el (all): ... to here.

2009-11-17  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-advice-file-expand-wildcards): Simplify.
	Don't set `ad-return-value' if `ad-do-it' doesn't.

	* net/tramp-gvfs.el (tramp-gvfs-handle-write-region): Set file
	modification time.

2009-11-17  Jan Djärv  <jan.h.d@swipnet.se>

	* menu-bar.el: Put "Use system font" in Option-menu.
	(menu-bar-options-save): Add font-use-system-font.

	* loadup.el: If feature system-font-setting or font-render-setting is
	there, load font-setting.

	* Makefile.in (ELCFILES): Add font-settings.el.
	* font-setting.el: New file.

2009-11-17  Glenn Morris  <rgm@gnu.org>

	* vc-svn.el (vc-svn-print-log): Fix typo in previous.

	* net/newst-treeview.el (newsticker--treeview-list-update-faces):
	Preserve point in the list buffer.  (Bug#4939)
	Use point-at-eol.
	(newsticker--treeview-list-update-highlight)
	(newsticker--treeview-tree-update-highlight): Use point-at-bol/eol.

2009-11-16  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-bin.el (math-symclip, calcFunc-symclip, calc-symclip):
	Remove.

	* calc/calc-ext.el (calc-init-extensions): Remove references to
	symclip.

	* calc/calc-menu.el (calc-arithmetic-menu): Remove `calc-symclip'.

	* calc/calc-map.el (calc-get-operator, calc-b-oper-keys):
	* calc/calc-help.el (calc-b-prefix-help): Remove references to
	`calc-symclip'.

2009-11-16  Kevin Ryde  <user42@zip.com.au>

	* textmodes/flyspell.el (sgml-mode-flyspell-verify):
	Use `sgml-lexical-context' instead of own parse for tag (Bug#4511).

	* emacs-lisp/lisp-mnt.el (lm-keywords): Allow multi-line keywords.
	(lm-keywords-list): Allow comma-only separator like "foo,bar".
	Ignore trailing spaces by omit-nulls to split-string (fixing
	regression from Emacs 21 due to the incompatible split-string
	change).  (Bug #4928.)

2009-11-16  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-log-show-limit): Default to 2000.
	(vc-print-log-internal): Insert buttons to request more entries
	when limiting the output.

	* vc-sccs.el (vc-sccs-print-log):
	* vc-rcs.el (vc-rcs-print-log):
	* vc-cvs.el (vc-cvs-print-log):
	* vc-git.el (vc-git-print-log): Return 'limit-unsupported when
	LIMIT is non-nil.

2009-11-16  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-gvfs.el (tramp-gvfs-dbus-event-error): Raise only an
	error when `tramp-gvfs-dbus-event-vector' is set.
	(tramp-gvfs-maybe-open-connection): Loop over `read-event'.

2009-11-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-rcs.el (vc-rcs-consult-headers): Add missing save-excursion.

2009-11-16  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-unregister-service): New defun.
	(dbus-register-property): Register the handlers of
	"org.freedesktop.DBus.Properties" for SERVICE.
	(dbus-property-handler): Fix docstring.

2009-11-16  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* emacs-lisp/bytecomp.el (byte-compile-output-file-form):
	Quote doc string reference in defvaralias as it is not in special form.
	(byte-compile-output-docform): Doc fix.

2009-11-16  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (math-2-word-size, math-half-2-word-size)
	(calc-complement-signed-mode): New variables.
	(calc-set-mode-line): Add indicator for twos-complements.
	(math-format-number): Format twos-complement notation.

	* calc/calc-bin.el (calc-word-size): Reset the variables
	`math-2-word-size' and `math-half-2-word-size'.
	(math-format-complement-signed, math-symclip, calcFunc-symclip)
	(calc-symclip): New functions.

	* calc/calc-aent.el (math-read-token): Read complement signed numbers.

	* calc/calc-embed.el (calc-embedded-mode-vars):
	Add `calc-complement-signed-mode' to the list of modes.

	* calc/calc-map.el (calc-get-operator): Add `calc-symclip'.
	(calc-b-oper-keys): Add `calc-symclip' to list.

	* calc/calc-ext.el (math-read-number-fancy): Read complement
	signed numbers.
	(calc-init-extensions): Add binding for `calc-symclip'.
	Add autoload for `calcFunc-symclip' and `calc-symclip'.

	* calc/calc-menu.el (calc-arithmetic-menu): Add item for
	`calc-symclip'.
	(calc-modes-menu): Add item for twos complement mode.

	* calc/calc-help.el (calc-b-prefix-help): Add help for `calc-symclip'.

2009-11-15  Chong Yidong  <cyd@stupidchicken.com>

	* register.el (jump-to-register, insert-register): Handle Semantic
	tags.  From commented-out advice in semantic/senator.el.

2009-11-15  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-log-show-limit): New variable.
	(vc-print-log, vc-print-root-log): Add new argument LIMIT.  Set it
	when using a prefix argument.
	(vc-print-log-internal): Add new argument LIMIT.

	* vc-svn.el (vc-svn-print-log):
	* vc-mtn.el (vc-mtn-print-log):
	* vc-hg.el (vc-hg-print-log):
	* vc-bzr.el (vc-bzr-print-log): Add new optional argument LIMIT,
	pass it to the log command when set.  Make the BUFFER argument
	non-optional.

	* vc-sccs.el (vc-sccs-print-log):
	* vc-rcs.el (vc-rcs-print-log):
	* vc-git.el (vc-git-print-log):
	* vc-cvs.el (vc-cvs-print-log): Add new optional argument LIMIT,
	ignore it.  Make the BUFFER argument non-optional

	* bindings.el (mode-line-buffer-identification): Do not purecopy.

2009-11-15  Chong Yidong  <cyd@stupidchicken.com>

	* dired.el (dired-mode-map): Move encryption items to "Operate"
	menu (Bug#4703).

	* strokes.el (strokes-update-window-configuration): Make strokes
	buffer current before erasing (Bug#4906).

2009-11-15  Juri Linkov  <juri@jurta.org>

	* simple.el (set-mark-default-inactive): Add :type, :group
	and :version.  (Bug#4876)

2009-11-15  Michael Albinus  <michael.albinus@gmx.de>

	* arc-mode.el (archive-maybe-copy): Move creation of directory ...
	(archive-unique-fname): ... here.  (Bug#4929)

2009-11-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* help-mode.el (help-make-xrefs): Undo the last revert, and replace it
	with a real fix.

	* novice.el (disabled-command-function): Add useful args.
	Setup the help buffer so that [back] works.
	Remove redundant call to help-mode.
	(disabled-command-function): Use `case'.
	(en/disable-command): New function extracted from enable-command.
	(enable-command, disable-command): Use it.

2009-11-14  Glenn Morris  <rgm@gnu.org>

	* menu-bar.el (menu-bar-tools-menu): Read and send mail entries are not
	constants.  (Bug#4913)

	* emacs-lisp/elint.el (elint-standard-variables): Doc fix.

2009-11-14  Shigeru Fukaya  <shigeru.fukaya@gmail.com>

	* emacs-lisp/elint.el (elint-standard-variables): Add some variables
	defined in C that have no doc-strings.  (Bug#1063)

2009-11-14  Francis Wright  <F.J.Wright@qmul.ac.uk>

	* cus-edit.el (data, files):
	* ps-print.el (postscript): Doc fixes for custom groups.  (Bug#3327)

2009-11-14  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (shell-command): Doc fix (Bug#4891).

	* help-mode.el (help-make-xrefs): Revert 2009-11-13 change.

2009-11-14  Glenn Morris  <rgm@gnu.org>

	* emulation/viper.el (viper-set-hooks): Remove duplicate advice
	statements for vc-diff, emerge-quit, and rmail-cease-edit.
	If they are already loaded, eval-after-load will do the right thing.

	* speedbar.el (top-level): Remove unnecessary load of ange-ftp when
	compiling.

	* emacs-lisp/bytecomp.el (byte-compile-single-version): Remove, unused.

	* simple.el (x-selection-owner-p): Declare.
	(read-mail-command): Use custom radio type rather than choice.
	(completion-no-auto-exit): Doc fix.

	* custom.el (defgroup):
	* epg-config.el (epg): Doc fixes.

2009-11-14  Dan Nicolaescu  <dann@ics.uci.edu>

	* bindings.el (mode-line-buffer-identification): Purecopy only the string.
	* international/ccl.el (define-ccl-program): Do not purecopy the
	docstring, defconst does it anyway.

2009-11-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* add-log.el (add-change-log-entry): Avoid displaying the changelog
	a second time.

	* x-dnd.el (x-dnd-maybe-call-test-function):
	* window.el (split-window-vertically):
	* whitespace.el (whitespace-help-on):
	* vc-rcs.el (vc-rcs-consult-headers):
	* userlock.el (ask-user-about-lock-help)
	(ask-user-about-supersession-help):
	* type-break.el (type-break-force-mode-line-update):
	* time-stamp.el (time-stamp-conv-warn):
	* terminal.el (te-set-output-log, te-more-break, te-filter)
	(te-sentinel, terminal-emulator):
	* term.el (make-term, term-exec, term-sentinel, term-read-input-ring)
	(term-write-input-ring, term-check-source, term-start-output-log):
	(term-display-buffer-line, term-dynamic-list-completions):
	(term-ansi-make-term, serial-term):
	* subr.el (selective-display):
	* strokes.el (strokes-xpm-to-compressed-string, strokes-decode-buffer)
	(strokes-encode-buffer, strokes-xpm-for-compressed-string):
	* speedbar.el (speedbar-buffers-tail-notes, speedbar-buffers-item-info)
	(speedbar-reconfigure-keymaps, speedbar-add-localized-speedbar-support)
	(speedbar-remove-localized-speedbar-support)
	(speedbar-set-mode-line-format, speedbar-create-tag-hierarchy)
	(speedbar-update-special-contents, speedbar-buffer-buttons-engine)
	(speedbar-buffers-line-directory):
	* simple.el (shell-command-on-region, append-to-buffer)
	(prepend-to-buffer):
	* shadowfile.el (shadow-save-todo-file):
	* scroll-bar.el (scroll-bar-set-window-start, scroll-bar-drag-1)
	(scroll-bar-maybe-set-window-start):
	* sb-image.el (speedbar-image-dump):
	* saveplace.el (save-place-alist-to-file, save-places-to-alist)
	(load-save-place-alist-from-file):
	* ps-samp.el (ps-print-message-from-summary):
	* ps-print.el (ps-flush-output, ps-insert-file, ps-get-boundingbox)
	(ps-background-image, ps-begin-job, ps-do-despool):
	* ps-bdf.el (bdf-find-file, bdf-read-font-info):
	* printing.el (pr-interface, pr-ps-file-print, pr-find-buffer-visiting)
	(pr-ps-message-from-summary, pr-lpr-message-from-summary):
	(pr-call-process, pr-file-list, pr-interface-save):
	* novice.el (disabled-command-function)
	(enable-command, disable-command):
	* mouse.el (mouse-buffer-menu-alist):
	* mouse-copy.el (mouse-kill-preserving-secondary):
	* macros.el (kbd-macro-query):
	* ledit.el (ledit-go-to-lisp, ledit-go-to-liszt):
	* informat.el (batch-info-validate):
	* ido.el (ido-copy-current-word, ido-initiate-auto-merge):
	* hippie-exp.el (try-expand-dabbrev-visible):
	* help-mode.el (help-make-xrefs):
	* help-fns.el (describe-variable):
	* generic-x.el (bat-generic-mode-run-as-comint):
	* finder.el (finder-mouse-select):
	* find-dired.el (find-dired-sentinel):
	* filesets.el (filesets-file-close):
	* files.el (list-directory):
	* faces.el (list-faces-display, describe-face):
	* facemenu.el (list-colors-display):
	* ezimage.el (ezimage-image-association-dump, ezimage-image-dump):
	* epg.el (epg--process-filter, epg-cancel):
	* epa.el (epa--marked-keys, epa--select-keys, epa-display-info)
	(epa--read-signature-type):
	* emerge.el (emerge-copy-as-kill-A, emerge-copy-as-kill-B)
	(emerge-file-names):
	* ehelp.el (electric-helpify):
	* ediff.el (ediff-regions-wordwise, ediff-regions-linewise):
	* ediff-vers.el (rcs-ediff-view-revision):
	* ediff-util.el (ediff-setup):
	* ediff-mult.el (ediff-append-custom-diff):
	* ediff-diff.el (ediff-exec-process, ediff-process-sentinel)
	(ediff-wordify):
	* echistory.el (Electric-command-history-redo-expression):
	* dos-w32.el (find-file-not-found-set-buffer-file-coding-system):
	* disp-table.el (describe-display-table):
	* dired.el (dired-find-buffer-nocreate):
	* dired-aux.el (dired-rename-subdir, dired-dwim-target-directory):
	* dabbrev.el (dabbrev--same-major-mode-p):
	* chistory.el (list-command-history):
	* apropos.el (apropos-documentation):
	* allout.el (allout-obtain-passphrase):
	(allout-copy-exposed-to-buffer):
	(allout-verify-passphrase): Use with-current-buffer.

2009-11-13  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (ELCFILES): Regenerate.

2009-11-13  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-registered-objects-table): Rename from
	`dbus-registered-functions-table', because it contains also properties.
	(dbus-unregister-object): Unregister also properties.
	(dbus-get-property, dbus-set-property, dbus-get-all-properties):
	Use a timeout of 500 msec, in order to not block.
	(dbus-register-property, dbus-property-handler): New defuns.

2009-11-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (minibuffer-default-add-completions): Drop deprecated
	4th arg.

2009-11-13  Tomas Abrahamsson  <tab@lysator.liu.se>

	* textmodes/artist.el (artist-mouse-choose-operation):
	Call `tmm-prompt' instead of `x-popup-menu' if we cannot popup
	menus.  Bug noticed by Eli Zaretskii <eliz@gnu.org>.
	(artist-compute-up-event-key): New function.
	(artist-mouse-choose-operation, artist-down-mouse-1): Call it.

2009-11-13  Kenichi Handa  <handa@m17n.org>

	* language/japan-util.el: Make sure that the value of jisx0208
	property is jisx0208 character.

2009-11-13  Dan Nicolaescu  <dann@ics.uci.edu>

	* international/mule.el (auto-coding-regexp-alist): Only purecopy
	car or each item, not the whole list.

2009-11-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (minibuffer-completion-help):
	Use minibuffer-hide-completions.

2009-11-12  Per Starbäck  <per@starback.se>  (tiny change)

	* dired.el (dired-save-positions, dired-restore-positions): New funs.
	(dired-revert): Use them (bug#4880).

2009-11-12  Dan Nicolaescu  <dann@ics.uci.edu>

	* tooltip.el (tooltip-frame-parameters): Undo previous change.

2009-11-12  Juri Linkov  <juri@jurta.org>

	* ffap.el (ffap-alternate-file-other-window, ffap-literally):
	New functions.
	(find-file-literally-at-point): Alias of `ffap-literally'.

2009-11-12  Dan Nicolaescu  <dann@ics.uci.edu>

	* textmodes/ispell.el (ispell-skip-region-alist):
	* textmodes/css-mode.el (auto-mode-alist):
	* progmodes/compile.el (auto-mode-alist):
	* international/mule.el (ctext-non-standard-encodings-alist)
	(ctext-non-standard-encodings-regexp):
	* simple.el (shell-command-switch, text-read-only):
	* replace.el (occur-mode-map):
	* paths.el (rmail-file-name):
	* jka-cmpr-hook.el (jka-compr-build-file-regexp):
	* find-file.el (ff-special-constructs):
	* files.el (file-name-handler-alist):
	* composite.el: Purecopy strings.

	* emacs-lisp/cl-macs.el (define-compiler-macro): Purecopy the file name.

2009-11-11  Dan Nicolaescu  <dann@ics.uci.edu>

	* widget.el (define-widget): Purecopy the docstring.
	* international/mule-cmds.el (charset): Do not purecopy the
	docstring here, define-widget does it.

	* textmodes/texinfo.el (texinfo-open-quote, texinfo-close-quote):
	* textmodes/bibtex-style.el (auto-mode-alist):
	* progmodes/inf-lisp.el (inferior-lisp-prompt):
	* progmodes/compile.el (compile-command):
	* language/korea-util.el (default-korean-keyboard):
	* international/mule-conf.el (file-coding-system-alist):
	* emacs-lisp/eldoc.el (eldoc-minor-mode-string):
	* tooltip.el (tooltip-frame-parameters):
	* newcomment.el (comment-end, comment-padding):
	* dired.el (dired-trivial-filenames):
	* comint.el (comint-file-name-prefix): Purecopy initial values.

2009-11-11  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-advice-minibuffer-electric-separator)
	(tramp-advice-minibuffer-electric-tilde): Unload advices via
	`tramp-unload'.
	(tramp-advice-make-auto-save-file-name)
	(tramp-advice-file-expand-wildcards): Apply also `ad-activate'
	after removing the advice.

2009-11-11  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/grep.el (grep-regexp-alist):
	* international/mule-cmds.el (iso-2022-control-alist):
	* emacs-lisp/timer.el (timer-duration-words):
	* subr.el (version-separator, version-regexp-alist):
	* minibuffer.el (completion-styles-alist):
	* faces.el (face-attribute-name-alist, list-faces-sample-text):
	Change defvars to defconsts.

	* Makefile.in (ELCFILES): Add international/mule-conf.elc.
	* loadup.el ("international/mule-conf"): Load the byte compiled version.
	* international/mule-conf.el: Allow to be byte compiled.

	* international/mule.el (define-charset): Purecopy props.
	(load-with-code-conversion): Purecopy doc string and file name.
	(put-charset-property): Purecopy strings.
	(auto-coding-alist, auto-coding-regexp-alist): Purecopy initial value.

	* international/mule-cmds.el (register-input-method): Purecopy arguments.
	(define-char-code-property): Correctly purecopy the table.

	* international/ccl.el (define-ccl-program): Purecopy the docstring.

	* emacs-lisp/easy-mmode.el (define-minor-mode): Purecopy :lighter.

	* subr.el (add-hook): Purecopy strings.
	(eval-after-load): Purecopy load-history-regexp and the form.

	* custom.el (custom-declare-group): Purecopy load-file-name.

	* subr.el (menu-bar-separator): New defconst.
	* net/eudc.el (eudc-tools-menu):
	* international/mule-cmds.el (set-coding-system-map)
	(mule-menu-keymap):
	* emacs-lisp/lisp-mode.el (emacs-lisp-mode-map):
	* vc-hooks.el (vc-menu-map):
	* replace.el (occur-mode-map):
	* menu-bar.el (menu-bar-file-menu, menu-bar-search-menu)
	(menu-bar-edit-menu, menu-bar-goto-menu)
	(menu-bar-custom-menu, menu-bar-showhide-menu)
	(menu-bar-options-menu, menu-bar-tools-menu)
	(menu-bar-encryption-decryption-menu, menu-bar-describe-menu)
	(menu-bar-search-documentation-menu, menu-bar-manuals-menu)
	(menu-bar-help-menu):
	* ediff-hook.el (menu-bar-ediff-menu, menu-bar-ediff-merge-menu):
	* buff-menu.el (Buffer-menu-mode-map): Use menu-bar-separator.

	* term/x-win.el (x-gtk-stock-map):
	* progmodes/vera-mode.el (auto-mode-alist):
	* progmodes/inf-lisp.el (inferior-lisp-filter-regexp)
	(inferior-lisp-program, inferior-lisp-load-command):
	* progmodes/hideshow.el (hs-special-modes-alist):
	* progmodes/gud.el (same-window-regexps):
	* progmodes/grep.el (grep-program, find-program, xargs-program):
	* net/telnet.el (same-window-regexps):
	* net/rlogin.el (same-window-regexps):
	* language/ethiopic.el (font-ccl-encoder-alist):
	* vc-sccs.el (vc-sccs-master-templates):
	* vc-rcs.el (vc-rcs-master-templates):
	* subr.el (cl-assertion-failed):
	* simple.el (next-error-overlay-arrow-position):
	* lpr.el (lpr-command):
	* locate.el (locate-ls-subdir-switches):
	* info.el (same-window-regexps, info)
	(Info-goto-emacs-command-node, Info-goto-emacs-key-command-node):
	* image-mode.el (image-mode, auto-mode-alist):
	* hippie-exp.el (hippie-expand-ignore-buffers):
	* format.el (format-alist):
	* find-dired.el (find-ls-subdir-switches, find-grep-options)
	(find-name-arg):
	* facemenu.el (facemenu-keybindings):
	* dired.el (dired-listing-switches, dired-chown-program):
	* diff.el (diff-switches, diff-command):
	* cus-edit.el (same-window-regexps):
	* bindings.el (mode-line-mule-info)
	(mode-line-buffer-identification): Purecopy strings.

2009-11-11  Juri Linkov  <juri@jurta.org>

	* simple.el (dired-get-filename) <declare-function>:
	Tell the byte-compiler about dired-get-filename.
	(shell-command): In Dired mode, get filename from the current line
	as the default value.

2009-11-10  Glenn Morris  <rgm@gnu.org>

	* dired.el, hi-lock.el, calendar/cal-menu.el, calendar/calendar.el:
	* calendar/holidays.el, progmodes/cperl-mode.el:
	Update x-popup-menu declarations.

	* emacs-lisp/shadow.el (find-emacs-lisp-shadows)
	(list-load-path-shadows): Use dolist.
	(list-load-path-shadows): Use with-current-buffer.

2009-11-10  Juri Linkov  <juri@jurta.org>

	* minibuffer.el (read-file-name): Support a list of default values
	in `default-filename'.  Use the first file name where only one
	element is required.  Doc fix.

2009-11-09  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-unregister-object): Release service, if no
	other method is registered for it.

2009-11-08  Markus Rost  <rost@math.uni-bielefeld.de>

	* bookmark.el (bookmark-completing-read): Sort bookmark names if
	bookmark-sort-flag is non-nil (Bug#4653).

2009-11-08  Chong Yidong  <cyd@stupidchicken.com>

	* emulation/cua-base.el: Add CUA property to some CC mode commands
	(Bug#4100).

2009-11-08  Kevin Ryde  <user42@zip.com.au>

	* emacs-lisp/checkdoc.el (checkdoc-proper-noun-regexp): Match noun
	at end of sentence (Bug#4818).

2009-11-08  Jared Finder  <jfinder@crypticstudios.com>

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Handle "see declaration of" MSFT statements (Bug#4100).

2009-11-08  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-advice-make-auto-save-file-name)
	(tramp-advice-file-expand-wildcards): Unload via
	`ad-remove-advice'.

	* net/trampver.el: Update release number.

2009-11-08  Kevin Ryde  <user42@zip.com.au>

	* net/tramp.el (tramp-advice-file-expand-wildcards): Don't rely on
	`ad-do-it'.

2009-11-08  Andr  <m00naticus@gmail.com>  (tiny change)

	* net/tramp.el (tramp-handle-write-region): Copy but rename temp file,
	in order to keep context in SELinux.

2009-11-08  Chong Yidong  <cyd@stupidchicken.com>

	* dired-aux.el (dired-query): Place cursor in echo area and allow
	C-g.

	* dired.el (dired-mode-map): Disable dired-maybe-insert-subdir
	menu item if not on a directory (Bug#4701).

2009-11-07  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.1.17.

	* net/tramp.el (tramp-handle-copy-directory): Don't use
	`file-remote-p' (due to compatibility).

	* net/tramp-compat.el (tramp-compat-copy-directory)
	(tramp-compat-delete-directory): New defuns.

	* net/tramp-fish.el (tramp-fish-handle-delete-directory):
	* net/tramp-gvfs.el (tramp-gvfs-handle-delete-directory):
	Use `tramp-compat-delete-directory'.

	* net/tramp-smb.el (tramp-smb-handle-copy-directory)
	(tramp-smb-handle-delete-directory):
	Use `tramp-compat-copy-directory' and `tramp-compat-delete-directory'.

	* net/trampver.el: Update release number.

2009-11-07  Chong Yidong  <cyd@stupidchicken.com>

	* tar-mode.el (tar-copy): Call write-region on the right buffer
	(Bug#4857).

	* mail/rmailsum.el (rmail-summary-rmail-update): Call linum-update
	by hand, if necessary (Bug#4878).

2009-11-06  Chong Yidong  <cyd@stupidchicken.com>

	* buff-menu.el (Buffer-menu-buffer+size): Use display property to
	align size column (Bug#4839).

	* emacs-lisp/autoload.el (autoload-rubric): Always issue a provide
	statement.

2009-11-05  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/ld-script.el (auto-mode-alist):
	* vc-hooks.el (vc-directory-exclusion-list): Purecopy strings.

	* cus-face.el (custom-declare-face): Purecopy face spec.

2009-11-06  Kenichi Handa  <handa@m17n.org>

	* international/uni-bidi.el: Re-generated.
	* international/uni-category.el: Re-generated.
	* international/uni-combining.el: Re-generated.
	* international/uni-mirrored.el: Re-generated.

2009-11-05  Dan Nicolaescu  <dann@ics.uci.edu>

	* textmodes/tex-mode.el (tex-alt-dvi-print-command)
	(tex-dvi-print-command, tex-bibtex-command, tex-start-commands)
	(tex-start-options, slitex-run-command, latex-run-command)
	(tex-run-command, tex-directory):
	* textmodes/ispell.el (ispell-html-skip-alists)
	(ispell-tex-skip-alists, ispell-tex-skip-alists):
	* textmodes/fill.el (adaptive-fill-first-line-regexp):
	(adaptive-fill-regexp):
	* textmodes/dns-mode.el (auto-mode-alist):
	* progmodes/python.el (interpreter-mode-alist):
	* progmodes/etags.el (tags-compression-info-list):
	* progmodes/etags.el (tags-file-name):
	* net/browse-url.el (browse-url-galeon-program)
	(browse-url-firefox-program):
	* mail/sendmail.el (mail-signature-file)
	(mail-citation-prefix-regexp):
	* international/mule-conf.el (eight-bit):
	* international/latexenc.el (latex-inputenc-coding-alist):
	* international/fontset.el (x-pixel-size-width-font-regexp):
	* emacs-lisp/warnings.el (warning-type-format):
	* emacs-lisp/trace.el (trace-buffer):
	* emacs-lisp/lisp-mode.el (lisp-interaction-mode-map)
	(emacs-lisp-mode-map):
	* calendar/holidays.el (holiday-solar-holidays)
	(holiday-bahai-holidays, holiday-islamic-holidays)
	(holiday-christian-holidays, holiday-hebrew-holidays)
	(hebrew-holidays-4, hebrew-holidays-3, hebrew-holidays-2)
	(hebrew-holidays-1, holiday-oriental-holidays)
	(holiday-general-holidays):
	* x-dnd.el (x-dnd-known-types):
	* tool-bar.el (tool-bar):
	* startup.el (site-run-file):
	* shell.el (shell-dumb-shell-regexp):
	* rfn-eshadow.el (file-name-shadow-tty-properties)
	(file-name-shadow-properties):
	* paths.el (remote-shell-program, news-directory):
	* mouse.el ([C-down-mouse-3]):
	* menu-bar.el (menu-bar-tools-menu):
	* jka-cmpr-hook.el (jka-compr-load-suffixes)
	(jka-compr-mode-alist-additions, jka-compr-compression-info-list)
	(jka-compr-compression-info-list):
	* isearch.el (search-whitespace-regexp):
	* image-file.el (image-file-name-extensions):
	* find-dired.el (find-ls-option):
	* files.el (directory-listing-before-filename-regexp)
	(directory-free-space-args, insert-directory-program)
	(list-directory-brief-switches, magic-fallback-mode-alist)
	(magic-fallback-mode-alist, auto-mode-interpreter-regexp)
	(automount-dir-prefix):
	* faces.el (face-x-resources, x-font-regexp, x-font-regexp-head)
	(x-font-regexp-slant, x-font-regexp-weight, face-x-resources)
	(face-font-registry-alternatives, face-font-registry-alternatives)
	(face-font-family-alternatives):
	* facemenu.el (facemenu-add-new-face, facemenu-background-menu)
	(facemenu-foreground-menu, facemenu-face-menu):
	* epa-hook.el (epa-file-name-regexp):
	* dnd.el (dnd-protocol-alist):
	* textmodes/rst.el (auto-mode-alist):
	* button.el (default-button): Purecopy strings.

2009-11-06  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (ELCFILES): Update.

2009-11-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/lucid.el: Move to obsolete/lucid.el.
	* emacs-lisp/levents.el: Move to obsolete/levents.el.

	* nxml/xsd-regexp.el (xsdre-gen-categories):
	* nxml/xmltok.el (xmltok-parse-entity):
	* nxml/rng-parse.el (rng-parse-validate-file):
	* nxml/rng-maint.el (rng-format-manual)
	(rng-manual-output-force-new-line):
	* nxml/rng-loc.el (rng-save-schema-location-1):
	* nxml/rng-cmpct.el (rng-c-parse-file):
	* nxml/nxml-maint.el (nxml-insert-target-repertoire-glyph-set):
	* nxml/nxml-parse.el (nxml-parse-file): Use with-current-buffer.

2009-11-05  Wilson Snyder  <wsnyder@wsnyder.org>

	* progmodes/verilog-mode.el (verilog-getopt-file, verilog-set-define):
	Remove extra save-excursions and make-variable-buffer-local's.
	Suggested by Stefan Monnier.

	(verilog-getopt-file, verilog-module-inside-filename-p)
	(verilog-set-define): Merge GNU 1.35 and repair changes from
	switching to using with-current-buffer.

	(verilog-read-always-signals-recurse): Fix "a == 2'b00 ? b : c"
	being treated as a number and confusing AUTORESET.
	Reported by Dan Dever.

	(verilog-auto-ignore-concat, verilog-read-sub-decls-expr):
	Add verilog-auto-ignore-concat to fix backward compatibility with
	older verilog-modes.  Reported by Dan Katz.

	(verilog-read-auto-template): Fix AUTO_TEMPLATEs with regexps
	containing closing anchors "...$".

	(verilog-read-decls): Fix AUTOREG not detecting "assign {a,b}".
	Reported by Wade Smith.

	(verilog-batch-execute-func): Comment on function usage.

2009-11-05  Michael McNamara  <mac@mail.brushroad.com>

	* progmodes/verilog-mode.el (verilog-label-re): Fix regular expression
	for labels.

	(verilog-label-re, verilog-calc-1): Support proper indent of named
	asserts.

	(verilog-backward-token, verilog-basic-complete-re)
	(verilog-beg-of-statement, verilog-indent-re): Support proper
	indent of the assert statement at the beginning of a block of text.

	(verilog-beg-block-re, verilog-ovm-begin-re): Support the
	`ovm_object_param_utils_begin and `ovm_component_param_utils_begin
	tokens as begins.

2009-11-05  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-insert-header): Drop test for
	Emacs 19.  (Bug#1531)
	(byte-compile-fix-header): Update for the above change.
	Drop test for epoch::version.

	* emacs-lisp/autoload.el (autoload-rubric): Add optional feature arg.
	* cus-dep.el (custom-make-dependencies):
	* finder.el (finder-compile-keywords):
	Use autoload-rubric's feature argument.

	* calendar/diary-lib.el (top-level): Make load behave more like require.

	* vc-git.el (vc-git-stash-map): Move definition before use.

2009-11-04  Dan Nicolaescu  <dann@ics.uci.edu>

	* custom.el (custom-declare-group): Purecopy standard-value.
	(custom-declare-group): Purecopy custom-prefix.

	* international/mule.el (load-with-code-conversion):
	Call do-after-load-evaluation unconditionally.

	* emacs-lisp/bytecomp.el (byte-compile-output-file-form): Handle defvaralias.

2009-11-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* descr-text.el: Require help-mode rather than help-fns (bug#4861).

2009-11-04  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-version-cond): Remove macro.
	(byte-compile-compatibility): Remove option.
	(byte-compile-close-variables, byte-compile-fix-header)
	(byte-compile-insert-header, byte-compile-output-docform)
	(byte-compile-file-form-defmumble, byte-compile-byte-code-maker)
	(byte-compile-lambda, byte-compile-form, byte-defop-compiler19)
	(byte-compile-list, byte-compile-concat, byte-compile-function-form)
	(byte-compile-insert, byte-compile-defun):
	Remove support for byte-compile-compatibility and Emacs 18.  (Bug#4571)
	(byte-defop-compiler19): Remove.
	Without byte-compile-compatibility, the 'emacs19-opcode property is not
	used by anything.  Replace all calls with byte-defop-compiler.

2009-11-04  Juri Linkov  <juri@jurta.org>

	* menu-bar.el (menu-bar-make-mm-toggle): Quote each element of `props'.
	(menu-bar-options-menu): Don't quote the `prop' arg of
	`menu-bar-make-mm-toggle'.

2009-11-04  Juanma Barranquero  <lekktu@gmail.com>

	* calendar/calendar.el (cal-loaddefs):
	* calendar/diary-lib.el (diary-loaddefs):
	* calendar/holidays.el (hol-loaddefs):
	* eshell/esh-module.el (esh-groups): Load rather than require.

2009-11-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* calendar/todo-mode.el (todo-add-category): Don't hardcode
	point-min==1.
	(todo-top-priorities): Only display-buffer when called interactively.
	(todo-item-start): Don't save excursion point.
	(todo-item-end): Be slightly more careful.  Add `include-sep' arg.
	(todo-insert-item-here, todo-file-item, todo-remove-item):
	Adjust uses of todo-item-start and todo-item-end.

	* emacs-lisp/autoload.el (generated-autoload-feature): Remove.
	(autoload-rubric): Don't use any more.

	* emacs-lisp/byte-run.el (define-obsolete-variable-alias): Use dolist,
	and only put a prop if it is non-nil.

2009-11-03  Juri Linkov  <juri@jurta.org>

	* menu-bar.el (menu-bar-make-mm-toggle, menu-bar-make-toggle)
	(menu-bar-options-menu): Fix list quoting (Bug#4429).

	* buff-menu.el (Buffer-menu-mode-map): Add hyphen between "Buffer"
	and "Menu" to make top-level menu item visually one unit (like
	it's done for "Lisp-Interaction", "Emacs-Lisp" and other
	multi-word menu items).  Fix :help string for quit-window.

2009-11-03  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-file-form-defvar)
	(byte-compile-file-form-define-abbrev-table)
	(byte-compile-file-form-custom-declare-variable)
	(byte-compile-variable-ref, byte-compile-defvar):
	Whether or not a warning is enabled should only affect whether we issue
	the warning, not whether or not we collect the relevant data.
	Eg warnings can be turned on and off throughout the course of a file.

	* eshell/esh-mode.el (ansi-color-apply-on-region): Autoload it...
	(eshell-handle-ansi-color): ... Rather than requiring ansi-color.

2009-11-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* term/ns-win.el (ns-scroll-bar-move, ns-face-at-pos):
	* play/mpuz.el (mpuz-create-buffer):
	* play/landmark.el (lm-prompt-for-move, lm-print-wts, lm-print-smell)
	(lm-print-y,s,noise, lm-print-w0, lm-init):
	* play/gomoku.el (gomoku-prompt-for-move):
	* play/fortune.el (fortune-in-buffer):
	* play/dissociate.el (dissociated-press):
	* play/decipher.el (decipher-adjacency-list, decipher-display-regexp)
	(decipher-analyze-buffer, decipher-stats-buffer, decipher-stats-buffer):
	* mail/supercite.el (sc-eref-show):
	* mail/smtpmail.el (smtpmail-send-it):
	* mail/rmailsum.el (rmail-summary-next-labeled-message)
	(rmail-summary-previous-labeled-message, rmail-summary-wipe)
	(rmail-summary-undelete-many, rmail-summary-rmail-update)
	(rmail-summary-goto-msg, rmail-summary-expunge)
	(rmail-summary-get-new-mail, rmail-summary-search-backward)
	(rmail-summary-add-label, rmail-summary-output-menu)
	(rmail-summary-output-body):
	* mail/rfc822.el (rfc822-addresses):
	* mail/reporter.el (reporter-dump-variable, reporter-dump-state):
	* mail/mailpost.el (post-mail-send-it):
	* mail/hashcash.el (hashcash-generate-payment):
	* mail/feedmail.el (feedmail-run-the-queue)
	(feedmail-queue-send-edit-prompt-help-first)
	(feedmail-send-it-immediately, feedmail-give-it-to-buffer-eater)
	(feedmail-deduce-address-list):
	* eshell/esh-ext.el (eshell-remote-command):
	* eshell/em-unix.el (eshell-occur-mode-mouse-goto):
	* emulation/viper-util.el (viper-glob-unix-files, viper-save-setting)
	(viper-wildcard-to-regexp, viper-glob-mswindows-files)
	(viper-save-string-in-file, viper-valid-marker):
	* emulation/viper-keym.el (viper-toggle-key):
	* emulation/viper-ex.el (ex-expand-filsyms, viper-get-ex-file)
	(ex-edit, ex-global, ex-mark, ex-next-related-buffer, ex-quit)
	(ex-get-inline-cmd-args, ex-tag, ex-command, ex-compile):
	* emulation/viper-cmd.el (viper-exec-form-in-vi)
	(viper-exec-form-in-emacs, viper-brac-function):
	* emulation/viper.el (viper-delocalize-var):
	* emulation/vip.el (vip-mode, vip-get-ex-token, vip-ex, vip-get-ex-pat)
	(vip-get-ex-command, vip-get-ex-opt-gc, vip-get-ex-buffer)
	(vip-get-ex-count, vip-get-ex-file, ex-edit, ex-global, ex-mark)
	(ex-map, ex-unmap, ex-quit, ex-read, ex-tag, ex-command):
	* emulation/vi.el (vi-switch-mode, vi-ex-cmd):
	* emulation/edt.el (edt-electric-helpify):
	* emulation/cua-rect.el (cua--rectangle-aux-replace):
	* emulation/cua-gmrk.el (cua--insert-at-global-mark)
	(cua--delete-at-global-mark, cua--copy-rectangle-to-global-mark)
	(cua-indent-to-global-mark-column):
	* calendar/diary-lib.el (calendar-mark-1):
	* calendar/cal-hebrew.el (calendar-hebrew-mark-date-pattern):
	Use with-current-buffer.
	* emulation/viper.el (viper-delocalize-var): Use dolist.

2009-11-03  Chong Yidong  <cyd@stupidchicken.com>

	* comint.el (comint-replace-by-expanded-history-before-point):
	Replace !! with the previous input string literally (Bug#1795).

2009-11-02  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-forms.el (calc-date-notation): Allow a "blank string"
	to be made up of whitespace.

2009-11-02  Chong Yidong  <cyd@stupidchicken.com>

	* minibuffer.el (read-file-name): Don't use file dialogs for
	remote directories (Bug#99).

2009-11-01  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/sh-script.el (sh-font-lock-paren): Fix last change.

2009-11-01  Andreas Schwab  <schwab@linux-m68k.org>

	* view.el (view-mode-exit): If OLD-BUF is dead bury the buffer
	instead of deleting the window or frame.

2009-10-31  Chong Yidong  <cyd@stupidchicken.com>

	* textmodes/sgml-mode.el (sgml-mode-facemenu-add-face-function):
	Support face colors.

	* textmodes/tex-mode.el (tex-facemenu-add-face-function):
	New function.  Support face colors (Bug#1168).
	(tex-common-initialization): Use it.

	* facemenu.el (facemenu-enable-faces-p): Enable facemenu if the
	mode allows it (Bug#1168).

2009-10-31  Juri Linkov  <juri@jurta.org>

	* facemenu.el (list-colors-display): Don't mark buffer as
	modified (Bug#3948).

2009-10-31  Chong Yidong  <cyd@stupidchicken.com>

	* international/mule-diag.el (list-character-sets-1):
	Minor message fix (Bug#3526).

	* progmodes/etags.el (etags-list-tags, etags-tags-apropos):
	Fix face property (Bug#4834).
	(etags-list-tags, etags-tags-apropos-additional)
	(etags-tags-apropos, tags-select-tags-table): Add follow-link
	property.

	* menu-bar.el (menu-bar-tools-menu): Add Semantic and EDE menu
	items.

2009-10-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/two-column.el (2C-split):
	* textmodes/texnfo-upd.el (texinfo-multi-file-included-list):
	* textmodes/tex-mode.el (tex-set-buffer-directory):
	* textmodes/spell.el (spell-region, spell-string):
	* textmodes/reftex.el (reftex-erase-buffer):
	(reftex-get-file-buffer-force, reftex-kill-temporary-buffers):
	* textmodes/reftex-toc.el (reftex-toc-promote-action):
	* textmodes/reftex-sel.el (reftex-get-offset, reftex-insert-docstruct)
	(reftex-select-item):
	* textmodes/reftex-ref.el (reftex-label-info-update)
	(reftex-offer-label-menu):
	* textmodes/reftex-index.el (reftex-index-change-entry)
	(reftex-index-phrases-info):
	* textmodes/reftex-global.el (reftex-create-tags-file)
	(reftex-save-all-document-buffers, reftex-ensure-write-access):
	* textmodes/reftex-dcr.el (reftex-echo-ref, reftex-echo-cite)
	(reftex-view-crossref-from-bibtex):
	* textmodes/reftex-cite.el (reftex-bibtex-selection-callback)
	(reftex-extract-bib-entries-from-thebibliography)
	(reftex-all-used-citation-keys, reftex-create-bibtex-file):
	* textmodes/refbib.el (r2b-capitalize-title):
	(r2b-convert-buffer, r2b-help):
	* textmodes/page-ext.el (pages-directory)
	(pages-directory-goto-with-mouse):
	* textmodes/bibtex.el (bibtex-validate-globally):
	* textmodes/bib-mode.el (bib-capitalize-title):
	* textmodes/artist.el (artist-clear-buffer, artist-system):
	* progmodes/xscheme.el (global-set-scheme-interaction-buffer):
	(local-set-scheme-interaction-buffer, xscheme-process-filter)
	(verify-xscheme-buffer, xscheme-enter-interaction-mode)
	(xscheme-enter-debugger-mode, xscheme-debugger-mode-p)
	(xscheme-send-control-g-interrupt, xscheme-start-process)
	(xscheme-process-sentinel, xscheme-cd):
	* progmodes/verilog-mode.el (verilog-read-always-signals)
	(verilog-set-define, verilog-getopt-file)
	(verilog-module-inside-filename-p):
	* progmodes/sh-script.el:
	* progmodes/python.el (python-pdbtrack-get-source-buffer)
	(python-pdbtrack-grub-for-buffer, python-execute-file):
	* progmodes/octave-inf.el (inferior-octave):
	* progmodes/idlwave.el (idlwave-scan-user-lib-files)
	(idlwave-shell-compile-helper-routines, idlwave-set-local)
	(idlwave-display-completion-list-xemacs, idlwave-list-abbrevs)
	(idlwave-display-completion-list-emacs, idlwave-list-load-path-shadows)
	(idlwave-completion-fontify-classes, idlwave-display-calling-sequence):
	* progmodes/idlw-shell.el (idlwave-shell-examine-display-clear)
	(idlwave-shell-filter, idlwave-shell-examine-highlight)
	(idlwave-shell-sentinel, idlwave-shell-filter-directory)
	(idlwave-shell-display-line, idlwave-shell-set-bp-in-module)
	(idlwave-shell-examine-display, idlwave-shell-run-region)
	(idlwave-shell-filter-bp, idlwave-shell-save-and-action)
	(idlwave-shell-sources-filter, idlwave-shell-goto-next-error):
	* progmodes/idlw-help.el (idlwave-help-get-special-help)
	(idlwave-help-get-help-buffer):
	* progmodes/gud.el (gud-basic-call, gud-find-class)
	(gud-tooltip-activate-mouse-motions-if-enabled):
	* progmodes/gdb-mi.el (gdb-mouse-toggle-breakpoint-fringe):
	* progmodes/ebrowse.el (ebrowse-member-table, ebrowse-save-tree-as)
	(ebrowse-view-exit-fn, ebrowse-tags-list-members-in-file)
	(ebrowse-tags-next-file):
	* progmodes/ebnf2ps.el (ebnf-generate-eps, ebnf-generate-eps)
	(ebnf-eps-production-list, ebnf-begin-file, ebnf-log)
	(ebnf-eps-finish-and-write):
	* progmodes/cpp.el (cpp-edit-save):
	* progmodes/cperl-mode.el (cperl-pod-to-manpage):
	* progmodes/cc-defs.el (c-emacs-features):
	* progmodes/antlr-mode.el (antlr-invalidate-context-cache)
	(antlr-directory-dependencies):
	* progmodes/ada-xref.el (ada-gnat-parse-gpr, ada-get-ali-file-name)
	(ada-run-application, ada-find-in-src-path, ada-goto-parent)
	(ada-find-any-references, ada-make-filename-from-adaname)
	(ada-make-body-gnatstub):
	* obsolete/rnews.el (news-list-news-groups):
	* obsolete/resume.el (resume-suspend-hook, resume-write-buffer-to-file):
	* obsolete/iso-acc.el (iso-acc-minibuf-setup):
	* net/rcirc.el (rcirc-debug):
	* net/newst-treeview.el (newsticker--treeview-list-add-item)
	(newsticker--treeview-list-clear, newsticker-treeview-browse-url)
	(newsticker--treeview-list-update-faces, newsticker-treeview-save)
	(newsticker--treeview-item-show-text, newsticker--treeview-item-show)
	(newsticker--treeview-tree-update-tag, newsticker--treeview-buffer-init)
	(newsticker-treeview-show-item, newsticker--treeview-unfold-node)
	(newsticker--treeview-list-clear-highlight)
	(newsticker--treeview-list-update-highlight)
	(newsticker--treeview-list-highlight-start)
	(newsticker--treeview-tree-update-highlight)
	(newsticker--treeview-get-selected-item)
	(newsticker-treeview-mark-list-items-old)
	(newsticker--treeview-set-current-node):
	* net/newst-plainview.el (newsticker--buffer-set-uptodate):
	* net/newst-backend.el (newsticker--get-news-by-funcall)
	(newsticker--get-news-by-wget, newsticker--image-get)
	(newsticker--image-sentinel):
	* net/mairix.el (mairix-rmail-fetch-field, mairix-gnus-fetch-field):
	* net/eudcb-ph.el (eudc-ph-do-request, eudc-ph-open-session):
	(eudc-ph-close-session):
	* net/eudc.el (eudc-save-options):
	* language/thai-word.el (thai-update-word-table):
	* language/japan-util.el (japanese-string-conversion):
	* international/titdic-cnv.el (tsang-quick-converter)
	(ziranma-converter, ctlau-converter):
	* international/mule-cmds.el (describe-language-environment):
	* international/ja-dic-cnv.el (skkdic-convert-okuri-ari)
	(skkdic-convert-postfix, skkdic-convert-prefix):
	(skkdic-convert-okuri-nasi, skkdic-convert):
	* emacs-lisp/re-builder.el (reb-update-overlays):
	* emacs-lisp/pp.el (pp-to-string, pp-display-expression):
	* emacs-lisp/gulp.el (gulp-send-requests):
	* emacs-lisp/find-gc.el (trace-call-tree):
	* emacs-lisp/eieio-opt.el (eieio-browse, eieio-describe-class)
	(eieio-describe-generic):
	* emacs-lisp/eieio-base.el (eieio-persistent-read):
	* emacs-lisp/edebug.el (edebug-outside-excursion):
	* emacs-lisp/debug.el (debugger-make-xrefs):
	* emacs-lisp/cust-print.el (custom-prin1-to-string):
	* emacs-lisp/chart.el (chart-new-buffer):
	* emacs-lisp/authors.el (authors-scan-el, authors-scan-change-log):
	Use with-current-buffer.
	* textmodes/artist.el (artist-system): Don't call
	copy-sequence on a fresh string.
	* progmodes/idlw-shell.el (easymenu setup): Use dolist.

2009-10-31  Stephen Berman  <stephen.berman@gmx.net>

	* calendar/todo-mode.el (todo-edit-item): Signal an error if there
	is no item to edit.  (Bug#4820)
	(todo-top-priorities): Restore point and restore narrowing in Todo
	buffer.  (Bug#4820)

2009-10-31  Glenn Morris  <rgm@gnu.org>

	* net/ange-ftp.el (top-level): Don't require dired when compiling.
	(comint-last-output-start, comint-last-input-start)
	(comint-last-input-end): Don't defvar when compiling.
	(ange-ftp-process-file): Use bound-and-true-p.

	* pcmpl-rpm.el (top-level): Move provide statement to end.
	(pcmpl-rpm): Remove unused custom group.

	* pcmpl-gnu.el (tar-parse-info, tar-header-name): Declare for compiler.

	* mail/emacsbug.el (report-emacs-bug): Request `emacs -Q' recipes.

	* emacs-lisp/bytecomp.el (byte-compile-warning-types)
	(byte-compile-warnings): Add `constants' as an option.
	(byte-compile-callargs-warn, byte-compile-arglist-warn)
	(display-call-tree): Update for byte-compile-fdefinition possibly
	returning `(macro lambda ...)'.  (Bug#4778)
	(byte-compile-variable-ref, byte-compile-setq-default):
	Respect `constants' member of byte-compile-warnings.

2009-10-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-bzr.el (vc-bzr-revision-keywords): New var.
	(vc-bzr-revision-completion-table): Use it to fix completion of "s:"
	to "submit:".

2009-10-30  Dan Nicolaescu  <dann@ics.uci.edu>

	* textmodes/ispell.el (ispell-skip-region-alist):
	* international/mule-conf.el (eight-bit):
	* international/fontset.el (font-encoding-alist):
	* startup.el (pure-space-overflow-message):
	* simple.el (overwrite-mode-textual, overwrite-mode-binary):
	* paths.el (gnus-nntp-service, rmail-spool-directory)
	(term-file-prefix):
	* files.el (save-some-buffers-action-alist):
	* cmuscheme.el (same-window-buffer-names):
	* ielm.el (same-window-buffer-names):
	* shell.el (same-window-buffer-names):
	* mail/sendmail.el (same-window-buffer-names):
	* progmodes/inf-lisp.el (same-window-buffer-names):
	* bindings.el (mode-line-client)
	(mode-line-column-line-number-mode-map):
	* language/tibetan.el (tibetan-precomposition-rule-regexp)
	(tibetan-precomposed-regexp): Purecopy string arguments.

2009-10-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* calc/calc.el (calc, calc-refresh, calc-trail-buffer, calc-record)
	(calcDigit-nondigit):
	* calc/calc-yank.el (calc-copy-to-buffer):
	* calc/calc-units.el (calc-invalidate-units-table):
	* calc/calc-trail.el (calc-trail-yank):
	* calc/calc-store.el (calc-insert-variables):
	* calc/calc-rewr.el (math-rewrite, math-rewrite-phase):
	* calc/calc-prog.el (calc-read-parse-table):
	* calc/calc-keypd.el (calc-do-keypad, calc-keypad-right-click):
	* calc/calc-help.el (calc-describe-bindings, calc-describe-key):
	* calc/calc-graph.el (calc-graph-delete, calc-graph-add-curve)
	(calc-graph-juggle, calc-graph-count-curves, calc-graph-plot)
	(calc-graph-plot, calc-graph-format-data, calc-graph-set-styles)
	(calc-graph-name, calc-graph-find-command, calc-graph-view)
	(calc-graph-view, calc-gnuplot-command, calc-graph-init):
	* calc/calc-ext.el (calc-realign):
	* calc/calc-embed.el (calc-do-embedded, calc-do-embedded)
	(calc-embedded-finish-edit, calc-embedded-make-info)
	(calc-embedded-finish-command, calc-embedded-stack-change):
	* calc/calc-aent.el (calcAlg-enter): Use with-current-buffer.

	* pcomplete.el (pcomplete-comint-setup): If there's a choice, replace
	shell-dynamic-complete-filename in preference to
	comint-dynamic-complete-filename.

	* bookmark.el (bookmark-insert-location, bookmark-bmenu-list)
	(bookmark-bmenu-show-filenames, bookmark-bmenu-hide-filenames):
	Don't consider whether the display supports colors.
	(bookmark-import-new-list): Use dolist.
	(bookmark-bmenu-mode-map): Move initialization into declaration.
	(bookmark-bmenu-list): Use dolist, simplify.
	(bookmark-show-all-annotations): Use save-selected-window and dolist.
	(menu-bar-final-items): Use push.

2009-10-28  Bernhard Herzog  <bernhard.herzog@intevation.de>  (tiny change)

	* vc-hg.el (vc-hg-state, vc-hg-working-revision): Use process-file so
	it works on remote files.
	(vc-hg-diff): Don't pass any `--cwd' argument.

2009-10-27  Kevin Ryde  <user42@zip.com.au>

	* emacs-lisp/checkdoc.el (checkdoc-proper-noun-region-engine):
	Use help-xref-info-regexp and help-xref-url-regexp to identify links.
	(Further to Bug#3921).

2009-10-27  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-imap.el (top): Add `X-Size' to `imap-hash-headers'.
	(tramp-imap-do-copy-or-rename-file): Don't use the inode, when
	calling `tramp-imap-put-file'.  Add file size to the call.
	(tramp-imap-get-file-entries): Compute also user name, file size,
	and date.
	(tramp-imap-handle-insert-directory): Insert uid and gid.
	(tramp-imap-handle-file-attributes): Transform uid and gid
	according to `id-format'.
	(tramp-imap-put-file): New optional parameter SIZE.  Encode file
	size in header X-Size.

2009-10-26  Juanma Barranquero  <lekktu@gmail.com>

	* simple.el (transpose-subr): Give clearer error when the mark
	is not set.  (Bug#4807)

